/*  ============================================================================
 *   Copyright (c) Texas Instruments Incorporated 2002, 2003, 2004, 2005, 2006
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
/** ============================================================================
 *
 *   @file  example_init.h
 *
 *   @path  $(CSLPATH)\example\hpi\inc
 *
 *   @desc  Example initialization function.
 *
 *******************************************************************************
 */ 
/* =============================================================================
 *  Revision History
 *  ===============
 *  03-Nov-2006 NG Created
 * =============================================================================
 */
#ifndef _example_init_h_
#define _example_init_h_

/* Constant Definitions   */
/* No. of Iterations to run each payload back to back */
#define NO_OF_ITERATIONS (1)

/* No. of various payloads that will be tested */
#define NO_OF_PAYLOADS   (1)

/* This should match the number of entries in data_incr.h */
#define MAX_BUFF_SIZE    (1024)

/* The difference between visual inspection and the TB latency is compensated */
#define TB_READ_LATENCY_CPU_CYCLES  (886)
#define TB_WRITE_LATENCY_CPU_CYCLES (1166)


/* Data Declarations                */
#pragma DATA_SECTION(dsp_src_buff, "l2_src_buff")
#pragma DATA_ALIGN(dsp_src_buff, 8)
Uint32  dsp_src_buff[MAX_BUFF_SIZE]; // =  
//#include <data_incr.h>

#pragma DATA_SECTION(dsp_dst_buff, "l2_dst_buff")
#pragma DATA_ALIGN(dsp_dst_buff, 8)
Uint32  dsp_dst_buff[MAX_BUFF_SIZE];// = 
//#include <data_incr.h>

//  Declare payload 
Uint32 payLoad[NO_OF_PAYLOADS] = {256};


#endif
/*****************************************************************************\
* End of test_init.h
\*****************************************************************************/
