/*  ============================================================================
 *   Copyright (c) Texas Instruments Incorporated 2002, 2003, 2004, 2005, 2006
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
/** ============================================================================
 *   @file  tsip_interrupt.h
 *
 *   @path  $(CSLPATH)\example\tsip_elb_example\tsip\src
 *
 *   @desc  This file contains the intterupt setup for TSIP.  
 *
 *  ============================================================================
 */
#ifndef _tsip_interrupt_h_
#define _tsip_interrupt_h_

#include "csl_intc.h"

CSL_IntcContext context;
CSL_IntcEventHandlerRecord Record[8];
CSL_IntcHandle hIntcTsip0, hIntcTsip1, hIntcTsip2, hIntcTsip3;
CSL_IntcObj intcTsip1Obj, intcTsip2Obj, intcTsip3Obj, intcTsip0Obj;

void setup_Tsip_Interrupt();
void close_Tsip_Interrupt();

extern Uint32 TsipDone ;

/* TIMER Iterrupt Service Routines */
interrupt void isr_tsip_rx_sframe();
interrupt void isr_tsip_rx_frame();
interrupt void isr_tsip_tx_frame();
interrupt void isr_tsip_tx_sframe();

#endif  /* _tsip_interrupt_h_*/

/*****************************************************************************\
* End of tsip_interrupt.h
\*****************************************************************************/

