/*  ============================================================================
 *   Copyright (c) Texas Instruments Incorporated 2002, 2003, 2004, 2005, 2006
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
/** ============================================================================
 *
 *   @file  example_init.h
 *
 *   @path  $(CSLPATH)\example\utopia2\inc
 *
 *   @desc  Example initialization function.
 *
 *******************************************************************************
 */
#ifndef _example_init_h_
#define _example_init_h_

#define BUFF_SIZE (16)
#define NUM_CELL     (1)

#pragma DATA_ALIGN(  Rcv_dstAddr, 8192)
Uint32               Xmt_srcAddr[BUFF_SIZE]=
#include<data_incr.h>

#pragma DATA_ALIGN(  Rcv_dstAddr, 8192)
Uint32               Rcv_dstAddr[BUFF_SIZE]=
#include<data_zero.h>


#define UTOPIA_16_BIT_MODE (0x1)
#define UTOPIA_8_BIT_MODE (0x0)

#define TxQue_Addr   (0x00000008u)
#define RxQue_Addr   (0x00000000u)
#define TX_EVENT 0
#define RX_EVENT 1

#define S_PHY        (0)
#define M_PHY        (1)  

#define SLAVE_ID     (10)		

#define UDC        (0)

typedef struct { 
   Uint32 Test_Num; 
   Uint32 Utopia_Mode;
   Uint32 Utopia_bit_mode;	
   Uint32 Num_Cell;
   Uint32 Udc;	
   Uint32 SlaveId;

} Utopia_Test_Case; 
    
Utopia_Test_Case  Test_List[] = \
                    {0x00, S_PHY, UTOPIA_16_BIT_MODE, NUM_CELL,UDC, SLAVE_ID};
    
#define NUM_TESTS     sizeof(Test_List)/sizeof(Utopia_Test_Case)  
    
#endif 
/*****************************************************************************\
* End of example_init.h
\*****************************************************************************/

