/* =============================================================================
 *  Copyright (c) Texas Instruments Incorporated 2002, 2003, 2004, 2005, 2006
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
/** ============================================================================
 *   @file  cslr_dev.h
 *
 *   @path  $(CSLPATH)\inc
 *
 *   @desc  This file contains the Register Desciptions for DEV
 *  ============================================================================
 */
#ifndef _CSLR_DEV_H_
#define _CSLR_DEV_H_

#include <cslr.h>

#include "tistdtypes.h"


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 DEVSTAT;
    volatile Uint32 PRI_ALLOC;
    volatile Uint32 DEVICE_ID;
    volatile Uint32 DIE_ID1;
    volatile Uint32 DIE_ID2;
    volatile Uint32 DIE_ID3;
    volatile Uint32 DIE_ID4;
    volatile Uint32 RMII_GASKET_LB0;
    volatile Uint32 RMII_GASKET_LB1;
    volatile Uint32 CPGMAC0_LB;
    volatile Uint32 HPI_LB;
    volatile Uint32 TIMER_LB;
    volatile Uint32 DONE_MASK;
    volatile Uint32 GEM_MARGIN_MODE;
    volatile Uint32 L1D_MARGIN_MODE0;
    volatile Uint32 L1D_MARGIN_MODE1;
    volatile Uint32 L1P_MARGIN_MODE0;
    volatile Uint32 L1P_MARGIN_MODE1;
    volatile Uint32 MARGIN_MODE1;
    volatile Uint32 MEMORY_MARGIN_MODE_CTL;
    volatile Uint32 DEVSTAT_KEY;
    volatile Uint32 SECURE_ROM_SIGNATURE0;
    volatile Uint32 SECURE_ROM_SIGNATURE1;
    volatile Uint32 SL2_MARGIN_MODE0;
    volatile Uint32 SL2_MARGIN_MODE1;
    volatile Uint32 SL2_MARGIN_MODE2;
    volatile Uint32 SL2_MARGIN_MODE3;
    volatile Uint32 SL2_MARGIN_MODE4;
    volatile Uint32 SL2_MARGIN_MODE5;
    volatile Uint32 SL2_MARGIN_MODE6;
    volatile Uint32 SL2_MARGIN_MODE7;
    volatile Uint32 L2_MARGIN_MODE0;
    volatile Uint32 L2_MARGIN_MODE1;
    volatile Uint32 L2_MARGIN_MODE2;
    volatile Uint32 L2_MARGIN_MODE3;
    volatile Uint32 L2_MARGIN_MODE4;
    volatile Uint32 L2_MARGIN_MODE5;
    volatile Uint8 RSVD0[108];
    volatile Uint32 DTFCR0;
    volatile Uint8 RSVD1[12];
    volatile Uint32 DTFCR1;
    volatile Uint8 RSVD2[12];
    volatile Uint32 DTFCR2;
    volatile Uint8 RSVD3[12];
    volatile Uint32 DTFCR3;
    volatile Uint8 RSVD4[12];
    volatile Uint32 DTFCR4;
    volatile Uint8 RSVD5[12];
    volatile Uint32 DTFCR5;
    volatile Uint8 RSVD6[172];
    volatile Uint32 DEVCTL;
    volatile Uint32 DEVCTL_KEY;
    volatile Uint32 RMIIRESET0;
    volatile Uint32 RMIIRESET1;
    volatile Uint8 RSVD7[496];
    volatile Uint32 SL2SLMD;
    volatile Uint32 SL2WKCNT;
    volatile Uint32 DIFFCLKBUFPWRDN;
    volatile Uint32 HOSTPRIV;
    volatile Uint32 L1PL2SLMD;
    volatile Uint32 L2WKCNT;
    volatile Uint32 L1PWKCNT;
    volatile Uint32 PRIVPERM;
    volatile Uint32 PRIVKEY;
    volatile Uint8 RSVD8[220];
    volatile Uint32 NMIGR0;
    volatile Uint32 NMIGR1;
    volatile Uint32 NMIGR2;
    volatile Uint32 NMIGR3;
    volatile Uint32 NMIGR4;
    volatile Uint32 NMIGR5;
    volatile Uint8 RSVD9[40];
    volatile Uint32 IPCGR0;
    volatile Uint32 IPCGR1;
    volatile Uint32 IPCGR2;
    volatile Uint32 IPCGR3;
    volatile Uint32 IPCGR4;
    volatile Uint32 IPCGR5;
    volatile Uint8 RSVD10[36];
    volatile Uint32 IPCGR15;
    volatile Uint32 IPCAR0;
    volatile Uint32 IPCAR1;
    volatile Uint32 IPCAR2;
    volatile Uint32 IPCAR3;
    volatile Uint32 IPCAR4;
    volatile Uint32 IPCAR5;
    volatile Uint8 RSVD11[36];
    volatile Uint32 IPCAR15;
    volatile Uint8 RSVD12[64];
    volatile Uint32 SL2_ROM_PROT;
    volatile Uint8 RSVD13[252];
    volatile Uint32 MAC_ID1;
    volatile Uint32 MAC_ID2;
    volatile Uint32 CUSTOMER_ID;
    volatile Uint32 REV_ID;
    volatile Uint8 RSVD14[4];
    volatile Uint32 TPMGR;
    volatile Uint32 RSTMUX0;
    volatile Uint32 RSTMUX1;
    volatile Uint32 RSTMUX2;
    volatile Uint32 RSTMUX3;
    volatile Uint32 RSTMUX4;
    volatile Uint32 RSTMUX5;
    volatile Uint8 RSVD15[194770];
    volatile Uint32 RESET_STAT; 
    volatile Uint32 BOOT_COMPLETE_STAT; 
    volatile Uint32 BOOTPROGRESS; 
    volatile Uint8 RSVD16[500];
    volatile Uint32 BOOTMODE0; 
    volatile Uint32 DSP_BOOT_ADDR0; 
    volatile Uint8 RSVD17[24];
    volatile Uint32 BOOTMODE1; 
    volatile Uint32 DSP_BOOT_ADDR1; 
    volatile Uint8 RSVD18[24];
    volatile Uint32 BOOTMODE2; 
    volatile Uint32 DSP_BOOT_ADDR2; 
    volatile Uint8 RSVD19[24];
    volatile Uint32 BOOTMODE3; 
    volatile Uint32 DSP_BOOT_ADDR3; 
    volatile Uint8 RSVD20[24];
    volatile Uint32 BOOTMODE4; 
    volatile Uint32 DSP_BOOT_ADDR4; 
    volatile Uint8 RSVD21[24];
    volatile Uint32 BOOTMODE5; 
    volatile Uint32 DSP_BOOT_ADDR5; 
} CSL_DevRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* DEVSTAT */


#define CSL_DEV_DEVSTAT_SECURE_MASK      (0x08000000u)
#define CSL_DEV_DEVSTAT_SECURE_SHIFT     (0x0000001Bu)
#define CSL_DEV_DEVSTAT_SECURE_RESETVAL  (0x00000000u)

#define CSL_DEV_DEVSTAT_PLLLOCK3_MASK    (0x04000000u)
#define CSL_DEV_DEVSTAT_PLLLOCK3_SHIFT   (0x0000001Au)
#define CSL_DEV_DEVSTAT_PLLLOCK3_RESETVAL (0x00000000u)

#define CSL_DEV_DEVSTAT_PLLLOCK2_MASK    (0x02000000u)
#define CSL_DEV_DEVSTAT_PLLLOCK2_SHIFT   (0x00000019u)
#define CSL_DEV_DEVSTAT_PLLLOCK2_RESETVAL (0x00000000u)

#define CSL_DEV_DEVSTAT_PLLLOCK1_MASK    (0x01000000u)
#define CSL_DEV_DEVSTAT_PLLLOCK1_SHIFT   (0x00000018u)
#define CSL_DEV_DEVSTAT_PLLLOCK1_RESETVAL (0x00000000u)

#define CSL_DEV_DEVSTAT_MACSEL1_MASK     (0x00C00000u)
#define CSL_DEV_DEVSTAT_MACSEL1_SHIFT    (0x00000016u)
#define CSL_DEV_DEVSTAT_MACSEL1_RESETVAL (0x00000000u)
/*----MACSEL1 Tokens----*/
#define CSL_DEV_DEVSTAT_MACSEL1_NON_SS   (0x00000000u)
#define CSL_DEV_DEVSTAT_MACSEL1_SS       (0x00000001u)
#define CSL_DEV_DEVSTAT_MACSEL1_RGMII    (0x00000002u)

#define CSL_DEV_DEVSTAT_CFGP_MASK        (0x003E0000u)
#define CSL_DEV_DEVSTAT_CFGP_SHIFT       (0x00000011u)
#define CSL_DEV_DEVSTAT_CFGP_RESETVAL    (0x00000000u)

#define CSL_DEV_DEVSTAT_RIO_EN_MASK      (0x00010000u)
#define CSL_DEV_DEVSTAT_RIO_EN_SHIFT     (0x00000010u)
#define CSL_DEV_DEVSTAT_RIO_EN_RESETVAL  (0x00000000u)
/*----RIO_EN Tokens----*/
#define CSL_DEV_DEVSTAT_RIO_EN_DISABLE   (0x00000000u)
#define CSL_DEV_DEVSTAT_RIO_EN_ENABLE    (0x00000001u)

#define CSL_DEV_DEVSTAT_SYSCLKOUTEN_MASK (0x00008000u)
#define CSL_DEV_DEVSTAT_SYSCLKOUTEN_SHIFT (0x0000000Fu)
#define CSL_DEV_DEVSTAT_SYSCLKOUTEN_RESETVAL (0x00000000u)


#define CSL_DEV_DEVSTAT_MACSEL0_MASK     (0x00000700u)
#define CSL_DEV_DEVSTAT_MACSEL0_SHIFT    (0x00000008u)
#define CSL_DEV_DEVSTAT_MACSEL0_RESETVAL (0x00000000u)
/*----MACSEL0 Tokens----*/
#define CSL_DEV_DEVSTAT_MACSEL0_MII      (0x00000000u)
#define CSL_DEV_DEVSTAT_MACSEL0_RMII     (0x00000001u)
#define CSL_DEV_DEVSTAT_MACSEL0_GMII     (0x00000002u)
#define CSL_DEV_DEVSTAT_MACSEL0_RGMII    (0x00000003u)
#define CSL_DEV_DEVSTAT_MACSEL0_NON_SS   (0x00000004u)
#define CSL_DEV_DEVSTAT_MACSEL0_SS       (0x00000005u)


#define CSL_DEV_DEVSTAT_LENDIAN_MASK     (0x00000040u)
#define CSL_DEV_DEVSTAT_LENDIAN_SHIFT    (0x00000006u)
#define CSL_DEV_DEVSTAT_LENDIAN_RESETVAL (0x00000000u)
/*----LENDIAN Tokens----*/
#define CSL_DEV_DEVSTAT_LENDIAN_BE       (0x00000000u)
#define CSL_DEV_DEVSTAT_LENDIAN_LE       (0x00000001u)

#define CSL_DEV_DEVSTAT_DDREN_MASK       (0x00000020u)
#define CSL_DEV_DEVSTAT_DDREN_SHIFT      (0x00000005u)
#define CSL_DEV_DEVSTAT_DDREN_RESETVAL   (0x00000000u)
/*----DDREN Tokens----*/
#define CSL_DEV_DEVSTAT_DDREN_DISABLE    (0x00000000u)
#define CSL_DEV_DEVSTAT_DDREN_ENABLE     (0x00000001u)


#define CSL_DEV_DEVSTAT_BOOTMODE_MASK    (0x0000000Fu)
#define CSL_DEV_DEVSTAT_BOOTMODE_SHIFT   (0x00000000u)
#define CSL_DEV_DEVSTAT_BOOTMODE_RESETVAL (0x00000000u)

#define CSL_DEV_DEVSTAT_RESETVAL         (0x00000000u)

/* PRI_ALLOC */
#define CSL_DEV_PRI_ALLOC_UTOPIAPDMA_MASK (0x00008000u)
#define CSL_DEV_PRI_ALLOC_UTOPIAPDMA_SHIFT (0x0000000Fu)
#define CSL_DEV_PRI_ALLOC_UTOPIAPDMA_RESETVAL (0x00000001u)

#define CSL_DEV_PRI_ALLOC_EMAC1_MASK (0x00007000u)
#define CSL_DEV_PRI_ALLOC_EMAC1_SHIFT (0x0000000Cu)
#define CSL_DEV_PRI_ALLOC_EMAC1_RESETVAL (0x00000007u)

#define CSL_DEV_PRI_ALLOC_HPI_MASK       (0x00000038u)
#define CSL_DEV_PRI_ALLOC_HPI_SHIFT      (0x00000003u)
#define CSL_DEV_PRI_ALLOC_HPI_RESETVAL   (0x00000007u)

#define CSL_DEV_PRI_ALLOC_EMAC0_MASK (0x00000007u)
#define CSL_DEV_PRI_ALLOC_EMAC0_SHIFT (0x00000000u)
#define CSL_DEV_PRI_ALLOC_EMAC0_RESETVAL (0x00000007u)

#define CSL_DEV_PRI_ALLOC_EMAC1RX_MASK     CSL_DEV_PRI_ALLOC_EMAC1_MASK
#define CSL_DEV_PRI_ALLOC_EMAC1RX_SHIFT    CSL_DEV_PRI_ALLOC_EMAC1_SHIFT
#define CSL_DEV_PRI_ALLOC_EMAC1RX_RESETVAL CSL_DEV_PRI_ALLOC_EMAC1_RESETVAL

#define CSL_DEV_PRI_ALLOC_EMAC0RX_MASK     CSL_DEV_PRI_ALLOC_EMAC0_MASK
#define CSL_DEV_PRI_ALLOC_EMAC0RX_SHIFT    CSL_DEV_PRI_ALLOC_EMAC0_SHIFT
#define CSL_DEV_PRI_ALLOC_EMAC0RX_RESETVAL CSL_DEV_PRI_ALLOC_EMAC0_RESETVAL

#define CSL_DEV_PRI_ALLOC_EMAC1TX_MASK     CSL_DEV_PRI_ALLOC_EMAC1_MASK
#define CSL_DEV_PRI_ALLOC_EMAC1TX_SHIFT    CSL_DEV_PRI_ALLOC_EMAC1_SHIFT
#define CSL_DEV_PRI_ALLOC_EMAC1TX_RESETVAL CSL_DEV_PRI_ALLOC_EMAC1_RESETVAL

#define CSL_DEV_PRI_ALLOC_EMAC0TX_MASK     CSL_DEV_PRI_ALLOC_EMAC0_MASK
#define CSL_DEV_PRI_ALLOC_EMAC0TX_SHIFT    CSL_DEV_PRI_ALLOC_EMAC0_SHIFT
#define CSL_DEV_PRI_ALLOC_EMAC0TX_RESETVAL CSL_DEV_PRI_ALLOC_EMAC0_RESETVAL

#define CSL_DEV_PRI_ALLOC_RESETVAL       (0xFFFFFFFFu)

/* Device_ID */
#define CSL_DEV_DEVICE_ID_VARIANT_BITS_MASK (0xF0000000u)
#define CSL_DEV_DEVICE_ID_VARIANT_BITS_SHIFT (0x0000001Cu)
#define CSL_DEV_DEVICE_ID_VARIANT_BITS_RESETVAL (0x00000000u)

#define CSL_DEV_DEVICE_ID_PART_NUMBER_BITS_MASK (0x0FFFF000u)
#define CSL_DEV_DEVICE_ID_PART_NUMBER_BITS_SHIFT (0x0000000Cu)
#define CSL_DEV_DEVICE_ID_PART_NUMBER_BITS_RESETVAL (0x00000091u)

#define CSL_DEV_DEVICE_ID_MANUFACTURER_BITS_MASK (0x00000FFEu)
#define CSL_DEV_DEVICE_ID_MANUFACTURER_BITS_SHIFT (0x00000001u)
#define CSL_DEV_DEVICE_ID_MANUFACTURER_BITS_RESETVAL (0x00000017u)

#define CSL_DEV_DEVICE_ID_LSBBIT_MASK    (0x00000001u)
#define CSL_DEV_DEVICE_ID_LSBBIT_SHIFT   (0x00000000u)
#define CSL_DEV_DEVICE_ID_LSBBIT_RESETVAL (0x00000001u)

#define CSL_DEV_DEVICE_ID_RESETVAL       (0x0009102Fu)

/* Die_ID1 */

#define CSL_DEV_DIE_ID1_DIE_ID1_MASK     (0xFFFFFFFFu)
#define CSL_DEV_DIE_ID1_DIE_ID1_SHIFT    (0x00000000u)
#define CSL_DEV_DIE_ID1_DIE_ID1_RESETVAL (0x00000000u)

#define CSL_DEV_DIE_ID1_RESETVAL         (0x00000000u)

/* Die_ID2 */

#define CSL_DEV_DIE_ID2_DIE_ID2_MASK     (0xFFFFFFFFu)
#define CSL_DEV_DIE_ID2_DIE_ID2_SHIFT    (0x00000000u)
#define CSL_DEV_DIE_ID2_DIE_ID2_RESETVAL (0x00000000u)

#define CSL_DEV_DIE_ID2_RESETVAL         (0x00000000u)

/* Die_ID3 */

#define CSL_DEV_DIE_ID3_DIE_ID3_MASK     (0xFFFFFFFFu)
#define CSL_DEV_DIE_ID3_DIE_ID3_SHIFT    (0x00000000u)
#define CSL_DEV_DIE_ID3_DIE_ID3_RESETVAL (0x00000000u)

#define CSL_DEV_DIE_ID3_RESETVAL         (0x00000000u)

/* Die_ID4 */

#define CSL_DEV_DIE_ID4_DIE_ID4_MASK     (0xFFFFFFFFu)
#define CSL_DEV_DIE_ID4_DIE_ID4_SHIFT    (0x00000000u)
#define CSL_DEV_DIE_ID4_DIE_ID4_RESETVAL (0x00000000u)

#define CSL_DEV_DIE_ID4_RESETVAL         (0x00000000u)

/* RMII_GASKET_LB0 */


#define CSL_DEV_RMII_GASKET_LB0_RMII_LB_MASK (0x00000001u)
#define CSL_DEV_RMII_GASKET_LB0_RMII_LB_SHIFT (0x00000000u)
#define CSL_DEV_RMII_GASKET_LB0_RMII_LB_RESETVAL (0x00000000u)

#define CSL_DEV_RMII_GASKET_LB0_RESETVAL (0x00000000u)

/* RMII_GASKET_LB1 */


#define CSL_DEV_RMII_GASKET_LB1_RMII_LB_MASK (0x00000001u)
#define CSL_DEV_RMII_GASKET_LB1_RMII_LB_SHIFT (0x00000000u)
#define CSL_DEV_RMII_GASKET_LB1_RMII_LB_RESETVAL (0x00000000u)

#define CSL_DEV_RMII_GASKET_LB1_RESETVAL (0x00000000u)

/* CPGMAC0_LB */


#define CSL_DEV_CPGMAC0_LB_CPGMAC0_LB_MASK (0x00000003u)
#define CSL_DEV_CPGMAC0_LB_CPGMAC0_LB_SHIFT (0x00000000u)
#define CSL_DEV_CPGMAC0_LB_CPGMAC0_LB_RESETVAL (0x00000000u)

#define CSL_DEV_CPGMAC0_LB_RESETVAL      (0x00000000u)

/* HPI_LB */


#define CSL_DEV_HPI_LB_HPI_LB_MASK       (0x00000001u)
#define CSL_DEV_HPI_LB_HPI_LB_SHIFT      (0x00000000u)
#define CSL_DEV_HPI_LB_HPI_LB_RESETVAL   (0x00000000u)

#define CSL_DEV_HPI_LB_RESETVAL          (0x00000000u)

/* L1D_MARGIN_MODE0 */

#define CSL_DEV_L1D_MARGIN_MODE0_GEM3_SS_MASK (0xFF000000u)
#define CSL_DEV_L1D_MARGIN_MODE0_GEM3_SS_SHIFT (0x00000018u)
#define CSL_DEV_L1D_MARGIN_MODE0_GEM3_SS_RESETVAL (0x00000000u)

#define CSL_DEV_L1D_MARGIN_MODE0_GEM2_SS_MASK (0x00FF0000u)
#define CSL_DEV_L1D_MARGIN_MODE0_GEM2_SS_SHIFT (0x00000010u)
#define CSL_DEV_L1D_MARGIN_MODE0_GEM2_SS_RESETVAL (0x00000000u)

#define CSL_DEV_L1D_MARGIN_MODE0_GEM1_SS_MASK (0x0000FF00u)
#define CSL_DEV_L1D_MARGIN_MODE0_GEM1_SS_SHIFT (0x00000008u)
#define CSL_DEV_L1D_MARGIN_MODE0_GEM1_SS_RESETVAL (0x00000000u)

#define CSL_DEV_L1D_MARGIN_MODE0_GEM0_SS_MASK (0x000000FFu)
#define CSL_DEV_L1D_MARGIN_MODE0_GEM0_SS_SHIFT (0x00000000u)
#define CSL_DEV_L1D_MARGIN_MODE0_GEM0_SS_RESETVAL (0x00000000u)

#define CSL_DEV_L1D_MARGIN_MODE0_RESETVAL (0x00000000u)

/* L1D_MARGIN_MODE1 */


#define CSL_DEV_L1D_MARGIN_MODE1_GEM5_SS_MASK (0x0000FF00u)
#define CSL_DEV_L1D_MARGIN_MODE1_GEM5_SS_SHIFT (0x00000008u)
#define CSL_DEV_L1D_MARGIN_MODE1_GEM5_SS_RESETVAL (0x00000000u)

#define CSL_DEV_L1D_MARGIN_MODE1_GEM4_SS_MASK (0x000000FFu)
#define CSL_DEV_L1D_MARGIN_MODE1_GEM4_SS_SHIFT (0x00000000u)
#define CSL_DEV_L1D_MARGIN_MODE1_GEM4_SS_RESETVAL (0x00000000u)

#define CSL_DEV_L1D_MARGIN_MODE1_RESETVAL (0x00000000u)

/* L1P_MARGIN_MODE0 */

#define CSL_DEV_L1P_MARGIN_MODE0_GEM3_SS_MASK (0xFF000000u)
#define CSL_DEV_L1P_MARGIN_MODE0_GEM3_SS_SHIFT (0x00000018u)
#define CSL_DEV_L1P_MARGIN_MODE0_GEM3_SS_RESETVAL (0x00000000u)

#define CSL_DEV_L1P_MARGIN_MODE0_GEM2_SS_MASK (0x00FF0000u)
#define CSL_DEV_L1P_MARGIN_MODE0_GEM2_SS_SHIFT (0x00000010u)
#define CSL_DEV_L1P_MARGIN_MODE0_GEM2_SS_RESETVAL (0x00000000u)

#define CSL_DEV_L1P_MARGIN_MODE0_GEM1_SS_MASK (0x0000FF00u)
#define CSL_DEV_L1P_MARGIN_MODE0_GEM1_SS_SHIFT (0x00000008u)
#define CSL_DEV_L1P_MARGIN_MODE0_GEM1_SS_RESETVAL (0x00000000u)

#define CSL_DEV_L1P_MARGIN_MODE0_GEM0_SS_MASK (0x000000FFu)
#define CSL_DEV_L1P_MARGIN_MODE0_GEM0_SS_SHIFT (0x00000000u)
#define CSL_DEV_L1P_MARGIN_MODE0_GEM0_SS_RESETVAL (0x00000000u)

#define CSL_DEV_L1P_MARGIN_MODE0_RESETVAL (0x00000000u)

/* L1P_MARGIN_MODE1 */


#define CSL_DEV_L1P_MARGIN_MODE1_GEM5_SS_MASK (0x0000FF00u)
#define CSL_DEV_L1P_MARGIN_MODE1_GEM5_SS_SHIFT (0x00000008u)
#define CSL_DEV_L1P_MARGIN_MODE1_GEM5_SS_RESETVAL (0x00000000u)

#define CSL_DEV_L1P_MARGIN_MODE1_GEM4_SS_MASK (0x000000FFu)
#define CSL_DEV_L1P_MARGIN_MODE1_GEM4_SS_SHIFT (0x00000000u)
#define CSL_DEV_L1P_MARGIN_MODE1_GEM4_SS_RESETVAL (0x00000000u)

#define CSL_DEV_L1P_MARGIN_MODE1_RESETVAL (0x00000000u)

/* MARGIN_MODE1 */


#define CSL_DEV_MARGIN_MODE1_OTHER_MEMS_MASK (0x000000F0u)
#define CSL_DEV_MARGIN_MODE1_OTHER_MEMS_SHIFT (0x00000004u)
#define CSL_DEV_MARGIN_MODE1_OTHER_MEMS_RESETVAL (0x00000000u)

#define CSL_DEV_MARGIN_MODE1_PDMA_MEM_MASK (0x0000000Fu)
#define CSL_DEV_MARGIN_MODE1_PDMA_MEM_SHIFT (0x00000000u)
#define CSL_DEV_MARGIN_MODE1_PDMA_MEM_RESETVAL (0x00000000u)

#define CSL_DEV_MARGIN_MODE1_RESETVAL    (0x00000000u)

/* MEMORY_MARGIN_MODE_CTL */


#define CSL_DEV_MEMORY_MARGIN_MODE_CTL_CTL_KEY_MASK (0x000003FCu)
#define CSL_DEV_MEMORY_MARGIN_MODE_CTL_CTL_KEY_SHIFT (0x00000002u)
#define CSL_DEV_MEMORY_MARGIN_MODE_CTL_CTL_KEY_RESETVAL (0x00000000u)

#define CSL_DEV_MEMORY_MARGIN_MODE_CTL_MARGIN_MODE_CTL_MASK (0x00000003u)
#define CSL_DEV_MEMORY_MARGIN_MODE_CTL_MARGIN_MODE_CTL_SHIFT (0x00000000u)
#define CSL_DEV_MEMORY_MARGIN_MODE_CTL_MARGIN_MODE_CTL_RESETVAL (0x00000000u)

#define CSL_DEV_MEMORY_MARGIN_MODE_CTL_RESETVAL (0x00000000u)

/* DEVSTAT_KEY */

#define CSL_DEV_DEVSTAT_KEY_DEVSTAT_KEY_MASK (0xFFFFFFFFu)
#define CSL_DEV_DEVSTAT_KEY_DEVSTAT_KEY_SHIFT (0x00000000u)
#define CSL_DEV_DEVSTAT_KEY_DEVSTAT_KEY_RESETVAL (0x00000000u)

#define CSL_DEV_DEVSTAT_KEY_RESETVAL     (0x00000000u)

/* SECURE_ROM_SIGNATURE1 */

#define CSL_DEV_SECURE_ROM_SIGNATURE1_SECURE_ROM1_MASK (0xFFFFFFFFu)
#define CSL_DEV_SECURE_ROM_SIGNATURE1_SECURE_ROM1_SHIFT (0x00000000u)
#define CSL_DEV_SECURE_ROM_SIGNATURE1_SECURE_ROM1_RESETVAL (0x00000000u)

#define CSL_DEV_SECURE_ROM_SIGNATURE1_RESETVAL (0x00000000u)

/* SECURE_ROM_SIGNATURE2 */

#define CSL_DEV_SECURE_ROM_SIGNATURE2_SECURE_ROM2_MASK (0xFFFFFFFFu)
#define CSL_DEV_SECURE_ROM_SIGNATURE2_SECURE_ROM2_SHIFT (0x00000000u)
#define CSL_DEV_SECURE_ROM_SIGNATURE2_SECURE_ROM2_RESETVAL (0x00000000u)

#define CSL_DEV_SECURE_ROM_SIGNATURE2_RESETVAL (0x00000000u)

/* SL2_MARGIN_MODE0 */

#define CSL_DEV_SL2_MARGIN_MODE0_SL2_MARGIN_MODE0_MASK (0xFFFFFFFFu)
#define CSL_DEV_SL2_MARGIN_MODE0_SL2_MARGIN_MODE0_SHIFT (0x00000000u)
#define CSL_DEV_SL2_MARGIN_MODE0_SL2_MARGIN_MODE0_RESETVAL (0x00000000u)

#define CSL_DEV_SL2_MARGIN_MODE0_RESETVAL (0x00000000u)

/* SL2_MARGIN_MODE1 */

#define CSL_DEV_SL2_MARGIN_MODE1_SL2_MARGIN_MODE1_MASK (0xFFFFFFFFu)
#define CSL_DEV_SL2_MARGIN_MODE1_SL2_MARGIN_MODE1_SHIFT (0x00000000u)
#define CSL_DEV_SL2_MARGIN_MODE1_SL2_MARGIN_MODE1_RESETVAL (0x00000000u)

#define CSL_DEV_SL2_MARGIN_MODE1_RESETVAL (0x00000000u)

/* SL2_MARGIN_MODE2 */

#define CSL_DEV_SL2_MARGIN_MODE2_SL2_MARGIN_MODE2_MASK (0xFFFFFFFFu)
#define CSL_DEV_SL2_MARGIN_MODE2_SL2_MARGIN_MODE2_SHIFT (0x00000000u)
#define CSL_DEV_SL2_MARGIN_MODE2_SL2_MARGIN_MODE2_RESETVAL (0x00000000u)

#define CSL_DEV_SL2_MARGIN_MODE2_RESETVAL (0x00000000u)

/* SL2_MARGIN_MODE3 */

#define CSL_DEV_SL2_MARGIN_MODE3_SL2_MARGIN_MODE3_MASK (0xFFFFFFFFu)
#define CSL_DEV_SL2_MARGIN_MODE3_SL2_MARGIN_MODE3_SHIFT (0x00000000u)
#define CSL_DEV_SL2_MARGIN_MODE3_SL2_MARGIN_MODE3_RESETVAL (0x00000000u)

#define CSL_DEV_SL2_MARGIN_MODE3_RESETVAL (0x00000000u)

/* SL2_MARGIN_MODE4 */

#define CSL_DEV_SL2_MARGIN_MODE4_SL2_MARGIN_MODE4_MASK (0xFFFFFFFFu)
#define CSL_DEV_SL2_MARGIN_MODE4_SL2_MARGIN_MODE4_SHIFT (0x00000000u)
#define CSL_DEV_SL2_MARGIN_MODE4_SL2_MARGIN_MODE4_RESETVAL (0x00000000u)

#define CSL_DEV_SL2_MARGIN_MODE4_RESETVAL (0x00000000u)

/* L2_MARGIN_MODE0 */

#define CSL_DEV_L2_MARGIN_MODE0_L2_MARGIN_MODE_GEM0_MASK (0xFFFFFFFFu)
#define CSL_DEV_L2_MARGIN_MODE0_L2_MARGIN_MODE_GEM0_SHIFT (0x00000000u)
#define CSL_DEV_L2_MARGIN_MODE0_L2_MARGIN_MODE_GEM0_RESETVAL (0x00000000u)

#define CSL_DEV_L2_MARGIN_MODE0_RESETVAL (0x00000000u)

/* L2_MARGIN_MODE1 */

#define CSL_DEV_L2_MARGIN_MODE1_L2_MARGIN_MODE_GEM1_MASK (0xFFFFFFFFu)
#define CSL_DEV_L2_MARGIN_MODE1_L2_MARGIN_MODE_GEM1_SHIFT (0x00000000u)
#define CSL_DEV_L2_MARGIN_MODE1_L2_MARGIN_MODE_GEM1_RESETVAL (0x00000000u)

#define CSL_DEV_L2_MARGIN_MODE1_RESETVAL (0x00000000u)

/* L2_MARGIN_MODE2 */

#define CSL_DEV_L2_MARGIN_MODE2_L2_MARGIN_MODE_GEM2_MASK (0xFFFFFFFFu)
#define CSL_DEV_L2_MARGIN_MODE2_L2_MARGIN_MODE_GEM2_SHIFT (0x00000000u)
#define CSL_DEV_L2_MARGIN_MODE2_L2_MARGIN_MODE_GEM2_RESETVAL (0x00000000u)

#define CSL_DEV_L2_MARGIN_MODE2_RESETVAL (0x00000000u)

/* L2_MARGIN_MODE3 */

#define CSL_DEV_L2_MARGIN_MODE3_L2_MARGIN_MODE_GEM3_MASK (0xFFFFFFFFu)
#define CSL_DEV_L2_MARGIN_MODE3_L2_MARGIN_MODE_GEM3_SHIFT (0x00000000u)
#define CSL_DEV_L2_MARGIN_MODE3_L2_MARGIN_MODE_GEM3_RESETVAL (0x00000000u)

#define CSL_DEV_L2_MARGIN_MODE3_RESETVAL (0x00000000u)

/* L2_MARGIN_MODE4 */

#define CSL_DEV_L2_MARGIN_MODE4_L2_MARGIN_MODE_GEM4_MASK (0xFFFFFFFFu)
#define CSL_DEV_L2_MARGIN_MODE4_L2_MARGIN_MODE_GEM4_SHIFT (0x00000000u)
#define CSL_DEV_L2_MARGIN_MODE4_L2_MARGIN_MODE_GEM4_RESETVAL (0x00000000u)

#define CSL_DEV_L2_MARGIN_MODE4_RESETVAL (0x00000000u)

/* L2_MARGIN_MODE5 */

#define CSL_DEV_L2_MARGIN_MODE5_L2_MARGIN_MODE_GEM5_MASK (0xFFFFFFFFu)
#define CSL_DEV_L2_MARGIN_MODE5_L2_MARGIN_MODE_GEM5_SHIFT (0x00000000u)
#define CSL_DEV_L2_MARGIN_MODE5_L2_MARGIN_MODE_GEM5_RESETVAL (0x00000000u)

#define CSL_DEV_L2_MARGIN_MODE5_RESETVAL (0x00000000u)

/* DTFCR0 */

#define CSL_DEV_DTFCR0_AOWN_MASK         (0x80000000u)
#define CSL_DEV_DTFCR0_AOWN_SHIFT        (0x0000001Fu)
#define CSL_DEV_DTFCR0_AOWN_RESETVAL     (0x00000000u)


#define CSL_DEV_DTFCR0_DTFFLUSH_MASK     (0x00000010u)
#define CSL_DEV_DTFCR0_DTFFLUSH_SHIFT    (0x00000004u)
#define CSL_DEV_DTFCR0_DTFFLUSH_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR0_DTFENABLE_MASK    (0x00000008u)
#define CSL_DEV_DTFCR0_DTFENABLE_SHIFT   (0x00000003u)
#define CSL_DEV_DTFCR0_DTFENABLE_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR0_SPMDISABLE_MASK   (0x00000004u)
#define CSL_DEV_DTFCR0_SPMDISABLE_SHIFT  (0x00000002u)
#define CSL_DEV_DTFCR0_SPMDISABLE_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR0_DTFOWN_ST_MASK    (0x00000003u)
#define CSL_DEV_DTFCR0_DTFOWN_ST_SHIFT   (0x00000000u)
#define CSL_DEV_DTFCR0_DTFOWN_ST_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR0_RESETVAL          (0x00000000u)

/* DTFCR1 */

#define CSL_DEV_DTFCR1_AOWN_MASK         (0x80000000u)
#define CSL_DEV_DTFCR1_AOWN_SHIFT        (0x0000001Fu)
#define CSL_DEV_DTFCR1_AOWN_RESETVAL     (0x00000000u)


#define CSL_DEV_DTFCR1_DTFFLUSH_MASK     (0x00000010u)
#define CSL_DEV_DTFCR1_DTFFLUSH_SHIFT    (0x00000004u)
#define CSL_DEV_DTFCR1_DTFFLUSH_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR1_DTFENABLE_MASK    (0x00000008u)
#define CSL_DEV_DTFCR1_DTFENABLE_SHIFT   (0x00000003u)
#define CSL_DEV_DTFCR1_DTFENABLE_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR1_SPMDISABLE_MASK   (0x00000004u)
#define CSL_DEV_DTFCR1_SPMDISABLE_SHIFT  (0x00000002u)
#define CSL_DEV_DTFCR1_SPMDISABLE_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR1_DTFOWN_ST_MASK    (0x00000003u)
#define CSL_DEV_DTFCR1_DTFOWN_ST_SHIFT   (0x00000000u)
#define CSL_DEV_DTFCR1_DTFOWN_ST_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR1_RESETVAL          (0x00000000u)

/* DTFCR2 */

#define CSL_DEV_DTFCR2_AOWN_MASK         (0x80000000u)
#define CSL_DEV_DTFCR2_AOWN_SHIFT        (0x0000001Fu)
#define CSL_DEV_DTFCR2_AOWN_RESETVAL     (0x00000000u)


#define CSL_DEV_DTFCR2_DTFFLUSH_MASK     (0x00000010u)
#define CSL_DEV_DTFCR2_DTFFLUSH_SHIFT    (0x00000004u)
#define CSL_DEV_DTFCR2_DTFFLUSH_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR2_DTFENABLE_MASK    (0x00000008u)
#define CSL_DEV_DTFCR2_DTFENABLE_SHIFT   (0x00000003u)
#define CSL_DEV_DTFCR2_DTFENABLE_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR2_SPMDISABLE_MASK   (0x00000004u)
#define CSL_DEV_DTFCR2_SPMDISABLE_SHIFT  (0x00000002u)
#define CSL_DEV_DTFCR2_SPMDISABLE_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR2_DTFOWN_ST_MASK    (0x00000003u)
#define CSL_DEV_DTFCR2_DTFOWN_ST_SHIFT   (0x00000000u)
#define CSL_DEV_DTFCR2_DTFOWN_ST_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR2_RESETVAL          (0x00000000u)

/* DTFCR3 */

#define CSL_DEV_DTFCR3_AOWN_MASK         (0x80000000u)
#define CSL_DEV_DTFCR3_AOWN_SHIFT        (0x0000001Fu)
#define CSL_DEV_DTFCR3_AOWN_RESETVAL     (0x00000000u)


#define CSL_DEV_DTFCR3_DTFFLUSH_MASK     (0x00000010u)
#define CSL_DEV_DTFCR3_DTFFLUSH_SHIFT    (0x00000004u)
#define CSL_DEV_DTFCR3_DTFFLUSH_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR3_DTFENABLE_MASK    (0x00000008u)
#define CSL_DEV_DTFCR3_DTFENABLE_SHIFT   (0x00000003u)
#define CSL_DEV_DTFCR3_DTFENABLE_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR3_SPMDISABLE_MASK   (0x00000004u)
#define CSL_DEV_DTFCR3_SPMDISABLE_SHIFT  (0x00000002u)
#define CSL_DEV_DTFCR3_SPMDISABLE_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR3_DTFOWN_ST_MASK    (0x00000003u)
#define CSL_DEV_DTFCR3_DTFOWN_ST_SHIFT   (0x00000000u)
#define CSL_DEV_DTFCR3_DTFOWN_ST_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR3_RESETVAL          (0x00000000u)

/* DTFCR4 */

#define CSL_DEV_DTFCR4_AOWN_MASK         (0x80000000u)
#define CSL_DEV_DTFCR4_AOWN_SHIFT        (0x0000001Fu)
#define CSL_DEV_DTFCR4_AOWN_RESETVAL     (0x00000000u)


#define CSL_DEV_DTFCR4_DTFFLUSH_MASK     (0x00000010u)
#define CSL_DEV_DTFCR4_DTFFLUSH_SHIFT    (0x00000004u)
#define CSL_DEV_DTFCR4_DTFFLUSH_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR4_DTFENABLE_MASK    (0x00000008u)
#define CSL_DEV_DTFCR4_DTFENABLE_SHIFT   (0x00000003u)
#define CSL_DEV_DTFCR4_DTFENABLE_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR4_SPMDISABLE_MASK   (0x00000004u)
#define CSL_DEV_DTFCR4_SPMDISABLE_SHIFT  (0x00000002u)
#define CSL_DEV_DTFCR4_SPMDISABLE_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR4_DTFOWN_ST_MASK    (0x00000003u)
#define CSL_DEV_DTFCR4_DTFOWN_ST_SHIFT   (0x00000000u)
#define CSL_DEV_DTFCR4_DTFOWN_ST_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR4_RESETVAL          (0x00000000u)

/* DTFCR5 */

#define CSL_DEV_DTFCR5_AOWN_MASK         (0x80000000u)
#define CSL_DEV_DTFCR5_AOWN_SHIFT        (0x0000001Fu)
#define CSL_DEV_DTFCR5_AOWN_RESETVAL     (0x00000000u)


#define CSL_DEV_DTFCR5_DTFFLUSH_MASK     (0x00000010u)
#define CSL_DEV_DTFCR5_DTFFLUSH_SHIFT    (0x00000004u)
#define CSL_DEV_DTFCR5_DTFFLUSH_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR5_DTFENABLE_MASK    (0x00000008u)
#define CSL_DEV_DTFCR5_DTFENABLE_SHIFT   (0x00000003u)
#define CSL_DEV_DTFCR5_DTFENABLE_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR5_SPMDISABLE_MASK   (0x00000004u)
#define CSL_DEV_DTFCR5_SPMDISABLE_SHIFT  (0x00000002u)
#define CSL_DEV_DTFCR5_SPMDISABLE_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR5_DTFOWN_ST_MASK    (0x00000003u)
#define CSL_DEV_DTFCR5_DTFOWN_ST_SHIFT   (0x00000000u)
#define CSL_DEV_DTFCR5_DTFOWN_ST_RESETVAL (0x00000000u)

#define CSL_DEV_DTFCR5_RESETVAL          (0x00000000u)

/* SL2SLMD */


#define CSL_DEV_SL2SLMD_USE_VDD_SL2_MASK (0x00000002u)
#define CSL_DEV_SL2SLMD_USE_VDD_SL2_SHIFT (0x00000001u)
#define CSL_DEV_SL2SLMD_USE_VDD_SL2_RESETVAL (0x00000000u)
/*----USE_VDD_SL2 Tokens----*/
#define CSL_DEV_SL2SLMD_USE_VDD_SL2_NO_SLPZ_VDD_SL2_PWDN (0x00000000u)
#define CSL_DEV_SL2SLMD_USE_VDD_SL2_SLPZ_VDD_SL2_PWDN (0x00000001u)

#define CSL_DEV_SL2SLMD_USE_VSS_SL2_MASK (0x00000001u)
#define CSL_DEV_SL2SLMD_USE_VSS_SL2_SHIFT (0x00000000u)
#define CSL_DEV_SL2SLMD_USE_VSS_SL2_RESETVAL (0x00000001u)
/*----USE_VSS_SL2 Tokens----*/
#define CSL_DEV_SL2SLMD_USE_VSS_SL2_NO_SLPZ_VSS_SL2_PWDN (0x00000000u)
#define CSL_DEV_SL2SLMD_USE_VSS_SL2_SLPZ_VSS_SL2_PWDN (0x00000001u)

#define CSL_DEV_SL2SLMD_RESETVAL         (0x00000001u)

/* SL2WKCNT */
#define CSL_DEV_SL2WKCNT_KEY_MASK        (0x0001FE00u)
#define CSL_DEV_SL2WKCNT_KEY_SHIFT       (0x00000009u)
#define CSL_DEV_SL2WKCNT_KEY_RESETVAL    (0x00000000u)


#define CSL_DEV_SL2WKCNT_SL2PDCCNT_MASK (0x0000000Fu)
#define CSL_DEV_SL2WKCNT_SL2PDCCNT_SHIFT (0x00000000u)
#define CSL_DEV_SL2WKCNT_SL2PDCCNT_RESETVAL (0x00000003u)

#define CSL_DEV_SL2WKCNT_RESETVAL        (0x00000003u)

/* DIFFBUFPWRDOWN */
#define CSL_DEV_DIFFBUFPWRDOWN_PLLOBSCLK3PWRDN_MASK (0x00000008u)
#define CSL_DEV_DIFFBUFPWRDOWN_PLLOBSCLK3PWRDN_SHIFT (0x00000003u)
#define CSL_DEV_DIFFBUFPWRDOWN_PLLOBSCLK3PWRDN_RESETVAL (0x00000001u)
/*----PLLOBSCLK3PWRDN Tokens----*/
#define CSL_DEV_DIFFBUFPWRDOWN_PLLOBSCLK3PWRDN_PWRDWN (0x00000001u)
#define CSL_DEV_DIFFBUFPWRDOWN_PLLOBSCLK3PWRDN_NOT_PWRDWN (0x00000000u)

#define CSL_DEV_DIFFBUFPWRDOWN_PLLOBSCLK1PWRDN_MASK (0x00000004u)
#define CSL_DEV_DIFFBUFPWRDOWN_PLLOBSCLK1PWRDN_SHIFT (0x00000002u)
#define CSL_DEV_DIFFBUFPWRDOWN_PLLOBSCLK1PWRDN_RESETVAL (0x00000001u)
/*----PLLOBSCLK1PWRDN Tokens----*/
#define CSL_DEV_DIFFBUFPWRDOWN_PLLOBSCLK1PWRDN_PWRDWN (0x00000001u)
#define CSL_DEV_DIFFBUFPWRDOWN_PLLOBSCLK1PWRDN_NOT_PWRDWN (0x00000000u)

#define CSL_DEV_DIFFBUFPWRDOWN_CLKINT3PWRDN_MASK (0x00000002u)
#define CSL_DEV_DIFFBUFPWRDOWN_CLKINT3PWRDN_SHIFT (0x00000001u)
#define CSL_DEV_DIFFBUFPWRDOWN_CLKINT3PWRDN_RESETVAL (0x00000001u)
/*----CLKINT3PWRDN Tokens----*/
#define CSL_DEV_DIFFBUFPWRDOWN_CLKINT3PWRDN_PWRDWN (0x00000001u)
#define CSL_DEV_DIFFBUFPWRDOWN_CLKINT3PWRDN_NOT_PWRDWN (0x00000000u)

#define CSL_DEV_DIFFBUFPWRDOWN_CLKINT1PWRDN_MASK (0x00000001u)
#define CSL_DEV_DIFFBUFPWRDOWN_CLKINT1PWRDN_SHIFT (0x00000000u)
#define CSL_DEV_DIFFBUFPWRDOWN_CLKINT1PWRDN_RESETVAL (0x00000001u)
/*----CLKINT1PWRDN Tokens----*/
#define CSL_DEV_DIFFBUFPWRDOWN_CLKINT1PWRDN_PWRDWN (0x00000001u)
#define CSL_DEV_DIFFBUFPWRDOWN_CLKINT1PWRDN_NOT_PWRDWN (0x00000000u)

#define CSL_DEV_DIFFBUFPWRDOWN_RESETVAL  (0x0000000Fu)

/* HOSTPRIV */
#define CSL_DEV_HOSTPRIV_SRIO_MASK       (0x00000002u)
#define CSL_DEV_HOSTPRIV_SRIO_SHIFT      (0x00000001u)
#define CSL_DEV_HOSTPRIV_SRIO_RESETVAL   (0x00000001u)

#define CSL_DEV_HOSTPRIV_HPI_VLYNQ_MASK  (0x00000001u)
#define CSL_DEV_HOSTPRIV_HPI_VLYNQ_SHIFT (0x00000000u)
#define CSL_DEV_HOSTPRIV_HPI_VLYNQ_RESETVAL (0x00000001u)

#define CSL_DEV_HOSTPRIV_RESETVAL        (0xFFFFFFFFu)

/* L1PL2SLMD */
#define CSL_DEV_L1PL2SLMD_USE_VDD_L1P_MASK (0x00000008u)
#define CSL_DEV_L1PL2SLMD_USE_VDD_L1P_SHIFT (0x00000003u)
#define CSL_DEV_L1PL2SLMD_USE_VDD_L1P_RESETVAL (0x00000000u)
/*----USE_VDD_L1P Tokens----*/
#define CSL_DEV_L1PL2SLMD_USE_VDD_L1P_NO_SLPZ_VDD_L1P_PWDN (0x00000000u)
#define CSL_DEV_L1PL2SLMD_USE_VDD_L1P_SLPZ_VDD_L1P_PWDN (0x00000001u)

#define CSL_DEV_L1PL2SLMD_USE_VSS_L1P_MASK (0x00000004u)
#define CSL_DEV_L1PL2SLMD_USE_VSS_L1P_SHIFT (0x00000002u)
#define CSL_DEV_L1PL2SLMD_USE_VSS_L1P_RESETVAL (0x00000001u)
/*----USE_VSS_L1P Tokens----*/
#define CSL_DEV_L1PL2SLMD_USE_VSS_L1P_NO_SLPZ_VSS_L1P_PWDN (0x00000000u)
#define CSL_DEV_L1PL2SLMD_USE_VSS_L1P_SLPZ_VSS_L1P_PWDN (0x00000001u)

#define CSL_DEV_L1PL2SLMD_USE_VDD_L2_MASK (0x00000002u)
#define CSL_DEV_L1PL2SLMD_USE_VDD_L2_SHIFT (0x00000001u)
#define CSL_DEV_L1PL2SLMD_USE_VDD_L2_RESETVAL (0x00000000u)
/*----USE_VDD_L2 Tokens----*/
#define CSL_DEV_L1PL2SLMD_USE_VDD_L2_NO_SLPZ_VDD_L2_PWDN (0x00000000u)
#define CSL_DEV_L1PL2SLMD_USE_VDD_L2_SLPZ_VDD_L2_PWDN (0x00000001u)

#define CSL_DEV_L1PL2SLMD_USE_VSS_L2_MASK (0x00000001u)
#define CSL_DEV_L1PL2SLMD_USE_VSS_L2_SHIFT (0x00000000u)
#define CSL_DEV_L1PL2SLMD_USE_VSS_L2_RESETVAL (0x00000001u)
/*----USE_VSS_L2 Tokens----*/
#define CSL_DEV_L1PL2SLMD_USE_VSS_L2_NO_SLPZ_VSS_L2_PWDN (0x00000000u)
#define CSL_DEV_L1PL2SLMD_USE_VSS_L2_SLPZ_VSS_L2_PWDN (0x00000001u)

#define CSL_DEV_L1PL2SLMD_RESETVAL       (0x00000005u)

/* L2WKCNT */
#define CSL_DEV_L2WKCNT_KEY_MASK         (0x0001FE00u)
#define CSL_DEV_L2WKCNT_KEY_SHIFT        (0x00000009u)
#define CSL_DEV_L2WKCNT_KEY_RESETVAL     (0x00000000u)

#define CSL_DEV_L2WKCNT_UMCCNT_MASK      (0x000001F0u)
#define CSL_DEV_L2WKCNT_UMCCNT_SHIFT     (0x00000004u)
#define CSL_DEV_L2WKCNT_UMCCNT_RESETVAL  (0x0000001Fu)

#define CSL_DEV_L2WKCNT_L2PDCCNT_MASK   (0x0000000Fu)
#define CSL_DEV_L2WKCNT_L2PDCCNT_SHIFT  (0x00000000u)
#define CSL_DEV_L2WKCNT_L2PDCCNT_RESETVAL (0x00000003u)

#define CSL_DEV_L2WKCNT_RESETVAL         (0x000001F3u)

/* L1PWKCNT */
#define CSL_DEV_L1PWKCNT_KEY_MASK        (0x0001FE00u)
#define CSL_DEV_L1PWKCNT_KEY_SHIFT       (0x00000009u)
#define CSL_DEV_L1PWKCNT_KEY_RESETVAL    (0x00000000u)

#define CSL_DEV_L1PWKCNT_PMCCNT_MASK     (0x000001F0u)
#define CSL_DEV_L1PWKCNT_PMCCNT_SHIFT    (0x00000004u)
#define CSL_DEV_L1PWKCNT_PMCCNT_RESETVAL (0x0000001Fu)


#define CSL_DEV_L1PWKCNT_RESETVAL        (0x000001F0u)

/* PRIVPERM */

#define CSL_DEV_PRIVPERM_GPIO_MASK       (0xC0000000u)
#define CSL_DEV_PRIVPERM_GPIO_SHIFT      (0x0000001Eu)
#define CSL_DEV_PRIVPERM_GPIO_RESETVAL   (0x00000000u)

#define CSL_DEV_PRIVPERM_HPI_MASK        (0x30000000u)
#define CSL_DEV_PRIVPERM_HPI_SHIFT       (0x0000001Cu)
#define CSL_DEV_PRIVPERM_HPI_RESETVAL    (0x00000000u)

#define CSL_DEV_PRIVPERM_CPGMAC_MASK     (0x0C000000u)
#define CSL_DEV_PRIVPERM_CPGMAC_SHIFT    (0x0000001Au)
#define CSL_DEV_PRIVPERM_CPGMAC_RESETVAL (0x00000000u)

#define CSL_DEV_PRIVPERM_UTOPIA_MASK     (0x03000000u)
#define CSL_DEV_PRIVPERM_UTOPIA_SHIFT    (0x00000018u)
#define CSL_DEV_PRIVPERM_UTOPIA_RESETVAL (0x00000000u)

#define CSL_DEV_PRIVPERM_RIO_MASK        (0x00C00000u)
#define CSL_DEV_PRIVPERM_RIO_SHIFT       (0x00000016u)
#define CSL_DEV_PRIVPERM_RIO_RESETVAL    (0x00000000u)

#define CSL_DEV_PRIVPERM_TSIP_MASK       (0x00300000u)
#define CSL_DEV_PRIVPERM_TSIP_SHIFT      (0x00000014u)
#define CSL_DEV_PRIVPERM_TSIP_RESETVAL   (0x00000000u)

#define CSL_DEV_PRIVPERM_TIMER64_MASK    (0x000C0000u)
#define CSL_DEV_PRIVPERM_TIMER64_SHIFT   (0x00000012u)
#define CSL_DEV_PRIVPERM_TIMER64_RESETVAL (0x00000000u)

#define CSL_DEV_PRIVPERM_IIC_MASK        (0x00030000u)
#define CSL_DEV_PRIVPERM_IIC_SHIFT       (0x00000010u)
#define CSL_DEV_PRIVPERM_IIC_RESETVAL    (0x00000000u)

#define CSL_DEV_PRIVPERM_SMC_MASK        (0x0000C000u)
#define CSL_DEV_PRIVPERM_SMC_SHIFT       (0x0000000Eu)
#define CSL_DEV_PRIVPERM_SMC_RESETVAL    (0x00000000u)

#define CSL_DEV_PRIVPERM_CLRF1_MASK      (0x00003000u)
#define CSL_DEV_PRIVPERM_CLRF1_SHIFT     (0x0000000Cu)
#define CSL_DEV_PRIVPERM_CLRF1_RESETVAL  (0x00000000u)

#define CSL_DEV_PRIVPERM_CLRF0_MASK      (0x00000800u)
#define CSL_DEV_PRIVPERM_CLRF0_SHIFT     (0x0000000Bu)
#define CSL_DEV_PRIVPERM_CLRF0_RESETVAL  (0x00000000u)


#define CSL_DEV_PRIVPERM_PLL_CTRL_MASK   (0x00000300u)
#define CSL_DEV_PRIVPERM_PLL_CTRL_SHIFT  (0x00000008u)
#define CSL_DEV_PRIVPERM_PLL_CTRL_RESETVAL (0x00000000u)

#define CSL_DEV_PRIVPERM_PSC_MASK        (0x000000C0u)
#define CSL_DEV_PRIVPERM_PSC_SHIFT       (0x00000006u)
#define CSL_DEV_PRIVPERM_PSC_RESETVAL    (0x00000000u)

#define CSL_DEV_PRIVPERM_SEC_CTL_MASK    (0x00000030u)
#define CSL_DEV_PRIVPERM_SEC_CTL_SHIFT   (0x00000004u)
#define CSL_DEV_PRIVPERM_SEC_CTL_RESETVAL (0x00000000u)

#define CSL_DEV_PRIVPERM_BOOT_CTRL_MASK  (0x0000000Cu)
#define CSL_DEV_PRIVPERM_BOOT_CTRL_SHIFT (0x00000002u)
#define CSL_DEV_PRIVPERM_BOOT_CTRL_RESETVAL (0x00000000u)

#define CSL_DEV_PRIVPERM_ETB_MASK        (0x00000003u)
#define CSL_DEV_PRIVPERM_ETB_SHIFT       (0x00000000u)
#define CSL_DEV_PRIVPERM_ETB_RESETVAL    (0x00000000u)

#define CSL_DEV_PRIVPERM_RESETVAL        (0x00000000u)

/* PRIV_KEY */


#define CSL_DEV_PRIV_KEY_KEY_MASK        (0x0000FFFFu)
#define CSL_DEV_PRIV_KEY_KEY_SHIFT       (0x00000000u)
#define CSL_DEV_PRIV_KEY_KEY_RESETVAL    (0x00000000u)

#define CSL_DEV_PRIV_KEY_RESETVAL        (0x00000000u)

/* NMIGR0 */


#define CSL_DEV_NMIGR0_NMIG_MASK         (0x00000001u)
#define CSL_DEV_NMIGR0_NMIG_SHIFT        (0x00000000u)
#define CSL_DEV_NMIGR0_NMIG_RESETVAL     (0x00000000u)

#define CSL_DEV_NMIGR0_RESETVAL          (0x00000000u)

/* NMIGR1 */


#define CSL_DEV_NMIGR1_NMIG_MASK         (0x00000001u)
#define CSL_DEV_NMIGR1_NMIG_SHIFT        (0x00000000u)
#define CSL_DEV_NMIGR1_NMIG_RESETVAL     (0x00000000u)

#define CSL_DEV_NMIGR1_RESETVAL          (0x00000000u)

/* NMIGR2 */


#define CSL_DEV_NMIGR2_NMIG_MASK         (0x00000001u)
#define CSL_DEV_NMIGR2_NMIG_SHIFT        (0x00000000u)
#define CSL_DEV_NMIGR2_NMIG_RESETVAL     (0x00000000u)

#define CSL_DEV_NMIGR2_RESETVAL          (0x00000000u)

/* NMIGR3 */


#define CSL_DEV_NMIGR3_NMIG_MASK         (0x00000001u)
#define CSL_DEV_NMIGR3_NMIG_SHIFT        (0x00000000u)
#define CSL_DEV_NMIGR3_NMIG_RESETVAL     (0x00000000u)

#define CSL_DEV_NMIGR3_RESETVAL          (0x00000000u)

/* NMIGR4 */


#define CSL_DEV_NMIGR4_NMIG_MASK         (0x00000001u)
#define CSL_DEV_NMIGR4_NMIG_SHIFT        (0x00000000u)
#define CSL_DEV_NMIGR4_NMIG_RESETVAL     (0x00000000u)

#define CSL_DEV_NMIGR4_RESETVAL          (0x00000000u)

/* NMIGR5 */


#define CSL_DEV_NMIGR5_NMIG_MASK         (0x00000001u)
#define CSL_DEV_NMIGR5_NMIG_SHIFT        (0x00000000u)
#define CSL_DEV_NMIGR5_NMIG_RESETVAL     (0x00000000u)

#define CSL_DEV_NMIGR5_RESETVAL          (0x00000000u)

/* IPCGR0 */

#define CSL_DEV_IPCGR0_SRCC27_MASK       (0x80000000u)
#define CSL_DEV_IPCGR0_SRCC27_SHIFT      (0x0000001Fu)
#define CSL_DEV_IPCGR0_SRCC27_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC26_MASK       (0x40000000u)
#define CSL_DEV_IPCGR0_SRCC26_SHIFT      (0x0000001Eu)
#define CSL_DEV_IPCGR0_SRCC26_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC25_MASK       (0x20000000u)
#define CSL_DEV_IPCGR0_SRCC25_SHIFT      (0x0000001Du)
#define CSL_DEV_IPCGR0_SRCC25_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC24_MASK       (0x10000000u)
#define CSL_DEV_IPCGR0_SRCC24_SHIFT      (0x0000001Cu)
#define CSL_DEV_IPCGR0_SRCC24_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC23_MASK       (0x08000000u)
#define CSL_DEV_IPCGR0_SRCC23_SHIFT      (0x0000001Bu)
#define CSL_DEV_IPCGR0_SRCC23_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC22_MASK       (0x04000000u)
#define CSL_DEV_IPCGR0_SRCC22_SHIFT      (0x0000001Au)
#define CSL_DEV_IPCGR0_SRCC22_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC21_MASK       (0x02000000u)
#define CSL_DEV_IPCGR0_SRCC21_SHIFT      (0x00000019u)
#define CSL_DEV_IPCGR0_SRCC21_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC20_MASK       (0x01000000u)
#define CSL_DEV_IPCGR0_SRCC20_SHIFT      (0x00000018u)
#define CSL_DEV_IPCGR0_SRCC20_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC19_MASK       (0x00800000u)
#define CSL_DEV_IPCGR0_SRCC19_SHIFT      (0x00000017u)
#define CSL_DEV_IPCGR0_SRCC19_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC18_MASK       (0x00400000u)
#define CSL_DEV_IPCGR0_SRCC18_SHIFT      (0x00000016u)
#define CSL_DEV_IPCGR0_SRCC18_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC17_MASK       (0x00200000u)
#define CSL_DEV_IPCGR0_SRCC17_SHIFT      (0x00000015u)
#define CSL_DEV_IPCGR0_SRCC17_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC16_MASK       (0x00100000u)
#define CSL_DEV_IPCGR0_SRCC16_SHIFT      (0x00000014u)
#define CSL_DEV_IPCGR0_SRCC16_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC15_MASK       (0x00080000u)
#define CSL_DEV_IPCGR0_SRCC15_SHIFT      (0x00000013u)
#define CSL_DEV_IPCGR0_SRCC15_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC14_MASK       (0x00040000u)
#define CSL_DEV_IPCGR0_SRCC14_SHIFT      (0x00000012u)
#define CSL_DEV_IPCGR0_SRCC14_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC13_MASK       (0x00020000u)
#define CSL_DEV_IPCGR0_SRCC13_SHIFT      (0x00000011u)
#define CSL_DEV_IPCGR0_SRCC13_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC12_MASK       (0x00010000u)
#define CSL_DEV_IPCGR0_SRCC12_SHIFT      (0x00000010u)
#define CSL_DEV_IPCGR0_SRCC12_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC11_MASK       (0x00008000u)
#define CSL_DEV_IPCGR0_SRCC11_SHIFT      (0x0000000Fu)
#define CSL_DEV_IPCGR0_SRCC11_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC10_MASK       (0x00004000u)
#define CSL_DEV_IPCGR0_SRCC10_SHIFT      (0x0000000Eu)
#define CSL_DEV_IPCGR0_SRCC10_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC9_MASK        (0x00002000u)
#define CSL_DEV_IPCGR0_SRCC9_SHIFT       (0x0000000Du)
#define CSL_DEV_IPCGR0_SRCC9_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC8_MASK        (0x00001000u)
#define CSL_DEV_IPCGR0_SRCC8_SHIFT       (0x0000000Cu)
#define CSL_DEV_IPCGR0_SRCC8_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC7_MASK        (0x00000800u)
#define CSL_DEV_IPCGR0_SRCC7_SHIFT       (0x0000000Bu)
#define CSL_DEV_IPCGR0_SRCC7_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC6_MASK        (0x00000400u)
#define CSL_DEV_IPCGR0_SRCC6_SHIFT       (0x0000000Au)
#define CSL_DEV_IPCGR0_SRCC6_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC5_MASK        (0x00000200u)
#define CSL_DEV_IPCGR0_SRCC5_SHIFT       (0x00000009u)
#define CSL_DEV_IPCGR0_SRCC5_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC4_MASK        (0x00000100u)
#define CSL_DEV_IPCGR0_SRCC4_SHIFT       (0x00000008u)
#define CSL_DEV_IPCGR0_SRCC4_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC3_MASK        (0x00000080u)
#define CSL_DEV_IPCGR0_SRCC3_SHIFT       (0x00000007u)
#define CSL_DEV_IPCGR0_SRCC3_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC2_MASK        (0x00000040u)
#define CSL_DEV_IPCGR0_SRCC2_SHIFT       (0x00000006u)
#define CSL_DEV_IPCGR0_SRCC2_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC1_MASK        (0x00000020u)
#define CSL_DEV_IPCGR0_SRCC1_SHIFT       (0x00000005u)
#define CSL_DEV_IPCGR0_SRCC1_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR0_SRCC0_MASK        (0x00000010u)
#define CSL_DEV_IPCGR0_SRCC0_SHIFT       (0x00000004u)
#define CSL_DEV_IPCGR0_SRCC0_RESETVAL    (0x00000000u)


#define CSL_DEV_IPCGR0_IPCG_MASK         (0x00000001u)
#define CSL_DEV_IPCGR0_IPCG_SHIFT        (0x00000000u)
#define CSL_DEV_IPCGR0_IPCG_RESETVAL     (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_DEV_IPCGR0_IPCG_IDSP_INT_SET (0x00000001u)

#define CSL_DEV_IPCGR0_RESETVAL          (0x00000000u)

/* IPCGR1 */

#define CSL_DEV_IPCGR1_SRCC27_MASK       (0x80000000u)
#define CSL_DEV_IPCGR1_SRCC27_SHIFT      (0x0000001Fu)
#define CSL_DEV_IPCGR1_SRCC27_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC26_MASK       (0x40000000u)
#define CSL_DEV_IPCGR1_SRCC26_SHIFT      (0x0000001Eu)
#define CSL_DEV_IPCGR1_SRCC26_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC25_MASK       (0x20000000u)
#define CSL_DEV_IPCGR1_SRCC25_SHIFT      (0x0000001Du)
#define CSL_DEV_IPCGR1_SRCC25_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC24_MASK       (0x10000000u)
#define CSL_DEV_IPCGR1_SRCC24_SHIFT      (0x0000001Cu)
#define CSL_DEV_IPCGR1_SRCC24_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC23_MASK       (0x08000000u)
#define CSL_DEV_IPCGR1_SRCC23_SHIFT      (0x0000001Bu)
#define CSL_DEV_IPCGR1_SRCC23_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC22_MASK       (0x04000000u)
#define CSL_DEV_IPCGR1_SRCC22_SHIFT      (0x0000001Au)
#define CSL_DEV_IPCGR1_SRCC22_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC21_MASK       (0x02000000u)
#define CSL_DEV_IPCGR1_SRCC21_SHIFT      (0x00000019u)
#define CSL_DEV_IPCGR1_SRCC21_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC20_MASK       (0x01000000u)
#define CSL_DEV_IPCGR1_SRCC20_SHIFT      (0x00000018u)
#define CSL_DEV_IPCGR1_SRCC20_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC19_MASK       (0x00800000u)
#define CSL_DEV_IPCGR1_SRCC19_SHIFT      (0x00000017u)
#define CSL_DEV_IPCGR1_SRCC19_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC18_MASK       (0x00400000u)
#define CSL_DEV_IPCGR1_SRCC18_SHIFT      (0x00000016u)
#define CSL_DEV_IPCGR1_SRCC18_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC17_MASK       (0x00200000u)
#define CSL_DEV_IPCGR1_SRCC17_SHIFT      (0x00000015u)
#define CSL_DEV_IPCGR1_SRCC17_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC16_MASK       (0x00100000u)
#define CSL_DEV_IPCGR1_SRCC16_SHIFT      (0x00000014u)
#define CSL_DEV_IPCGR1_SRCC16_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC15_MASK       (0x00080000u)
#define CSL_DEV_IPCGR1_SRCC15_SHIFT      (0x00000013u)
#define CSL_DEV_IPCGR1_SRCC15_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC14_MASK       (0x00040000u)
#define CSL_DEV_IPCGR1_SRCC14_SHIFT      (0x00000012u)
#define CSL_DEV_IPCGR1_SRCC14_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC13_MASK       (0x00020000u)
#define CSL_DEV_IPCGR1_SRCC13_SHIFT      (0x00000011u)
#define CSL_DEV_IPCGR1_SRCC13_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC12_MASK       (0x00010000u)
#define CSL_DEV_IPCGR1_SRCC12_SHIFT      (0x00000010u)
#define CSL_DEV_IPCGR1_SRCC12_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC11_MASK       (0x00008000u)
#define CSL_DEV_IPCGR1_SRCC11_SHIFT      (0x0000000Fu)
#define CSL_DEV_IPCGR1_SRCC11_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC10_MASK       (0x00004000u)
#define CSL_DEV_IPCGR1_SRCC10_SHIFT      (0x0000000Eu)
#define CSL_DEV_IPCGR1_SRCC10_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC9_MASK        (0x00002000u)
#define CSL_DEV_IPCGR1_SRCC9_SHIFT       (0x0000000Du)
#define CSL_DEV_IPCGR1_SRCC9_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC8_MASK        (0x00001000u)
#define CSL_DEV_IPCGR1_SRCC8_SHIFT       (0x0000000Cu)
#define CSL_DEV_IPCGR1_SRCC8_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC7_MASK        (0x00000800u)
#define CSL_DEV_IPCGR1_SRCC7_SHIFT       (0x0000000Bu)
#define CSL_DEV_IPCGR1_SRCC7_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC6_MASK        (0x00000400u)
#define CSL_DEV_IPCGR1_SRCC6_SHIFT       (0x0000000Au)
#define CSL_DEV_IPCGR1_SRCC6_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC5_MASK        (0x00000200u)
#define CSL_DEV_IPCGR1_SRCC5_SHIFT       (0x00000009u)
#define CSL_DEV_IPCGR1_SRCC5_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC4_MASK        (0x00000100u)
#define CSL_DEV_IPCGR1_SRCC4_SHIFT       (0x00000008u)
#define CSL_DEV_IPCGR1_SRCC4_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC3_MASK        (0x00000080u)
#define CSL_DEV_IPCGR1_SRCC3_SHIFT       (0x00000007u)
#define CSL_DEV_IPCGR1_SRCC3_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC2_MASK        (0x00000040u)
#define CSL_DEV_IPCGR1_SRCC2_SHIFT       (0x00000006u)
#define CSL_DEV_IPCGR1_SRCC2_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC1_MASK        (0x00000020u)
#define CSL_DEV_IPCGR1_SRCC1_SHIFT       (0x00000005u)
#define CSL_DEV_IPCGR1_SRCC1_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR1_SRCC0_MASK        (0x00000010u)
#define CSL_DEV_IPCGR1_SRCC0_SHIFT       (0x00000004u)
#define CSL_DEV_IPCGR1_SRCC0_RESETVAL    (0x00000000u)


#define CSL_DEV_IPCGR1_IPCG_MASK         (0x00000001u)
#define CSL_DEV_IPCGR1_IPCG_SHIFT        (0x00000000u)
#define CSL_DEV_IPCGR1_IPCG_RESETVAL     (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_DEV_IPCGR1_IPCG_IDSP_INT_SET (0x00000001u)

#define CSL_DEV_IPCGR1_RESETVAL          (0x00000000u)

/* IPCGR2 */

#define CSL_DEV_IPCGR2_SRCC27_MASK       (0x80000000u)
#define CSL_DEV_IPCGR2_SRCC27_SHIFT      (0x0000001Fu)
#define CSL_DEV_IPCGR2_SRCC27_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC26_MASK       (0x40000000u)
#define CSL_DEV_IPCGR2_SRCC26_SHIFT      (0x0000001Eu)
#define CSL_DEV_IPCGR2_SRCC26_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC25_MASK       (0x20000000u)
#define CSL_DEV_IPCGR2_SRCC25_SHIFT      (0x0000001Du)
#define CSL_DEV_IPCGR2_SRCC25_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC24_MASK       (0x10000000u)
#define CSL_DEV_IPCGR2_SRCC24_SHIFT      (0x0000001Cu)
#define CSL_DEV_IPCGR2_SRCC24_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC23_MASK       (0x08000000u)
#define CSL_DEV_IPCGR2_SRCC23_SHIFT      (0x0000001Bu)
#define CSL_DEV_IPCGR2_SRCC23_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC22_MASK       (0x04000000u)
#define CSL_DEV_IPCGR2_SRCC22_SHIFT      (0x0000001Au)
#define CSL_DEV_IPCGR2_SRCC22_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC21_MASK       (0x02000000u)
#define CSL_DEV_IPCGR2_SRCC21_SHIFT      (0x00000019u)
#define CSL_DEV_IPCGR2_SRCC21_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC20_MASK       (0x01000000u)
#define CSL_DEV_IPCGR2_SRCC20_SHIFT      (0x00000018u)
#define CSL_DEV_IPCGR2_SRCC20_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC19_MASK       (0x00800000u)
#define CSL_DEV_IPCGR2_SRCC19_SHIFT      (0x00000017u)
#define CSL_DEV_IPCGR2_SRCC19_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC18_MASK       (0x00400000u)
#define CSL_DEV_IPCGR2_SRCC18_SHIFT      (0x00000016u)
#define CSL_DEV_IPCGR2_SRCC18_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC17_MASK       (0x00200000u)
#define CSL_DEV_IPCGR2_SRCC17_SHIFT      (0x00000015u)
#define CSL_DEV_IPCGR2_SRCC17_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC16_MASK       (0x00100000u)
#define CSL_DEV_IPCGR2_SRCC16_SHIFT      (0x00000014u)
#define CSL_DEV_IPCGR2_SRCC16_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC15_MASK       (0x00080000u)
#define CSL_DEV_IPCGR2_SRCC15_SHIFT      (0x00000013u)
#define CSL_DEV_IPCGR2_SRCC15_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC14_MASK       (0x00040000u)
#define CSL_DEV_IPCGR2_SRCC14_SHIFT      (0x00000012u)
#define CSL_DEV_IPCGR2_SRCC14_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC13_MASK       (0x00020000u)
#define CSL_DEV_IPCGR2_SRCC13_SHIFT      (0x00000011u)
#define CSL_DEV_IPCGR2_SRCC13_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC12_MASK       (0x00010000u)
#define CSL_DEV_IPCGR2_SRCC12_SHIFT      (0x00000010u)
#define CSL_DEV_IPCGR2_SRCC12_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC11_MASK       (0x00008000u)
#define CSL_DEV_IPCGR2_SRCC11_SHIFT      (0x0000000Fu)
#define CSL_DEV_IPCGR2_SRCC11_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC10_MASK       (0x00004000u)
#define CSL_DEV_IPCGR2_SRCC10_SHIFT      (0x0000000Eu)
#define CSL_DEV_IPCGR2_SRCC10_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC9_MASK        (0x00002000u)
#define CSL_DEV_IPCGR2_SRCC9_SHIFT       (0x0000000Du)
#define CSL_DEV_IPCGR2_SRCC9_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC8_MASK        (0x00001000u)
#define CSL_DEV_IPCGR2_SRCC8_SHIFT       (0x0000000Cu)
#define CSL_DEV_IPCGR2_SRCC8_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC7_MASK        (0x00000800u)
#define CSL_DEV_IPCGR2_SRCC7_SHIFT       (0x0000000Bu)
#define CSL_DEV_IPCGR2_SRCC7_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC6_MASK        (0x00000400u)
#define CSL_DEV_IPCGR2_SRCC6_SHIFT       (0x0000000Au)
#define CSL_DEV_IPCGR2_SRCC6_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC5_MASK        (0x00000200u)
#define CSL_DEV_IPCGR2_SRCC5_SHIFT       (0x00000009u)
#define CSL_DEV_IPCGR2_SRCC5_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC4_MASK        (0x00000100u)
#define CSL_DEV_IPCGR2_SRCC4_SHIFT       (0x00000008u)
#define CSL_DEV_IPCGR2_SRCC4_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC3_MASK        (0x00000080u)
#define CSL_DEV_IPCGR2_SRCC3_SHIFT       (0x00000007u)
#define CSL_DEV_IPCGR2_SRCC3_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC2_MASK        (0x00000040u)
#define CSL_DEV_IPCGR2_SRCC2_SHIFT       (0x00000006u)
#define CSL_DEV_IPCGR2_SRCC2_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC1_MASK        (0x00000020u)
#define CSL_DEV_IPCGR2_SRCC1_SHIFT       (0x00000005u)
#define CSL_DEV_IPCGR2_SRCC1_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR2_SRCC0_MASK        (0x00000010u)
#define CSL_DEV_IPCGR2_SRCC0_SHIFT       (0x00000004u)
#define CSL_DEV_IPCGR2_SRCC0_RESETVAL    (0x00000000u)


#define CSL_DEV_IPCGR2_IPCG_MASK         (0x00000001u)
#define CSL_DEV_IPCGR2_IPCG_SHIFT        (0x00000000u)
#define CSL_DEV_IPCGR2_IPCG_RESETVAL     (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_DEV_IPCGR2_IPCG_IDSP_INT_SET (0x00000001u)

#define CSL_DEV_IPCGR2_RESETVAL          (0x00000000u)

/* IPCGR3 */

#define CSL_DEV_IPCGR3_SRCC27_MASK       (0x80000000u)
#define CSL_DEV_IPCGR3_SRCC27_SHIFT      (0x0000001Fu)
#define CSL_DEV_IPCGR3_SRCC27_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC26_MASK       (0x40000000u)
#define CSL_DEV_IPCGR3_SRCC26_SHIFT      (0x0000001Eu)
#define CSL_DEV_IPCGR3_SRCC26_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC25_MASK       (0x20000000u)
#define CSL_DEV_IPCGR3_SRCC25_SHIFT      (0x0000001Du)
#define CSL_DEV_IPCGR3_SRCC25_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC24_MASK       (0x10000000u)
#define CSL_DEV_IPCGR3_SRCC24_SHIFT      (0x0000001Cu)
#define CSL_DEV_IPCGR3_SRCC24_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC23_MASK       (0x08000000u)
#define CSL_DEV_IPCGR3_SRCC23_SHIFT      (0x0000001Bu)
#define CSL_DEV_IPCGR3_SRCC23_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC22_MASK       (0x04000000u)
#define CSL_DEV_IPCGR3_SRCC22_SHIFT      (0x0000001Au)
#define CSL_DEV_IPCGR3_SRCC22_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC21_MASK       (0x02000000u)
#define CSL_DEV_IPCGR3_SRCC21_SHIFT      (0x00000019u)
#define CSL_DEV_IPCGR3_SRCC21_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC20_MASK       (0x01000000u)
#define CSL_DEV_IPCGR3_SRCC20_SHIFT      (0x00000018u)
#define CSL_DEV_IPCGR3_SRCC20_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC19_MASK       (0x00800000u)
#define CSL_DEV_IPCGR3_SRCC19_SHIFT      (0x00000017u)
#define CSL_DEV_IPCGR3_SRCC19_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC18_MASK       (0x00400000u)
#define CSL_DEV_IPCGR3_SRCC18_SHIFT      (0x00000016u)
#define CSL_DEV_IPCGR3_SRCC18_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC17_MASK       (0x00200000u)
#define CSL_DEV_IPCGR3_SRCC17_SHIFT      (0x00000015u)
#define CSL_DEV_IPCGR3_SRCC17_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC16_MASK       (0x00100000u)
#define CSL_DEV_IPCGR3_SRCC16_SHIFT      (0x00000014u)
#define CSL_DEV_IPCGR3_SRCC16_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC15_MASK       (0x00080000u)
#define CSL_DEV_IPCGR3_SRCC15_SHIFT      (0x00000013u)
#define CSL_DEV_IPCGR3_SRCC15_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC14_MASK       (0x00040000u)
#define CSL_DEV_IPCGR3_SRCC14_SHIFT      (0x00000012u)
#define CSL_DEV_IPCGR3_SRCC14_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC13_MASK       (0x00020000u)
#define CSL_DEV_IPCGR3_SRCC13_SHIFT      (0x00000011u)
#define CSL_DEV_IPCGR3_SRCC13_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC12_MASK       (0x00010000u)
#define CSL_DEV_IPCGR3_SRCC12_SHIFT      (0x00000010u)
#define CSL_DEV_IPCGR3_SRCC12_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC11_MASK       (0x00008000u)
#define CSL_DEV_IPCGR3_SRCC11_SHIFT      (0x0000000Fu)
#define CSL_DEV_IPCGR3_SRCC11_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC10_MASK       (0x00004000u)
#define CSL_DEV_IPCGR3_SRCC10_SHIFT      (0x0000000Eu)
#define CSL_DEV_IPCGR3_SRCC10_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC9_MASK        (0x00002000u)
#define CSL_DEV_IPCGR3_SRCC9_SHIFT       (0x0000000Du)
#define CSL_DEV_IPCGR3_SRCC9_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC8_MASK        (0x00001000u)
#define CSL_DEV_IPCGR3_SRCC8_SHIFT       (0x0000000Cu)
#define CSL_DEV_IPCGR3_SRCC8_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC7_MASK        (0x00000800u)
#define CSL_DEV_IPCGR3_SRCC7_SHIFT       (0x0000000Bu)
#define CSL_DEV_IPCGR3_SRCC7_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC6_MASK        (0x00000400u)
#define CSL_DEV_IPCGR3_SRCC6_SHIFT       (0x0000000Au)
#define CSL_DEV_IPCGR3_SRCC6_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC5_MASK        (0x00000200u)
#define CSL_DEV_IPCGR3_SRCC5_SHIFT       (0x00000009u)
#define CSL_DEV_IPCGR3_SRCC5_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC4_MASK        (0x00000100u)
#define CSL_DEV_IPCGR3_SRCC4_SHIFT       (0x00000008u)
#define CSL_DEV_IPCGR3_SRCC4_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC3_MASK        (0x00000080u)
#define CSL_DEV_IPCGR3_SRCC3_SHIFT       (0x00000007u)
#define CSL_DEV_IPCGR3_SRCC3_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC2_MASK        (0x00000040u)
#define CSL_DEV_IPCGR3_SRCC2_SHIFT       (0x00000006u)
#define CSL_DEV_IPCGR3_SRCC2_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC1_MASK        (0x00000020u)
#define CSL_DEV_IPCGR3_SRCC1_SHIFT       (0x00000005u)
#define CSL_DEV_IPCGR3_SRCC1_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR3_SRCC0_MASK        (0x00000010u)
#define CSL_DEV_IPCGR3_SRCC0_SHIFT       (0x00000004u)
#define CSL_DEV_IPCGR3_SRCC0_RESETVAL    (0x00000000u)


#define CSL_DEV_IPCGR3_IPCG_MASK         (0x00000001u)
#define CSL_DEV_IPCGR3_IPCG_SHIFT        (0x00000000u)
#define CSL_DEV_IPCGR3_IPCG_RESETVAL     (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_DEV_IPCGR3_IPCG_IDSP_INT_SET (0x00000001u)

#define CSL_DEV_IPCGR3_RESETVAL          (0x00000000u)

/* IPCGR4 */

#define CSL_DEV_IPCGR4_SRCC27_MASK       (0x80000000u)
#define CSL_DEV_IPCGR4_SRCC27_SHIFT      (0x0000001Fu)
#define CSL_DEV_IPCGR4_SRCC27_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC26_MASK       (0x40000000u)
#define CSL_DEV_IPCGR4_SRCC26_SHIFT      (0x0000001Eu)
#define CSL_DEV_IPCGR4_SRCC26_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC25_MASK       (0x20000000u)
#define CSL_DEV_IPCGR4_SRCC25_SHIFT      (0x0000001Du)
#define CSL_DEV_IPCGR4_SRCC25_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC24_MASK       (0x10000000u)
#define CSL_DEV_IPCGR4_SRCC24_SHIFT      (0x0000001Cu)
#define CSL_DEV_IPCGR4_SRCC24_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC23_MASK       (0x08000000u)
#define CSL_DEV_IPCGR4_SRCC23_SHIFT      (0x0000001Bu)
#define CSL_DEV_IPCGR4_SRCC23_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC22_MASK       (0x04000000u)
#define CSL_DEV_IPCGR4_SRCC22_SHIFT      (0x0000001Au)
#define CSL_DEV_IPCGR4_SRCC22_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC21_MASK       (0x02000000u)
#define CSL_DEV_IPCGR4_SRCC21_SHIFT      (0x00000019u)
#define CSL_DEV_IPCGR4_SRCC21_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC20_MASK       (0x01000000u)
#define CSL_DEV_IPCGR4_SRCC20_SHIFT      (0x00000018u)
#define CSL_DEV_IPCGR4_SRCC20_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC19_MASK       (0x00800000u)
#define CSL_DEV_IPCGR4_SRCC19_SHIFT      (0x00000017u)
#define CSL_DEV_IPCGR4_SRCC19_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC18_MASK       (0x00400000u)
#define CSL_DEV_IPCGR4_SRCC18_SHIFT      (0x00000016u)
#define CSL_DEV_IPCGR4_SRCC18_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC17_MASK       (0x00200000u)
#define CSL_DEV_IPCGR4_SRCC17_SHIFT      (0x00000015u)
#define CSL_DEV_IPCGR4_SRCC17_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC16_MASK       (0x00100000u)
#define CSL_DEV_IPCGR4_SRCC16_SHIFT      (0x00000014u)
#define CSL_DEV_IPCGR4_SRCC16_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC15_MASK       (0x00080000u)
#define CSL_DEV_IPCGR4_SRCC15_SHIFT      (0x00000013u)
#define CSL_DEV_IPCGR4_SRCC15_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC14_MASK       (0x00040000u)
#define CSL_DEV_IPCGR4_SRCC14_SHIFT      (0x00000012u)
#define CSL_DEV_IPCGR4_SRCC14_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC13_MASK       (0x00020000u)
#define CSL_DEV_IPCGR4_SRCC13_SHIFT      (0x00000011u)
#define CSL_DEV_IPCGR4_SRCC13_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC12_MASK       (0x00010000u)
#define CSL_DEV_IPCGR4_SRCC12_SHIFT      (0x00000010u)
#define CSL_DEV_IPCGR4_SRCC12_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC11_MASK       (0x00008000u)
#define CSL_DEV_IPCGR4_SRCC11_SHIFT      (0x0000000Fu)
#define CSL_DEV_IPCGR4_SRCC11_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC10_MASK       (0x00004000u)
#define CSL_DEV_IPCGR4_SRCC10_SHIFT      (0x0000000Eu)
#define CSL_DEV_IPCGR4_SRCC10_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC9_MASK        (0x00002000u)
#define CSL_DEV_IPCGR4_SRCC9_SHIFT       (0x0000000Du)
#define CSL_DEV_IPCGR4_SRCC9_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC8_MASK        (0x00001000u)
#define CSL_DEV_IPCGR4_SRCC8_SHIFT       (0x0000000Cu)
#define CSL_DEV_IPCGR4_SRCC8_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC7_MASK        (0x00000800u)
#define CSL_DEV_IPCGR4_SRCC7_SHIFT       (0x0000000Bu)
#define CSL_DEV_IPCGR4_SRCC7_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC6_MASK        (0x00000400u)
#define CSL_DEV_IPCGR4_SRCC6_SHIFT       (0x0000000Au)
#define CSL_DEV_IPCGR4_SRCC6_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC5_MASK        (0x00000200u)
#define CSL_DEV_IPCGR4_SRCC5_SHIFT       (0x00000009u)
#define CSL_DEV_IPCGR4_SRCC5_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC4_MASK        (0x00000100u)
#define CSL_DEV_IPCGR4_SRCC4_SHIFT       (0x00000008u)
#define CSL_DEV_IPCGR4_SRCC4_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC3_MASK        (0x00000080u)
#define CSL_DEV_IPCGR4_SRCC3_SHIFT       (0x00000007u)
#define CSL_DEV_IPCGR4_SRCC3_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC2_MASK        (0x00000040u)
#define CSL_DEV_IPCGR4_SRCC2_SHIFT       (0x00000006u)
#define CSL_DEV_IPCGR4_SRCC2_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC1_MASK        (0x00000020u)
#define CSL_DEV_IPCGR4_SRCC1_SHIFT       (0x00000005u)
#define CSL_DEV_IPCGR4_SRCC1_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR4_SRCC0_MASK        (0x00000010u)
#define CSL_DEV_IPCGR4_SRCC0_SHIFT       (0x00000004u)
#define CSL_DEV_IPCGR4_SRCC0_RESETVAL    (0x00000000u)


#define CSL_DEV_IPCGR4_IPCG_MASK         (0x00000001u)
#define CSL_DEV_IPCGR4_IPCG_SHIFT        (0x00000000u)
#define CSL_DEV_IPCGR4_IPCG_RESETVAL     (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_DEV_IPCGR4_IPCG_IDSP_INT_SET (0x00000001u)

#define CSL_DEV_IPCGR4_RESETVAL          (0x00000000u)

/* IPCGR5 */

#define CSL_DEV_IPCGR5_SRCC27_MASK       (0x80000000u)
#define CSL_DEV_IPCGR5_SRCC27_SHIFT      (0x0000001Fu)
#define CSL_DEV_IPCGR5_SRCC27_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC26_MASK       (0x40000000u)
#define CSL_DEV_IPCGR5_SRCC26_SHIFT      (0x0000001Eu)
#define CSL_DEV_IPCGR5_SRCC26_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC25_MASK       (0x20000000u)
#define CSL_DEV_IPCGR5_SRCC25_SHIFT      (0x0000001Du)
#define CSL_DEV_IPCGR5_SRCC25_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC24_MASK       (0x10000000u)
#define CSL_DEV_IPCGR5_SRCC24_SHIFT      (0x0000001Cu)
#define CSL_DEV_IPCGR5_SRCC24_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC23_MASK       (0x08000000u)
#define CSL_DEV_IPCGR5_SRCC23_SHIFT      (0x0000001Bu)
#define CSL_DEV_IPCGR5_SRCC23_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC22_MASK       (0x04000000u)
#define CSL_DEV_IPCGR5_SRCC22_SHIFT      (0x0000001Au)
#define CSL_DEV_IPCGR5_SRCC22_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC21_MASK       (0x02000000u)
#define CSL_DEV_IPCGR5_SRCC21_SHIFT      (0x00000019u)
#define CSL_DEV_IPCGR5_SRCC21_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC20_MASK       (0x01000000u)
#define CSL_DEV_IPCGR5_SRCC20_SHIFT      (0x00000018u)
#define CSL_DEV_IPCGR5_SRCC20_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC19_MASK       (0x00800000u)
#define CSL_DEV_IPCGR5_SRCC19_SHIFT      (0x00000017u)
#define CSL_DEV_IPCGR5_SRCC19_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC18_MASK       (0x00400000u)
#define CSL_DEV_IPCGR5_SRCC18_SHIFT      (0x00000016u)
#define CSL_DEV_IPCGR5_SRCC18_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC17_MASK       (0x00200000u)
#define CSL_DEV_IPCGR5_SRCC17_SHIFT      (0x00000015u)
#define CSL_DEV_IPCGR5_SRCC17_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC16_MASK       (0x00100000u)
#define CSL_DEV_IPCGR5_SRCC16_SHIFT      (0x00000014u)
#define CSL_DEV_IPCGR5_SRCC16_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC15_MASK       (0x00080000u)
#define CSL_DEV_IPCGR5_SRCC15_SHIFT      (0x00000013u)
#define CSL_DEV_IPCGR5_SRCC15_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC14_MASK       (0x00040000u)
#define CSL_DEV_IPCGR5_SRCC14_SHIFT      (0x00000012u)
#define CSL_DEV_IPCGR5_SRCC14_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC13_MASK       (0x00020000u)
#define CSL_DEV_IPCGR5_SRCC13_SHIFT      (0x00000011u)
#define CSL_DEV_IPCGR5_SRCC13_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC12_MASK       (0x00010000u)
#define CSL_DEV_IPCGR5_SRCC12_SHIFT      (0x00000010u)
#define CSL_DEV_IPCGR5_SRCC12_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC11_MASK       (0x00008000u)
#define CSL_DEV_IPCGR5_SRCC11_SHIFT      (0x0000000Fu)
#define CSL_DEV_IPCGR5_SRCC11_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC10_MASK       (0x00004000u)
#define CSL_DEV_IPCGR5_SRCC10_SHIFT      (0x0000000Eu)
#define CSL_DEV_IPCGR5_SRCC10_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC9_MASK        (0x00002000u)
#define CSL_DEV_IPCGR5_SRCC9_SHIFT       (0x0000000Du)
#define CSL_DEV_IPCGR5_SRCC9_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC8_MASK        (0x00001000u)
#define CSL_DEV_IPCGR5_SRCC8_SHIFT       (0x0000000Cu)
#define CSL_DEV_IPCGR5_SRCC8_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC7_MASK        (0x00000800u)
#define CSL_DEV_IPCGR5_SRCC7_SHIFT       (0x0000000Bu)
#define CSL_DEV_IPCGR5_SRCC7_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC6_MASK        (0x00000400u)
#define CSL_DEV_IPCGR5_SRCC6_SHIFT       (0x0000000Au)
#define CSL_DEV_IPCGR5_SRCC6_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC5_MASK        (0x00000200u)
#define CSL_DEV_IPCGR5_SRCC5_SHIFT       (0x00000009u)
#define CSL_DEV_IPCGR5_SRCC5_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC4_MASK        (0x00000100u)
#define CSL_DEV_IPCGR5_SRCC4_SHIFT       (0x00000008u)
#define CSL_DEV_IPCGR5_SRCC4_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC3_MASK        (0x00000080u)
#define CSL_DEV_IPCGR5_SRCC3_SHIFT       (0x00000007u)
#define CSL_DEV_IPCGR5_SRCC3_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC2_MASK        (0x00000040u)
#define CSL_DEV_IPCGR5_SRCC2_SHIFT       (0x00000006u)
#define CSL_DEV_IPCGR5_SRCC2_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC1_MASK        (0x00000020u)
#define CSL_DEV_IPCGR5_SRCC1_SHIFT       (0x00000005u)
#define CSL_DEV_IPCGR5_SRCC1_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCGR5_SRCC0_MASK        (0x00000010u)
#define CSL_DEV_IPCGR5_SRCC0_SHIFT       (0x00000004u)
#define CSL_DEV_IPCGR5_SRCC0_RESETVAL    (0x00000000u)


#define CSL_DEV_IPCGR5_IPCG_MASK         (0x00000001u)
#define CSL_DEV_IPCGR5_IPCG_SHIFT        (0x00000000u)
#define CSL_DEV_IPCGR5_IPCG_RESETVAL     (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_DEV_IPCGR5_IPCG_IDSP_INT_SET (0x00000001u)

#define CSL_DEV_IPCGR5_RESETVAL          (0x00000000u)

/* IPCGR15 */

#define CSL_DEV_IPCGR15_SRCC27_MASK      (0x80000000u)
#define CSL_DEV_IPCGR15_SRCC27_SHIFT     (0x0000001Fu)
#define CSL_DEV_IPCGR15_SRCC27_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC26_MASK      (0x40000000u)
#define CSL_DEV_IPCGR15_SRCC26_SHIFT     (0x0000001Eu)
#define CSL_DEV_IPCGR15_SRCC26_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC25_MASK      (0x20000000u)
#define CSL_DEV_IPCGR15_SRCC25_SHIFT     (0x0000001Du)
#define CSL_DEV_IPCGR15_SRCC25_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC24_MASK      (0x10000000u)
#define CSL_DEV_IPCGR15_SRCC24_SHIFT     (0x0000001Cu)
#define CSL_DEV_IPCGR15_SRCC24_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC23_MASK      (0x08000000u)
#define CSL_DEV_IPCGR15_SRCC23_SHIFT     (0x0000001Bu)
#define CSL_DEV_IPCGR15_SRCC23_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC22_MASK      (0x04000000u)
#define CSL_DEV_IPCGR15_SRCC22_SHIFT     (0x0000001Au)
#define CSL_DEV_IPCGR15_SRCC22_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC21_MASK      (0x02000000u)
#define CSL_DEV_IPCGR15_SRCC21_SHIFT     (0x00000019u)
#define CSL_DEV_IPCGR15_SRCC21_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC20_MASK      (0x01000000u)
#define CSL_DEV_IPCGR15_SRCC20_SHIFT     (0x00000018u)
#define CSL_DEV_IPCGR15_SRCC20_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC19_MASK      (0x00800000u)
#define CSL_DEV_IPCGR15_SRCC19_SHIFT     (0x00000017u)
#define CSL_DEV_IPCGR15_SRCC19_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC18_MASK      (0x00400000u)
#define CSL_DEV_IPCGR15_SRCC18_SHIFT     (0x00000016u)
#define CSL_DEV_IPCGR15_SRCC18_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC17_MASK      (0x00200000u)
#define CSL_DEV_IPCGR15_SRCC17_SHIFT     (0x00000015u)
#define CSL_DEV_IPCGR15_SRCC17_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC16_MASK      (0x00100000u)
#define CSL_DEV_IPCGR15_SRCC16_SHIFT     (0x00000014u)
#define CSL_DEV_IPCGR15_SRCC16_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC15_MASK      (0x00080000u)
#define CSL_DEV_IPCGR15_SRCC15_SHIFT     (0x00000013u)
#define CSL_DEV_IPCGR15_SRCC15_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC14_MASK      (0x00040000u)
#define CSL_DEV_IPCGR15_SRCC14_SHIFT     (0x00000012u)
#define CSL_DEV_IPCGR15_SRCC14_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC13_MASK      (0x00020000u)
#define CSL_DEV_IPCGR15_SRCC13_SHIFT     (0x00000011u)
#define CSL_DEV_IPCGR15_SRCC13_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC12_MASK      (0x00010000u)
#define CSL_DEV_IPCGR15_SRCC12_SHIFT     (0x00000010u)
#define CSL_DEV_IPCGR15_SRCC12_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC11_MASK      (0x00008000u)
#define CSL_DEV_IPCGR15_SRCC11_SHIFT     (0x0000000Fu)
#define CSL_DEV_IPCGR15_SRCC11_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC10_MASK      (0x00004000u)
#define CSL_DEV_IPCGR15_SRCC10_SHIFT     (0x0000000Eu)
#define CSL_DEV_IPCGR15_SRCC10_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC9_MASK       (0x00002000u)
#define CSL_DEV_IPCGR15_SRCC9_SHIFT      (0x0000000Du)
#define CSL_DEV_IPCGR15_SRCC9_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC8_MASK       (0x00001000u)
#define CSL_DEV_IPCGR15_SRCC8_SHIFT      (0x0000000Cu)
#define CSL_DEV_IPCGR15_SRCC8_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC7_MASK       (0x00000800u)
#define CSL_DEV_IPCGR15_SRCC7_SHIFT      (0x0000000Bu)
#define CSL_DEV_IPCGR15_SRCC7_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC6_MASK       (0x00000400u)
#define CSL_DEV_IPCGR15_SRCC6_SHIFT      (0x0000000Au)
#define CSL_DEV_IPCGR15_SRCC6_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC5_MASK       (0x00000200u)
#define CSL_DEV_IPCGR15_SRCC5_SHIFT      (0x00000009u)
#define CSL_DEV_IPCGR15_SRCC5_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC4_MASK       (0x00000100u)
#define CSL_DEV_IPCGR15_SRCC4_SHIFT      (0x00000008u)
#define CSL_DEV_IPCGR15_SRCC4_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC3_MASK       (0x00000080u)
#define CSL_DEV_IPCGR15_SRCC3_SHIFT      (0x00000007u)
#define CSL_DEV_IPCGR15_SRCC3_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC2_MASK       (0x00000040u)
#define CSL_DEV_IPCGR15_SRCC2_SHIFT      (0x00000006u)
#define CSL_DEV_IPCGR15_SRCC2_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC1_MASK       (0x00000020u)
#define CSL_DEV_IPCGR15_SRCC1_SHIFT      (0x00000005u)
#define CSL_DEV_IPCGR15_SRCC1_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCGR15_SRCC0_MASK       (0x00000010u)
#define CSL_DEV_IPCGR15_SRCC0_SHIFT      (0x00000004u)
#define CSL_DEV_IPCGR15_SRCC0_RESETVAL   (0x00000000u)


#define CSL_DEV_IPCGR15_IPCG_MASK        (0x00000001u)
#define CSL_DEV_IPCGR15_IPCG_SHIFT       (0x00000000u)
#define CSL_DEV_IPCGR15_IPCG_RESETVAL    (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_DEV_IPCGR15_IPCG_IDSP_INT_SET (0x00000001u)

#define CSL_DEV_IPCGR15_RESETVAL         (0x00000000u)

/* IPCAR0 */

#define CSL_DEV_IPCAR0_SRCC27_MASK       (0x80000000u)
#define CSL_DEV_IPCAR0_SRCC27_SHIFT      (0x0000001Fu)
#define CSL_DEV_IPCAR0_SRCC27_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC26_MASK       (0x40000000u)
#define CSL_DEV_IPCAR0_SRCC26_SHIFT      (0x0000001Eu)
#define CSL_DEV_IPCAR0_SRCC26_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC25_MASK       (0x20000000u)
#define CSL_DEV_IPCAR0_SRCC25_SHIFT      (0x0000001Du)
#define CSL_DEV_IPCAR0_SRCC25_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC24_MASK       (0x10000000u)
#define CSL_DEV_IPCAR0_SRCC24_SHIFT      (0x0000001Cu)
#define CSL_DEV_IPCAR0_SRCC24_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC23_MASK       (0x08000000u)
#define CSL_DEV_IPCAR0_SRCC23_SHIFT      (0x0000001Bu)
#define CSL_DEV_IPCAR0_SRCC23_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC22_MASK       (0x04000000u)
#define CSL_DEV_IPCAR0_SRCC22_SHIFT      (0x0000001Au)
#define CSL_DEV_IPCAR0_SRCC22_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC21_MASK       (0x02000000u)
#define CSL_DEV_IPCAR0_SRCC21_SHIFT      (0x00000019u)
#define CSL_DEV_IPCAR0_SRCC21_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC20_MASK       (0x01000000u)
#define CSL_DEV_IPCAR0_SRCC20_SHIFT      (0x00000018u)
#define CSL_DEV_IPCAR0_SRCC20_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC19_MASK       (0x00800000u)
#define CSL_DEV_IPCAR0_SRCC19_SHIFT      (0x00000017u)
#define CSL_DEV_IPCAR0_SRCC19_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC18_MASK       (0x00400000u)
#define CSL_DEV_IPCAR0_SRCC18_SHIFT      (0x00000016u)
#define CSL_DEV_IPCAR0_SRCC18_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC17_MASK       (0x00200000u)
#define CSL_DEV_IPCAR0_SRCC17_SHIFT      (0x00000015u)
#define CSL_DEV_IPCAR0_SRCC17_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC16_MASK       (0x00100000u)
#define CSL_DEV_IPCAR0_SRCC16_SHIFT      (0x00000014u)
#define CSL_DEV_IPCAR0_SRCC16_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC15_MASK       (0x00080000u)
#define CSL_DEV_IPCAR0_SRCC15_SHIFT      (0x00000013u)
#define CSL_DEV_IPCAR0_SRCC15_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC14_MASK       (0x00040000u)
#define CSL_DEV_IPCAR0_SRCC14_SHIFT      (0x00000012u)
#define CSL_DEV_IPCAR0_SRCC14_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC13_MASK       (0x00020000u)
#define CSL_DEV_IPCAR0_SRCC13_SHIFT      (0x00000011u)
#define CSL_DEV_IPCAR0_SRCC13_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC12_MASK       (0x00010000u)
#define CSL_DEV_IPCAR0_SRCC12_SHIFT      (0x00000010u)
#define CSL_DEV_IPCAR0_SRCC12_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC11_MASK       (0x00008000u)
#define CSL_DEV_IPCAR0_SRCC11_SHIFT      (0x0000000Fu)
#define CSL_DEV_IPCAR0_SRCC11_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC10_MASK       (0x00004000u)
#define CSL_DEV_IPCAR0_SRCC10_SHIFT      (0x0000000Eu)
#define CSL_DEV_IPCAR0_SRCC10_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC9_MASK        (0x00002000u)
#define CSL_DEV_IPCAR0_SRCC9_SHIFT       (0x0000000Du)
#define CSL_DEV_IPCAR0_SRCC9_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC8_MASK        (0x00001000u)
#define CSL_DEV_IPCAR0_SRCC8_SHIFT       (0x0000000Cu)
#define CSL_DEV_IPCAR0_SRCC8_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC7_MASK        (0x00000800u)
#define CSL_DEV_IPCAR0_SRCC7_SHIFT       (0x0000000Bu)
#define CSL_DEV_IPCAR0_SRCC7_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC6_MASK        (0x00000400u)
#define CSL_DEV_IPCAR0_SRCC6_SHIFT       (0x0000000Au)
#define CSL_DEV_IPCAR0_SRCC6_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC5_MASK        (0x00000200u)
#define CSL_DEV_IPCAR0_SRCC5_SHIFT       (0x00000009u)
#define CSL_DEV_IPCAR0_SRCC5_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC4_MASK        (0x00000100u)
#define CSL_DEV_IPCAR0_SRCC4_SHIFT       (0x00000008u)
#define CSL_DEV_IPCAR0_SRCC4_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC3_MASK        (0x00000080u)
#define CSL_DEV_IPCAR0_SRCC3_SHIFT       (0x00000007u)
#define CSL_DEV_IPCAR0_SRCC3_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC2_MASK        (0x00000040u)
#define CSL_DEV_IPCAR0_SRCC2_SHIFT       (0x00000006u)
#define CSL_DEV_IPCAR0_SRCC2_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC1_MASK        (0x00000020u)
#define CSL_DEV_IPCAR0_SRCC1_SHIFT       (0x00000005u)
#define CSL_DEV_IPCAR0_SRCC1_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR0_SRCC0_MASK        (0x00000010u)
#define CSL_DEV_IPCAR0_SRCC0_SHIFT       (0x00000004u)
#define CSL_DEV_IPCAR0_SRCC0_RESETVAL    (0x00000000u)


#define CSL_DEV_IPCAR0_RESETVAL          (0x00000000u)

/* IPCAR1 */

#define CSL_DEV_IPCAR1_SRCC27_MASK       (0x80000000u)
#define CSL_DEV_IPCAR1_SRCC27_SHIFT      (0x0000001Fu)
#define CSL_DEV_IPCAR1_SRCC27_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC26_MASK       (0x40000000u)
#define CSL_DEV_IPCAR1_SRCC26_SHIFT      (0x0000001Eu)
#define CSL_DEV_IPCAR1_SRCC26_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC25_MASK       (0x20000000u)
#define CSL_DEV_IPCAR1_SRCC25_SHIFT      (0x0000001Du)
#define CSL_DEV_IPCAR1_SRCC25_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC24_MASK       (0x10000000u)
#define CSL_DEV_IPCAR1_SRCC24_SHIFT      (0x0000001Cu)
#define CSL_DEV_IPCAR1_SRCC24_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC23_MASK       (0x08000000u)
#define CSL_DEV_IPCAR1_SRCC23_SHIFT      (0x0000001Bu)
#define CSL_DEV_IPCAR1_SRCC23_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC22_MASK       (0x04000000u)
#define CSL_DEV_IPCAR1_SRCC22_SHIFT      (0x0000001Au)
#define CSL_DEV_IPCAR1_SRCC22_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC21_MASK       (0x02000000u)
#define CSL_DEV_IPCAR1_SRCC21_SHIFT      (0x00000019u)
#define CSL_DEV_IPCAR1_SRCC21_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC20_MASK       (0x01000000u)
#define CSL_DEV_IPCAR1_SRCC20_SHIFT      (0x00000018u)
#define CSL_DEV_IPCAR1_SRCC20_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC19_MASK       (0x00800000u)
#define CSL_DEV_IPCAR1_SRCC19_SHIFT      (0x00000017u)
#define CSL_DEV_IPCAR1_SRCC19_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC18_MASK       (0x00400000u)
#define CSL_DEV_IPCAR1_SRCC18_SHIFT      (0x00000016u)
#define CSL_DEV_IPCAR1_SRCC18_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC17_MASK       (0x00200000u)
#define CSL_DEV_IPCAR1_SRCC17_SHIFT      (0x00000015u)
#define CSL_DEV_IPCAR1_SRCC17_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC16_MASK       (0x00100000u)
#define CSL_DEV_IPCAR1_SRCC16_SHIFT      (0x00000014u)
#define CSL_DEV_IPCAR1_SRCC16_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC15_MASK       (0x00080000u)
#define CSL_DEV_IPCAR1_SRCC15_SHIFT      (0x00000013u)
#define CSL_DEV_IPCAR1_SRCC15_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC14_MASK       (0x00040000u)
#define CSL_DEV_IPCAR1_SRCC14_SHIFT      (0x00000012u)
#define CSL_DEV_IPCAR1_SRCC14_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC13_MASK       (0x00020000u)
#define CSL_DEV_IPCAR1_SRCC13_SHIFT      (0x00000011u)
#define CSL_DEV_IPCAR1_SRCC13_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC12_MASK       (0x00010000u)
#define CSL_DEV_IPCAR1_SRCC12_SHIFT      (0x00000010u)
#define CSL_DEV_IPCAR1_SRCC12_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC11_MASK       (0x00008000u)
#define CSL_DEV_IPCAR1_SRCC11_SHIFT      (0x0000000Fu)
#define CSL_DEV_IPCAR1_SRCC11_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC10_MASK       (0x00004000u)
#define CSL_DEV_IPCAR1_SRCC10_SHIFT      (0x0000000Eu)
#define CSL_DEV_IPCAR1_SRCC10_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC9_MASK        (0x00002000u)
#define CSL_DEV_IPCAR1_SRCC9_SHIFT       (0x0000000Du)
#define CSL_DEV_IPCAR1_SRCC9_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC8_MASK        (0x00001000u)
#define CSL_DEV_IPCAR1_SRCC8_SHIFT       (0x0000000Cu)
#define CSL_DEV_IPCAR1_SRCC8_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC7_MASK        (0x00000800u)
#define CSL_DEV_IPCAR1_SRCC7_SHIFT       (0x0000000Bu)
#define CSL_DEV_IPCAR1_SRCC7_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC6_MASK        (0x00000400u)
#define CSL_DEV_IPCAR1_SRCC6_SHIFT       (0x0000000Au)
#define CSL_DEV_IPCAR1_SRCC6_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC5_MASK        (0x00000200u)
#define CSL_DEV_IPCAR1_SRCC5_SHIFT       (0x00000009u)
#define CSL_DEV_IPCAR1_SRCC5_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC4_MASK        (0x00000100u)
#define CSL_DEV_IPCAR1_SRCC4_SHIFT       (0x00000008u)
#define CSL_DEV_IPCAR1_SRCC4_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC3_MASK        (0x00000080u)
#define CSL_DEV_IPCAR1_SRCC3_SHIFT       (0x00000007u)
#define CSL_DEV_IPCAR1_SRCC3_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC2_MASK        (0x00000040u)
#define CSL_DEV_IPCAR1_SRCC2_SHIFT       (0x00000006u)
#define CSL_DEV_IPCAR1_SRCC2_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC1_MASK        (0x00000020u)
#define CSL_DEV_IPCAR1_SRCC1_SHIFT       (0x00000005u)
#define CSL_DEV_IPCAR1_SRCC1_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR1_SRCC0_MASK        (0x00000010u)
#define CSL_DEV_IPCAR1_SRCC0_SHIFT       (0x00000004u)
#define CSL_DEV_IPCAR1_SRCC0_RESETVAL    (0x00000000u)


#define CSL_DEV_IPCAR1_RESETVAL          (0x00000000u)

/* IPCAR2 */

#define CSL_DEV_IPCAR2_SRCC27_MASK       (0x80000000u)
#define CSL_DEV_IPCAR2_SRCC27_SHIFT      (0x0000001Fu)
#define CSL_DEV_IPCAR2_SRCC27_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC26_MASK       (0x40000000u)
#define CSL_DEV_IPCAR2_SRCC26_SHIFT      (0x0000001Eu)
#define CSL_DEV_IPCAR2_SRCC26_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC25_MASK       (0x20000000u)
#define CSL_DEV_IPCAR2_SRCC25_SHIFT      (0x0000001Du)
#define CSL_DEV_IPCAR2_SRCC25_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC24_MASK       (0x10000000u)
#define CSL_DEV_IPCAR2_SRCC24_SHIFT      (0x0000001Cu)
#define CSL_DEV_IPCAR2_SRCC24_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC23_MASK       (0x08000000u)
#define CSL_DEV_IPCAR2_SRCC23_SHIFT      (0x0000001Bu)
#define CSL_DEV_IPCAR2_SRCC23_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC22_MASK       (0x04000000u)
#define CSL_DEV_IPCAR2_SRCC22_SHIFT      (0x0000001Au)
#define CSL_DEV_IPCAR2_SRCC22_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC21_MASK       (0x02000000u)
#define CSL_DEV_IPCAR2_SRCC21_SHIFT      (0x00000019u)
#define CSL_DEV_IPCAR2_SRCC21_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC20_MASK       (0x01000000u)
#define CSL_DEV_IPCAR2_SRCC20_SHIFT      (0x00000018u)
#define CSL_DEV_IPCAR2_SRCC20_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC19_MASK       (0x00800000u)
#define CSL_DEV_IPCAR2_SRCC19_SHIFT      (0x00000017u)
#define CSL_DEV_IPCAR2_SRCC19_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC18_MASK       (0x00400000u)
#define CSL_DEV_IPCAR2_SRCC18_SHIFT      (0x00000016u)
#define CSL_DEV_IPCAR2_SRCC18_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC17_MASK       (0x00200000u)
#define CSL_DEV_IPCAR2_SRCC17_SHIFT      (0x00000015u)
#define CSL_DEV_IPCAR2_SRCC17_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC16_MASK       (0x00100000u)
#define CSL_DEV_IPCAR2_SRCC16_SHIFT      (0x00000014u)
#define CSL_DEV_IPCAR2_SRCC16_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC15_MASK       (0x00080000u)
#define CSL_DEV_IPCAR2_SRCC15_SHIFT      (0x00000013u)
#define CSL_DEV_IPCAR2_SRCC15_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC14_MASK       (0x00040000u)
#define CSL_DEV_IPCAR2_SRCC14_SHIFT      (0x00000012u)
#define CSL_DEV_IPCAR2_SRCC14_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC13_MASK       (0x00020000u)
#define CSL_DEV_IPCAR2_SRCC13_SHIFT      (0x00000011u)
#define CSL_DEV_IPCAR2_SRCC13_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC12_MASK       (0x00010000u)
#define CSL_DEV_IPCAR2_SRCC12_SHIFT      (0x00000010u)
#define CSL_DEV_IPCAR2_SRCC12_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC11_MASK       (0x00008000u)
#define CSL_DEV_IPCAR2_SRCC11_SHIFT      (0x0000000Fu)
#define CSL_DEV_IPCAR2_SRCC11_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC10_MASK       (0x00004000u)
#define CSL_DEV_IPCAR2_SRCC10_SHIFT      (0x0000000Eu)
#define CSL_DEV_IPCAR2_SRCC10_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC9_MASK        (0x00002000u)
#define CSL_DEV_IPCAR2_SRCC9_SHIFT       (0x0000000Du)
#define CSL_DEV_IPCAR2_SRCC9_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC8_MASK        (0x00001000u)
#define CSL_DEV_IPCAR2_SRCC8_SHIFT       (0x0000000Cu)
#define CSL_DEV_IPCAR2_SRCC8_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC7_MASK        (0x00000800u)
#define CSL_DEV_IPCAR2_SRCC7_SHIFT       (0x0000000Bu)
#define CSL_DEV_IPCAR2_SRCC7_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC6_MASK        (0x00000400u)
#define CSL_DEV_IPCAR2_SRCC6_SHIFT       (0x0000000Au)
#define CSL_DEV_IPCAR2_SRCC6_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC5_MASK        (0x00000200u)
#define CSL_DEV_IPCAR2_SRCC5_SHIFT       (0x00000009u)
#define CSL_DEV_IPCAR2_SRCC5_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC4_MASK        (0x00000100u)
#define CSL_DEV_IPCAR2_SRCC4_SHIFT       (0x00000008u)
#define CSL_DEV_IPCAR2_SRCC4_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC3_MASK        (0x00000080u)
#define CSL_DEV_IPCAR2_SRCC3_SHIFT       (0x00000007u)
#define CSL_DEV_IPCAR2_SRCC3_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC2_MASK        (0x00000040u)
#define CSL_DEV_IPCAR2_SRCC2_SHIFT       (0x00000006u)
#define CSL_DEV_IPCAR2_SRCC2_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC1_MASK        (0x00000020u)
#define CSL_DEV_IPCAR2_SRCC1_SHIFT       (0x00000005u)
#define CSL_DEV_IPCAR2_SRCC1_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR2_SRCC0_MASK        (0x00000010u)
#define CSL_DEV_IPCAR2_SRCC0_SHIFT       (0x00000004u)
#define CSL_DEV_IPCAR2_SRCC0_RESETVAL    (0x00000000u)


#define CSL_DEV_IPCAR2_RESETVAL          (0x00000000u)

/* IPCAR3 */

#define CSL_DEV_IPCAR3_SRCC27_MASK       (0x80000000u)
#define CSL_DEV_IPCAR3_SRCC27_SHIFT      (0x0000001Fu)
#define CSL_DEV_IPCAR3_SRCC27_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC26_MASK       (0x40000000u)
#define CSL_DEV_IPCAR3_SRCC26_SHIFT      (0x0000001Eu)
#define CSL_DEV_IPCAR3_SRCC26_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC25_MASK       (0x20000000u)
#define CSL_DEV_IPCAR3_SRCC25_SHIFT      (0x0000001Du)
#define CSL_DEV_IPCAR3_SRCC25_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC24_MASK       (0x10000000u)
#define CSL_DEV_IPCAR3_SRCC24_SHIFT      (0x0000001Cu)
#define CSL_DEV_IPCAR3_SRCC24_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC23_MASK       (0x08000000u)
#define CSL_DEV_IPCAR3_SRCC23_SHIFT      (0x0000001Bu)
#define CSL_DEV_IPCAR3_SRCC23_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC22_MASK       (0x04000000u)
#define CSL_DEV_IPCAR3_SRCC22_SHIFT      (0x0000001Au)
#define CSL_DEV_IPCAR3_SRCC22_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC21_MASK       (0x02000000u)
#define CSL_DEV_IPCAR3_SRCC21_SHIFT      (0x00000019u)
#define CSL_DEV_IPCAR3_SRCC21_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC20_MASK       (0x01000000u)
#define CSL_DEV_IPCAR3_SRCC20_SHIFT      (0x00000018u)
#define CSL_DEV_IPCAR3_SRCC20_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC19_MASK       (0x00800000u)
#define CSL_DEV_IPCAR3_SRCC19_SHIFT      (0x00000017u)
#define CSL_DEV_IPCAR3_SRCC19_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC18_MASK       (0x00400000u)
#define CSL_DEV_IPCAR3_SRCC18_SHIFT      (0x00000016u)
#define CSL_DEV_IPCAR3_SRCC18_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC17_MASK       (0x00200000u)
#define CSL_DEV_IPCAR3_SRCC17_SHIFT      (0x00000015u)
#define CSL_DEV_IPCAR3_SRCC17_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC16_MASK       (0x00100000u)
#define CSL_DEV_IPCAR3_SRCC16_SHIFT      (0x00000014u)
#define CSL_DEV_IPCAR3_SRCC16_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC15_MASK       (0x00080000u)
#define CSL_DEV_IPCAR3_SRCC15_SHIFT      (0x00000013u)
#define CSL_DEV_IPCAR3_SRCC15_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC14_MASK       (0x00040000u)
#define CSL_DEV_IPCAR3_SRCC14_SHIFT      (0x00000012u)
#define CSL_DEV_IPCAR3_SRCC14_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC13_MASK       (0x00020000u)
#define CSL_DEV_IPCAR3_SRCC13_SHIFT      (0x00000011u)
#define CSL_DEV_IPCAR3_SRCC13_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC12_MASK       (0x00010000u)
#define CSL_DEV_IPCAR3_SRCC12_SHIFT      (0x00000010u)
#define CSL_DEV_IPCAR3_SRCC12_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC11_MASK       (0x00008000u)
#define CSL_DEV_IPCAR3_SRCC11_SHIFT      (0x0000000Fu)
#define CSL_DEV_IPCAR3_SRCC11_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC10_MASK       (0x00004000u)
#define CSL_DEV_IPCAR3_SRCC10_SHIFT      (0x0000000Eu)
#define CSL_DEV_IPCAR3_SRCC10_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC9_MASK        (0x00002000u)
#define CSL_DEV_IPCAR3_SRCC9_SHIFT       (0x0000000Du)
#define CSL_DEV_IPCAR3_SRCC9_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC8_MASK        (0x00001000u)
#define CSL_DEV_IPCAR3_SRCC8_SHIFT       (0x0000000Cu)
#define CSL_DEV_IPCAR3_SRCC8_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC7_MASK        (0x00000800u)
#define CSL_DEV_IPCAR3_SRCC7_SHIFT       (0x0000000Bu)
#define CSL_DEV_IPCAR3_SRCC7_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC6_MASK        (0x00000400u)
#define CSL_DEV_IPCAR3_SRCC6_SHIFT       (0x0000000Au)
#define CSL_DEV_IPCAR3_SRCC6_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC5_MASK        (0x00000200u)
#define CSL_DEV_IPCAR3_SRCC5_SHIFT       (0x00000009u)
#define CSL_DEV_IPCAR3_SRCC5_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC4_MASK        (0x00000100u)
#define CSL_DEV_IPCAR3_SRCC4_SHIFT       (0x00000008u)
#define CSL_DEV_IPCAR3_SRCC4_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC3_MASK        (0x00000080u)
#define CSL_DEV_IPCAR3_SRCC3_SHIFT       (0x00000007u)
#define CSL_DEV_IPCAR3_SRCC3_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC2_MASK        (0x00000040u)
#define CSL_DEV_IPCAR3_SRCC2_SHIFT       (0x00000006u)
#define CSL_DEV_IPCAR3_SRCC2_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC1_MASK        (0x00000020u)
#define CSL_DEV_IPCAR3_SRCC1_SHIFT       (0x00000005u)
#define CSL_DEV_IPCAR3_SRCC1_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR3_SRCC0_MASK        (0x00000010u)
#define CSL_DEV_IPCAR3_SRCC0_SHIFT       (0x00000004u)
#define CSL_DEV_IPCAR3_SRCC0_RESETVAL    (0x00000000u)


#define CSL_DEV_IPCAR3_RESETVAL          (0x00000000u)

/* IPCAR4 */

#define CSL_DEV_IPCAR4_SRCC27_MASK       (0x80000000u)
#define CSL_DEV_IPCAR4_SRCC27_SHIFT      (0x0000001Fu)
#define CSL_DEV_IPCAR4_SRCC27_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC26_MASK       (0x40000000u)
#define CSL_DEV_IPCAR4_SRCC26_SHIFT      (0x0000001Eu)
#define CSL_DEV_IPCAR4_SRCC26_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC25_MASK       (0x20000000u)
#define CSL_DEV_IPCAR4_SRCC25_SHIFT      (0x0000001Du)
#define CSL_DEV_IPCAR4_SRCC25_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC24_MASK       (0x10000000u)
#define CSL_DEV_IPCAR4_SRCC24_SHIFT      (0x0000001Cu)
#define CSL_DEV_IPCAR4_SRCC24_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC23_MASK       (0x08000000u)
#define CSL_DEV_IPCAR4_SRCC23_SHIFT      (0x0000001Bu)
#define CSL_DEV_IPCAR4_SRCC23_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC22_MASK       (0x04000000u)
#define CSL_DEV_IPCAR4_SRCC22_SHIFT      (0x0000001Au)
#define CSL_DEV_IPCAR4_SRCC22_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC21_MASK       (0x02000000u)
#define CSL_DEV_IPCAR4_SRCC21_SHIFT      (0x00000019u)
#define CSL_DEV_IPCAR4_SRCC21_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC20_MASK       (0x01000000u)
#define CSL_DEV_IPCAR4_SRCC20_SHIFT      (0x00000018u)
#define CSL_DEV_IPCAR4_SRCC20_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC19_MASK       (0x00800000u)
#define CSL_DEV_IPCAR4_SRCC19_SHIFT      (0x00000017u)
#define CSL_DEV_IPCAR4_SRCC19_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC18_MASK       (0x00400000u)
#define CSL_DEV_IPCAR4_SRCC18_SHIFT      (0x00000016u)
#define CSL_DEV_IPCAR4_SRCC18_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC17_MASK       (0x00200000u)
#define CSL_DEV_IPCAR4_SRCC17_SHIFT      (0x00000015u)
#define CSL_DEV_IPCAR4_SRCC17_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC16_MASK       (0x00100000u)
#define CSL_DEV_IPCAR4_SRCC16_SHIFT      (0x00000014u)
#define CSL_DEV_IPCAR4_SRCC16_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC15_MASK       (0x00080000u)
#define CSL_DEV_IPCAR4_SRCC15_SHIFT      (0x00000013u)
#define CSL_DEV_IPCAR4_SRCC15_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC14_MASK       (0x00040000u)
#define CSL_DEV_IPCAR4_SRCC14_SHIFT      (0x00000012u)
#define CSL_DEV_IPCAR4_SRCC14_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC13_MASK       (0x00020000u)
#define CSL_DEV_IPCAR4_SRCC13_SHIFT      (0x00000011u)
#define CSL_DEV_IPCAR4_SRCC13_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC12_MASK       (0x00010000u)
#define CSL_DEV_IPCAR4_SRCC12_SHIFT      (0x00000010u)
#define CSL_DEV_IPCAR4_SRCC12_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC11_MASK       (0x00008000u)
#define CSL_DEV_IPCAR4_SRCC11_SHIFT      (0x0000000Fu)
#define CSL_DEV_IPCAR4_SRCC11_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC10_MASK       (0x00004000u)
#define CSL_DEV_IPCAR4_SRCC10_SHIFT      (0x0000000Eu)
#define CSL_DEV_IPCAR4_SRCC10_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC9_MASK        (0x00002000u)
#define CSL_DEV_IPCAR4_SRCC9_SHIFT       (0x0000000Du)
#define CSL_DEV_IPCAR4_SRCC9_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC8_MASK        (0x00001000u)
#define CSL_DEV_IPCAR4_SRCC8_SHIFT       (0x0000000Cu)
#define CSL_DEV_IPCAR4_SRCC8_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC7_MASK        (0x00000800u)
#define CSL_DEV_IPCAR4_SRCC7_SHIFT       (0x0000000Bu)
#define CSL_DEV_IPCAR4_SRCC7_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC6_MASK        (0x00000400u)
#define CSL_DEV_IPCAR4_SRCC6_SHIFT       (0x0000000Au)
#define CSL_DEV_IPCAR4_SRCC6_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC5_MASK        (0x00000200u)
#define CSL_DEV_IPCAR4_SRCC5_SHIFT       (0x00000009u)
#define CSL_DEV_IPCAR4_SRCC5_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC4_MASK        (0x00000100u)
#define CSL_DEV_IPCAR4_SRCC4_SHIFT       (0x00000008u)
#define CSL_DEV_IPCAR4_SRCC4_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC3_MASK        (0x00000080u)
#define CSL_DEV_IPCAR4_SRCC3_SHIFT       (0x00000007u)
#define CSL_DEV_IPCAR4_SRCC3_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC2_MASK        (0x00000040u)
#define CSL_DEV_IPCAR4_SRCC2_SHIFT       (0x00000006u)
#define CSL_DEV_IPCAR4_SRCC2_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC1_MASK        (0x00000020u)
#define CSL_DEV_IPCAR4_SRCC1_SHIFT       (0x00000005u)
#define CSL_DEV_IPCAR4_SRCC1_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR4_SRCC0_MASK        (0x00000010u)
#define CSL_DEV_IPCAR4_SRCC0_SHIFT       (0x00000004u)
#define CSL_DEV_IPCAR4_SRCC0_RESETVAL    (0x00000000u)


#define CSL_DEV_IPCAR4_RESETVAL          (0x00000000u)

/* IPCAR5 */

#define CSL_DEV_IPCAR5_SRCC27_MASK       (0x80000000u)
#define CSL_DEV_IPCAR5_SRCC27_SHIFT      (0x0000001Fu)
#define CSL_DEV_IPCAR5_SRCC27_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC26_MASK       (0x40000000u)
#define CSL_DEV_IPCAR5_SRCC26_SHIFT      (0x0000001Eu)
#define CSL_DEV_IPCAR5_SRCC26_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC25_MASK       (0x20000000u)
#define CSL_DEV_IPCAR5_SRCC25_SHIFT      (0x0000001Du)
#define CSL_DEV_IPCAR5_SRCC25_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC24_MASK       (0x10000000u)
#define CSL_DEV_IPCAR5_SRCC24_SHIFT      (0x0000001Cu)
#define CSL_DEV_IPCAR5_SRCC24_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC23_MASK       (0x08000000u)
#define CSL_DEV_IPCAR5_SRCC23_SHIFT      (0x0000001Bu)
#define CSL_DEV_IPCAR5_SRCC23_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC22_MASK       (0x04000000u)
#define CSL_DEV_IPCAR5_SRCC22_SHIFT      (0x0000001Au)
#define CSL_DEV_IPCAR5_SRCC22_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC21_MASK       (0x02000000u)
#define CSL_DEV_IPCAR5_SRCC21_SHIFT      (0x00000019u)
#define CSL_DEV_IPCAR5_SRCC21_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC20_MASK       (0x01000000u)
#define CSL_DEV_IPCAR5_SRCC20_SHIFT      (0x00000018u)
#define CSL_DEV_IPCAR5_SRCC20_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC19_MASK       (0x00800000u)
#define CSL_DEV_IPCAR5_SRCC19_SHIFT      (0x00000017u)
#define CSL_DEV_IPCAR5_SRCC19_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC18_MASK       (0x00400000u)
#define CSL_DEV_IPCAR5_SRCC18_SHIFT      (0x00000016u)
#define CSL_DEV_IPCAR5_SRCC18_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC17_MASK       (0x00200000u)
#define CSL_DEV_IPCAR5_SRCC17_SHIFT      (0x00000015u)
#define CSL_DEV_IPCAR5_SRCC17_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC16_MASK       (0x00100000u)
#define CSL_DEV_IPCAR5_SRCC16_SHIFT      (0x00000014u)
#define CSL_DEV_IPCAR5_SRCC16_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC15_MASK       (0x00080000u)
#define CSL_DEV_IPCAR5_SRCC15_SHIFT      (0x00000013u)
#define CSL_DEV_IPCAR5_SRCC15_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC14_MASK       (0x00040000u)
#define CSL_DEV_IPCAR5_SRCC14_SHIFT      (0x00000012u)
#define CSL_DEV_IPCAR5_SRCC14_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC13_MASK       (0x00020000u)
#define CSL_DEV_IPCAR5_SRCC13_SHIFT      (0x00000011u)
#define CSL_DEV_IPCAR5_SRCC13_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC12_MASK       (0x00010000u)
#define CSL_DEV_IPCAR5_SRCC12_SHIFT      (0x00000010u)
#define CSL_DEV_IPCAR5_SRCC12_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC11_MASK       (0x00008000u)
#define CSL_DEV_IPCAR5_SRCC11_SHIFT      (0x0000000Fu)
#define CSL_DEV_IPCAR5_SRCC11_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC10_MASK       (0x00004000u)
#define CSL_DEV_IPCAR5_SRCC10_SHIFT      (0x0000000Eu)
#define CSL_DEV_IPCAR5_SRCC10_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC9_MASK        (0x00002000u)
#define CSL_DEV_IPCAR5_SRCC9_SHIFT       (0x0000000Du)
#define CSL_DEV_IPCAR5_SRCC9_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC8_MASK        (0x00001000u)
#define CSL_DEV_IPCAR5_SRCC8_SHIFT       (0x0000000Cu)
#define CSL_DEV_IPCAR5_SRCC8_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC7_MASK        (0x00000800u)
#define CSL_DEV_IPCAR5_SRCC7_SHIFT       (0x0000000Bu)
#define CSL_DEV_IPCAR5_SRCC7_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC6_MASK        (0x00000400u)
#define CSL_DEV_IPCAR5_SRCC6_SHIFT       (0x0000000Au)
#define CSL_DEV_IPCAR5_SRCC6_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC5_MASK        (0x00000200u)
#define CSL_DEV_IPCAR5_SRCC5_SHIFT       (0x00000009u)
#define CSL_DEV_IPCAR5_SRCC5_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC4_MASK        (0x00000100u)
#define CSL_DEV_IPCAR5_SRCC4_SHIFT       (0x00000008u)
#define CSL_DEV_IPCAR5_SRCC4_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC3_MASK        (0x00000080u)
#define CSL_DEV_IPCAR5_SRCC3_SHIFT       (0x00000007u)
#define CSL_DEV_IPCAR5_SRCC3_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC2_MASK        (0x00000040u)
#define CSL_DEV_IPCAR5_SRCC2_SHIFT       (0x00000006u)
#define CSL_DEV_IPCAR5_SRCC2_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC1_MASK        (0x00000020u)
#define CSL_DEV_IPCAR5_SRCC1_SHIFT       (0x00000005u)
#define CSL_DEV_IPCAR5_SRCC1_RESETVAL    (0x00000000u)

#define CSL_DEV_IPCAR5_SRCC0_MASK        (0x00000010u)
#define CSL_DEV_IPCAR5_SRCC0_SHIFT       (0x00000004u)
#define CSL_DEV_IPCAR5_SRCC0_RESETVAL    (0x00000000u)


#define CSL_DEV_IPCAR5_RESETVAL          (0x00000000u)

/* IPCAR15 */

#define CSL_DEV_IPCAR15_SRCC27_MASK      (0x80000000u)
#define CSL_DEV_IPCAR15_SRCC27_SHIFT     (0x0000001Fu)
#define CSL_DEV_IPCAR15_SRCC27_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC26_MASK      (0x40000000u)
#define CSL_DEV_IPCAR15_SRCC26_SHIFT     (0x0000001Eu)
#define CSL_DEV_IPCAR15_SRCC26_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC25_MASK      (0x20000000u)
#define CSL_DEV_IPCAR15_SRCC25_SHIFT     (0x0000001Du)
#define CSL_DEV_IPCAR15_SRCC25_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC24_MASK      (0x10000000u)
#define CSL_DEV_IPCAR15_SRCC24_SHIFT     (0x0000001Cu)
#define CSL_DEV_IPCAR15_SRCC24_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC23_MASK      (0x08000000u)
#define CSL_DEV_IPCAR15_SRCC23_SHIFT     (0x0000001Bu)
#define CSL_DEV_IPCAR15_SRCC23_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC22_MASK      (0x04000000u)
#define CSL_DEV_IPCAR15_SRCC22_SHIFT     (0x0000001Au)
#define CSL_DEV_IPCAR15_SRCC22_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC21_MASK      (0x02000000u)
#define CSL_DEV_IPCAR15_SRCC21_SHIFT     (0x00000019u)
#define CSL_DEV_IPCAR15_SRCC21_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC20_MASK      (0x01000000u)
#define CSL_DEV_IPCAR15_SRCC20_SHIFT     (0x00000018u)
#define CSL_DEV_IPCAR15_SRCC20_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC19_MASK      (0x00800000u)
#define CSL_DEV_IPCAR15_SRCC19_SHIFT     (0x00000017u)
#define CSL_DEV_IPCAR15_SRCC19_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC18_MASK      (0x00400000u)
#define CSL_DEV_IPCAR15_SRCC18_SHIFT     (0x00000016u)
#define CSL_DEV_IPCAR15_SRCC18_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC17_MASK      (0x00200000u)
#define CSL_DEV_IPCAR15_SRCC17_SHIFT     (0x00000015u)
#define CSL_DEV_IPCAR15_SRCC17_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC16_MASK      (0x00100000u)
#define CSL_DEV_IPCAR15_SRCC16_SHIFT     (0x00000014u)
#define CSL_DEV_IPCAR15_SRCC16_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC15_MASK      (0x00080000u)
#define CSL_DEV_IPCAR15_SRCC15_SHIFT     (0x00000013u)
#define CSL_DEV_IPCAR15_SRCC15_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC14_MASK      (0x00040000u)
#define CSL_DEV_IPCAR15_SRCC14_SHIFT     (0x00000012u)
#define CSL_DEV_IPCAR15_SRCC14_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC13_MASK      (0x00020000u)
#define CSL_DEV_IPCAR15_SRCC13_SHIFT     (0x00000011u)
#define CSL_DEV_IPCAR15_SRCC13_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC12_MASK      (0x00010000u)
#define CSL_DEV_IPCAR15_SRCC12_SHIFT     (0x00000010u)
#define CSL_DEV_IPCAR15_SRCC12_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC11_MASK      (0x00008000u)
#define CSL_DEV_IPCAR15_SRCC11_SHIFT     (0x0000000Fu)
#define CSL_DEV_IPCAR15_SRCC11_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC10_MASK      (0x00004000u)
#define CSL_DEV_IPCAR15_SRCC10_SHIFT     (0x0000000Eu)
#define CSL_DEV_IPCAR15_SRCC10_RESETVAL  (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC9_MASK       (0x00002000u)
#define CSL_DEV_IPCAR15_SRCC9_SHIFT      (0x0000000Du)
#define CSL_DEV_IPCAR15_SRCC9_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC8_MASK       (0x00001000u)
#define CSL_DEV_IPCAR15_SRCC8_SHIFT      (0x0000000Cu)
#define CSL_DEV_IPCAR15_SRCC8_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC7_MASK       (0x00000800u)
#define CSL_DEV_IPCAR15_SRCC7_SHIFT      (0x0000000Bu)
#define CSL_DEV_IPCAR15_SRCC7_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC6_MASK       (0x00000400u)
#define CSL_DEV_IPCAR15_SRCC6_SHIFT      (0x0000000Au)
#define CSL_DEV_IPCAR15_SRCC6_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC5_MASK       (0x00000200u)
#define CSL_DEV_IPCAR15_SRCC5_SHIFT      (0x00000009u)
#define CSL_DEV_IPCAR15_SRCC5_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC4_MASK       (0x00000100u)
#define CSL_DEV_IPCAR15_SRCC4_SHIFT      (0x00000008u)
#define CSL_DEV_IPCAR15_SRCC4_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC3_MASK       (0x00000080u)
#define CSL_DEV_IPCAR15_SRCC3_SHIFT      (0x00000007u)
#define CSL_DEV_IPCAR15_SRCC3_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC2_MASK       (0x00000040u)
#define CSL_DEV_IPCAR15_SRCC2_SHIFT      (0x00000006u)
#define CSL_DEV_IPCAR15_SRCC2_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC1_MASK       (0x00000020u)
#define CSL_DEV_IPCAR15_SRCC1_SHIFT      (0x00000005u)
#define CSL_DEV_IPCAR15_SRCC1_RESETVAL   (0x00000000u)

#define CSL_DEV_IPCAR15_SRCC0_MASK       (0x00000010u)
#define CSL_DEV_IPCAR15_SRCC0_SHIFT      (0x00000004u)
#define CSL_DEV_IPCAR15_SRCC0_RESETVAL   (0x00000000u)


#define CSL_DEV_IPCAR15_RESETVAL         (0x00000000u)

/* SL2_ROM_PROT */

#define CSL_DEV_SL2_ROM_PROT_SL2_ROM_PROT_MASK (0xFFFFFFFFu)
#define CSL_DEV_SL2_ROM_PROT_SL2_ROM_PROT_SHIFT (0x00000000u)
#define CSL_DEV_SL2_ROM_PROT_SL2_ROM_PROT_RESETVAL (0x00000000u)

#define CSL_DEV_SL2_ROM_PROT_RESETVAL    (0x00000000u)

/* MAC_ID1 */

#define CSL_DEV_MAC_ID1_MAC_ID_MASK      (0xFFFFFFFFu)
#define CSL_DEV_MAC_ID1_MAC_ID_SHIFT     (0x00000000u)
#define CSL_DEV_MAC_ID1_MAC_ID_RESETVAL  (0x00000000u)

#define CSL_DEV_MAC_ID1_RESETVAL         (0x00000000u)

/* MAC_ID2 */

#define CSL_DEV_MAC_ID2_BOOT_CONFIGURATION_MASK (0xFFFFFFFFu)
#define CSL_DEV_MAC_ID2_BOOT_CONFIGURATION_SHIFT (0x00000000u)
#define CSL_DEV_MAC_ID2_BOOT_CONFIGURATION_RESETVAL (0x00000000u)

#define CSL_DEV_MAC_ID2_RESETVAL         (0x00000000u)

/* CUSTOMER_ID */

#define CSL_DEV_CUSTOMER_ID_CUSTOMER_ID_MASK (0xFFFFFFFFu)
#define CSL_DEV_CUSTOMER_ID_CUSTOMER_ID_SHIFT (0x00000000u)
#define CSL_DEV_CUSTOMER_ID_CUSTOMER_ID_RESETVAL (0x00000000u)

#define CSL_DEV_CUSTOMER_ID_RESETVAL     (0x00000000u)

/* REV_ID */

#if 0
#define CSL_DEV_REV_ID_SILICONREVISION ID_MASK (0x000F0000u)
#define CSL_DEV_REV_ID_SILICONREVISION ID_SHIFT (0x00000010u)
#define CSL_DEV_REV_ID_SILICONREVISION ID_RESETVAL (0x00000000u)

#define CSL_DEV_REV_ID_DERIVEDFROM PART NUMBER_MASK (0x0000FFFFu)
#define CSL_DEV_REV_ID_DERIVEDFROM PART NUMBER_SHIFT (0x00000000u)
#define CSL_DEV_REV_ID_DERIVEDFROM PART NUMBER_RESETVAL (0x00000000u)

#define CSL_DEV_REV_ID_RESETVAL          (0x00000000u)
#endif
/* TPMGR */


#define CSL_DEV_TPMGR_TOUTSEL_MASK       (0x0000000Fu)
#define CSL_DEV_TPMGR_TOUTSEL_SHIFT      (0x00000000u)
#define CSL_DEV_TPMGR_TOUTSEL_RESETVAL   (0x00000000u)

#define CSL_DEV_TPMGR_RESETVAL           (0x00000000u)

/* RSTMUX0  */


#define CSL_DEV_RSTMUX0_DELAY_MASK       (0x000001C0u)
#define CSL_DEV_RSTMUX0_DELAY_SHIFT      (0x00000006u)
#define CSL_DEV_RSTMUX0_DELAY_RESETVAL   (0x00000004u)
/*----DELAY Tokens----*/
#define CSL_DEV_RSTMUX0_DELAY_256_CPUBY6  (0x00000000u)
#define CSL_DEV_RSTMUX0_DELAY_512_CPUBY6  (0x00000001u)
#define CSL_DEV_RSTMUX0_DELAY_1024_CPUBY6 (0x00000002u)
#define CSL_DEV_RSTMUX0_DELAY_2048_CPUBY6 (0x00000003u)
#define CSL_DEV_RSTMUX0_DELAY_4096_CPUBY6 (0x00000004u)
#define CSL_DEV_RSTMUX0_DELAY_8192_CPUBY6 (0x00000005u)
#define CSL_DEV_RSTMUX0_DELAY_16384_CPUBY6 (0x00000006u)
#define CSL_DEV_RSTMUX0_DELAY_32768_CPUBY6 (0x00000007u)


#define CSL_DEV_RSTMUX0_EVTSTAT_MASK     (0x00000010u)
#define CSL_DEV_RSTMUX0_EVTSTAT_SHIFT    (0x00000004u)
#define CSL_DEV_RSTMUX0_EVTSTAT_RESETVAL (0x00000000u)

#define CSL_DEV_RSTMUX0_OMODE_MASK       (0x0000000Eu)
#define CSL_DEV_RSTMUX0_OMODE_SHIFT      (0x00000001u)
#define CSL_DEV_RSTMUX0_OMODE_RESETVAL   (0x00000000u)
/*----OMODE Tokens----*/
#define CSL_DEV_RSTMUX0_OMODE_NOEVT      (0x00000000u)
#define CSL_DEV_RSTMUX0_OMODE_LRST       (0x00000002u)
#define CSL_DEV_RSTMUX0_OMODE_NMI        (0x00000003u)
#define CSL_DEV_RSTMUX0_OMODE_NMI_LRST   (0x00000004u)
#define CSL_DEV_RSTMUX0_OMODE_SRST_REQ   (0x00000005u)

#define CSL_DEV_RSTMUX0_LOCK_MASK        (0x00000001u)
#define CSL_DEV_RSTMUX0_LOCK_SHIFT       (0x00000000u)
#define CSL_DEV_RSTMUX0_LOCK_RESETVAL    (0x00000000u)
/*----LOCK Tokens----*/
#define CSL_DEV_RSTMUX0_LOCK_NOLOCK      (0x00000000u)
#define CSL_DEV_RSTMUX0_LOCK_LOCK        (0x00000001u)

#define CSL_DEV_RSTMUX0_RESETVAL         (0x00000100u)

/* RSTMUX1  */


#define CSL_DEV_RSTMUX1_DELAY_MASK       (0x000001C0u)
#define CSL_DEV_RSTMUX1_DELAY_SHIFT      (0x00000006u)
#define CSL_DEV_RSTMUX1_DELAY_RESETVAL   (0x00000004u)
/*----DELAY Tokens----*/
#define CSL_DEV_RSTMUX1_DELAY_256_CPUBY6  (0x00000000u)
#define CSL_DEV_RSTMUX1_DELAY_512_CPUBY6  (0x00000001u)
#define CSL_DEV_RSTMUX1_DELAY_1024_CPUBY6 (0x00000002u)
#define CSL_DEV_RSTMUX1_DELAY_2048_CPUBY6 (0x00000003u)
#define CSL_DEV_RSTMUX1_DELAY_4096_CPUBY6 (0x00000004u)
#define CSL_DEV_RSTMUX1_DELAY_8192_CPUBY6 (0x00000005u)
#define CSL_DEV_RSTMUX1_DELAY_16384_CPUBY6 (0x00000006u)
#define CSL_DEV_RSTMUX1_DELAY_32768_CPUBY6 (0x00000007u)


#define CSL_DEV_RSTMUX1_EVTSTAT_MASK     (0x00000010u)
#define CSL_DEV_RSTMUX1_EVTSTAT_SHIFT    (0x00000004u)
#define CSL_DEV_RSTMUX1_EVTSTAT_RESETVAL (0x00000000u)

#define CSL_DEV_RSTMUX1_OMODE_MASK       (0x0000000Eu)
#define CSL_DEV_RSTMUX1_OMODE_SHIFT      (0x00000001u)
#define CSL_DEV_RSTMUX1_OMODE_RESETVAL   (0x00000000u)
/*----OMODE Tokens----*/
#define CSL_DEV_RSTMUX1_OMODE_NOEVT      (0x00000000u)
#define CSL_DEV_RSTMUX1_OMODE_LRST       (0x00000002u)
#define CSL_DEV_RSTMUX1_OMODE_NMI        (0x00000003u)
#define CSL_DEV_RSTMUX1_OMODE_NMI_LRST   (0x00000004u)
#define CSL_DEV_RSTMUX1_OMODE_SRST_REQ   (0x00000005u)

#define CSL_DEV_RSTMUX1_LOCK_MASK        (0x00000001u)
#define CSL_DEV_RSTMUX1_LOCK_SHIFT       (0x00000000u)
#define CSL_DEV_RSTMUX1_LOCK_RESETVAL    (0x00000000u)
/*----LOCK Tokens----*/
#define CSL_DEV_RSTMUX1_LOCK_NOLOCK      (0x00000000u)
#define CSL_DEV_RSTMUX1_LOCK_LOCK        (0x00000001u)

#define CSL_DEV_RSTMUX1_RESETVAL         (0x00000100u)

/* RSTMUX2  */


#define CSL_DEV_RSTMUX2_DELAY_MASK       (0x000001C0u)
#define CSL_DEV_RSTMUX2_DELAY_SHIFT      (0x00000006u)
#define CSL_DEV_RSTMUX2_DELAY_RESETVAL   (0x00000004u)
/*----DELAY Tokens----*/
#define CSL_DEV_RSTMUX2_DELAY_256_CPUBY6  (0x00000000u)
#define CSL_DEV_RSTMUX2_DELAY_512_CPUBY6  (0x00000001u)
#define CSL_DEV_RSTMUX2_DELAY_1024_CPUBY6 (0x00000002u)
#define CSL_DEV_RSTMUX2_DELAY_2048_CPUBY6 (0x00000003u)
#define CSL_DEV_RSTMUX2_DELAY_4096_CPUBY6 (0x00000004u)
#define CSL_DEV_RSTMUX2_DELAY_8192_CPUBY6 (0x00000005u)
#define CSL_DEV_RSTMUX2_DELAY_16384_CPUBY6 (0x00000006u)
#define CSL_DEV_RSTMUX2_DELAY_32768_CPUBY6 (0x00000007u)


#define CSL_DEV_RSTMUX2_EVTSTAT_MASK     (0x00000010u)
#define CSL_DEV_RSTMUX2_EVTSTAT_SHIFT    (0x00000004u)
#define CSL_DEV_RSTMUX2_EVTSTAT_RESETVAL (0x00000000u)

#define CSL_DEV_RSTMUX2_OMODE_MASK       (0x0000000Eu)
#define CSL_DEV_RSTMUX2_OMODE_SHIFT      (0x00000001u)
#define CSL_DEV_RSTMUX2_OMODE_RESETVAL   (0x00000000u)
/*----OMODE Tokens----*/
#define CSL_DEV_RSTMUX2_OMODE_NOEVT      (0x00000000u)
#define CSL_DEV_RSTMUX2_OMODE_LRST       (0x00000002u)
#define CSL_DEV_RSTMUX2_OMODE_NMI        (0x00000003u)
#define CSL_DEV_RSTMUX2_OMODE_NMI_LRST   (0x00000004u)
#define CSL_DEV_RSTMUX2_OMODE_SRST_REQ   (0x00000005u)

#define CSL_DEV_RSTMUX2_LOCK_MASK        (0x00000001u)
#define CSL_DEV_RSTMUX2_LOCK_SHIFT       (0x00000000u)
#define CSL_DEV_RSTMUX2_LOCK_RESETVAL    (0x00000000u)
/*----LOCK Tokens----*/
#define CSL_DEV_RSTMUX2_LOCK_NOLOCK      (0x00000000u)
#define CSL_DEV_RSTMUX2_LOCK_LOCK        (0x00000001u)

#define CSL_DEV_RSTMUX2_RESETVAL         (0x00000100u)

/* RSTMUX3  */


#define CSL_DEV_RSTMUX3_DELAY_MASK       (0x000001C0u)
#define CSL_DEV_RSTMUX3_DELAY_SHIFT      (0x00000006u)
#define CSL_DEV_RSTMUX3_DELAY_RESETVAL   (0x00000004u)
/*----DELAY Tokens----*/
#define CSL_DEV_RSTMUX3_DELAY_256_CPUBY6  (0x00000000u)
#define CSL_DEV_RSTMUX3_DELAY_512_CPUBY6  (0x00000001u)
#define CSL_DEV_RSTMUX3_DELAY_1024_CPUBY6 (0x00000002u)
#define CSL_DEV_RSTMUX3_DELAY_2048_CPUBY6 (0x00000003u)
#define CSL_DEV_RSTMUX3_DELAY_4096_CPUBY6 (0x00000004u)
#define CSL_DEV_RSTMUX3_DELAY_8192_CPUBY6 (0x00000005u)
#define CSL_DEV_RSTMUX3_DELAY_16384_CPUBY6 (0x00000006u)
#define CSL_DEV_RSTMUX3_DELAY_32768_CPUBY6 (0x00000007u)


#define CSL_DEV_RSTMUX3_EVTSTAT_MASK     (0x00000010u)
#define CSL_DEV_RSTMUX3_EVTSTAT_SHIFT    (0x00000004u)
#define CSL_DEV_RSTMUX3_EVTSTAT_RESETVAL (0x00000000u)

#define CSL_DEV_RSTMUX3_OMODE_MASK       (0x0000000Eu)
#define CSL_DEV_RSTMUX3_OMODE_SHIFT      (0x00000001u)
#define CSL_DEV_RSTMUX3_OMODE_RESETVAL   (0x00000000u)
/*----OMODE Tokens----*/
#define CSL_DEV_RSTMUX3_OMODE_NOEVT      (0x00000000u)
#define CSL_DEV_RSTMUX3_OMODE_LRST       (0x00000002u)
#define CSL_DEV_RSTMUX3_OMODE_NMI        (0x00000003u)
#define CSL_DEV_RSTMUX3_OMODE_NMI_LRST   (0x00000004u)
#define CSL_DEV_RSTMUX3_OMODE_SRST_REQ   (0x00000005u)

#define CSL_DEV_RSTMUX3_LOCK_MASK        (0x00000001u)
#define CSL_DEV_RSTMUX3_LOCK_SHIFT       (0x00000000u)
#define CSL_DEV_RSTMUX3_LOCK_RESETVAL    (0x00000000u)
/*----LOCK Tokens----*/
#define CSL_DEV_RSTMUX3_LOCK_NOLOCK      (0x00000000u)
#define CSL_DEV_RSTMUX3_LOCK_LOCK        (0x00000001u)

#define CSL_DEV_RSTMUX3_RESETVAL         (0x00000100u)

/* RSTMUX4  */


#define CSL_DEV_RSTMUX4_DELAY_MASK       (0x000001C0u)
#define CSL_DEV_RSTMUX4_DELAY_SHIFT      (0x00000006u)
#define CSL_DEV_RSTMUX4_DELAY_RESETVAL   (0x00000004u)
/*----DELAY Tokens----*/
#define CSL_DEV_RSTMUX4_DELAY_256_CPUBY6 (0x00000000u)
#define CSL_DEV_RSTMUX4_DELAY_512_CPUBY6  (0x00000001u)
#define CSL_DEV_RSTMUX4_DELAY_1024_CPUBY6 (0x00000002u)
#define CSL_DEV_RSTMUX4_DELAY_2048_CPUBY6 (0x00000003u)
#define CSL_DEV_RSTMUX4_DELAY_4096_CPUBY6 (0x00000004u)
#define CSL_DEV_RSTMUX4_DELAY_8192_CPUBY6 (0x00000005u)
#define CSL_DEV_RSTMUX4_DELAY_16384_CPUBY6 (0x00000006u)
#define CSL_DEV_RSTMUX4_DELAY_32768_CPUBY6 (0x00000007u)


#define CSL_DEV_RSTMUX4_EVTSTAT_MASK     (0x00000010u)
#define CSL_DEV_RSTMUX4_EVTSTAT_SHIFT    (0x00000004u)
#define CSL_DEV_RSTMUX4_EVTSTAT_RESETVAL (0x00000000u)

#define CSL_DEV_RSTMUX4_OMODE_MASK       (0x0000000Eu)
#define CSL_DEV_RSTMUX4_OMODE_SHIFT      (0x00000001u)
#define CSL_DEV_RSTMUX4_OMODE_RESETVAL   (0x00000000u)
/*----OMODE Tokens----*/
#define CSL_DEV_RSTMUX4_OMODE_NOEVT      (0x00000000u)
#define CSL_DEV_RSTMUX4_OMODE_LRST       (0x00000002u)
#define CSL_DEV_RSTMUX4_OMODE_NMI        (0x00000003u)
#define CSL_DEV_RSTMUX4_OMODE_NMI_LRST   (0x00000004u)
#define CSL_DEV_RSTMUX4_OMODE_SRST_REQ   (0x00000005u)

#define CSL_DEV_RSTMUX4_LOCK_MASK        (0x00000001u)
#define CSL_DEV_RSTMUX4_LOCK_SHIFT       (0x00000000u)
#define CSL_DEV_RSTMUX4_LOCK_RESETVAL    (0x00000000u)
/*----LOCK Tokens----*/
#define CSL_DEV_RSTMUX4_LOCK_NOLOCK      (0x00000000u)
#define CSL_DEV_RSTMUX4_LOCK_LOCK        (0x00000001u)

#define CSL_DEV_RSTMUX4_RESETVAL         (0x00000100u)

/* RSTMUX5  */


#define CSL_DEV_RSTMUX5_DELAY_MASK       (0x000001C0u)
#define CSL_DEV_RSTMUX5_DELAY_SHIFT      (0x00000006u)
#define CSL_DEV_RSTMUX5_DELAY_RESETVAL   (0x00000004u)
/*----DELAY Tokens----*/
#define CSL_DEV_RSTMUX5_DELAY_256_CPUBY6  (0x00000000u)
#define CSL_DEV_RSTMUX5_DELAY_512_CPUBY6  (0x00000001u)
#define CSL_DEV_RSTMUX5_DELAY_1024_CPUBY6 (0x00000002u)
#define CSL_DEV_RSTMUX5_DELAY_2048_CPUBY6 (0x00000003u)
#define CSL_DEV_RSTMUX5_DELAY_4096_CPUBY6 (0x00000004u)
#define CSL_DEV_RSTMUX5_DELAY_8192_CPUBY6 (0x00000005u)
#define CSL_DEV_RSTMUX5_DELAY_16384_CPUBY6 (0x00000006u)
#define CSL_DEV_RSTMUX5_DELAY_32768_CPUBY6 (0x00000007u)


#define CSL_DEV_RSTMUX5_EVTSTAT_MASK     (0x00000010u)
#define CSL_DEV_RSTMUX5_EVTSTAT_SHIFT    (0x00000004u)
#define CSL_DEV_RSTMUX5_EVTSTAT_RESETVAL (0x00000000u)

#define CSL_DEV_RSTMUX5_OMODE_MASK       (0x0000000Eu)
#define CSL_DEV_RSTMUX5_OMODE_SHIFT      (0x00000001u)
#define CSL_DEV_RSTMUX5_OMODE_RESETVAL   (0x00000000u)
/*----OMODE Tokens----*/
#define CSL_DEV_RSTMUX5_OMODE_NOEVT      (0x00000000u)
#define CSL_DEV_RSTMUX5_OMODE_LRST       (0x00000002u)
#define CSL_DEV_RSTMUX5_OMODE_NMI        (0x00000003u)
#define CSL_DEV_RSTMUX5_OMODE_NMI_LRST   (0x00000004u)
#define CSL_DEV_RSTMUX5_OMODE_SRST_REQ   (0x00000005u)

#define CSL_DEV_RSTMUX5_LOCK_MASK        (0x00000001u)
#define CSL_DEV_RSTMUX5_LOCK_SHIFT       (0x00000000u)
#define CSL_DEV_RSTMUX5_LOCK_RESETVAL    (0x00000000u)
/*----LOCK Tokens----*/
#define CSL_DEV_RSTMUX5_LOCK_NOLOCK      (0x00000000u)
#define CSL_DEV_RSTMUX5_LOCK_LOCK        (0x00000001u)

#define CSL_DEV_RSTMUX5_RESETVAL         (0x00000100u)

#endif
