/* =============================================================================
 *  Copyright (c) Texas Instruments Incorporated 2002, 2003, 2004, 2005, 2006
 * 
 *  Redistribution and use in source and binary forms, with or without 
 *  modification, are permitted provided that the following conditions 
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright 
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the 
 *    documentation and/or other materials provided with the   
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS 
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT 
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT 
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT 
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT 
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE 
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
*/
/** ============================================================================
 *   @file  cslr_intgen.h
 *
 *   @path  $(CSLPATH)\inc
 *
 *   @desc  This file contains the Register Desciptions for INTGEN
 *  ============================================================================
 */

#ifndef _CSLR_INTGEN_H_
#define _CSLR_INTGEN_H_

#include <cslr.h>

#include "tistdtypes.h"


/* Minimum unit = 1 byte */

/**************************************************************************\
* Register Overlay Structure
\**************************************************************************/
typedef struct  {
    volatile Uint32 IPCGR0;
    volatile Uint32 IPCGR1;
    volatile Uint32 IPCGR2;
    volatile Uint32 IPCGR3;
    volatile Uint32 IPCGR4;
    volatile Uint32 IPCGR5;
    volatile Uint8 RSVD0[36];
    volatile Uint32 IPCGR15;
    volatile Uint32 IPCAR0;
    volatile Uint32 IPCAR1;
    volatile Uint32 IPCAR2;
    volatile Uint32 IPCAR3;
    volatile Uint32 IPCAR4;
    volatile Uint32 IPCAR5;
    volatile Uint8 RSVD1[36];
    volatile Uint32 IPCAR15;
} CSL_IntgenRegs;

/**************************************************************************\
* Field Definition Macros
\**************************************************************************/

/* IPCGR0 */

#define CSL_INTGEN_IPCGR0_SRCS27_MASK    (0x80000000u)
#define CSL_INTGEN_IPCGR0_SRCS27_SHIFT   (0x0000001Fu)
#define CSL_INTGEN_IPCGR0_SRCS27_RESETVAL (0x00000000u)
/*----SRCS27 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS27_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS27_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS26_MASK    (0x40000000u)
#define CSL_INTGEN_IPCGR0_SRCS26_SHIFT   (0x0000001Eu)
#define CSL_INTGEN_IPCGR0_SRCS26_RESETVAL (0x00000000u)
/*----SRCS26 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS26_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS26_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS25_MASK    (0x20000000u)
#define CSL_INTGEN_IPCGR0_SRCS25_SHIFT   (0x0000001Du)
#define CSL_INTGEN_IPCGR0_SRCS25_RESETVAL (0x00000000u)
/*----SRCS25 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS25_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS25_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS24_MASK    (0x10000000u)
#define CSL_INTGEN_IPCGR0_SRCS24_SHIFT   (0x0000001Cu)
#define CSL_INTGEN_IPCGR0_SRCS24_RESETVAL (0x00000000u)
/*----SRCS24 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS24_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS24_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS23_MASK    (0x08000000u)
#define CSL_INTGEN_IPCGR0_SRCS23_SHIFT   (0x0000001Bu)
#define CSL_INTGEN_IPCGR0_SRCS23_RESETVAL (0x00000000u)
/*----SRCS23 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS23_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS23_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS22_MASK    (0x04000000u)
#define CSL_INTGEN_IPCGR0_SRCS22_SHIFT   (0x0000001Au)
#define CSL_INTGEN_IPCGR0_SRCS22_RESETVAL (0x00000000u)
/*----SRCS22 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS22_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS22_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS21_MASK    (0x02000000u)
#define CSL_INTGEN_IPCGR0_SRCS21_SHIFT   (0x00000019u)
#define CSL_INTGEN_IPCGR0_SRCS21_RESETVAL (0x00000000u)
/*----SRCS21 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS21_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS21_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS20_MASK    (0x01000000u)
#define CSL_INTGEN_IPCGR0_SRCS20_SHIFT   (0x00000018u)
#define CSL_INTGEN_IPCGR0_SRCS20_RESETVAL (0x00000000u)
/*----SRCS20 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS20_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS20_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS19_MASK    (0x00800000u)
#define CSL_INTGEN_IPCGR0_SRCS19_SHIFT   (0x00000017u)
#define CSL_INTGEN_IPCGR0_SRCS19_RESETVAL (0x00000000u)
/*----SRCS19 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS19_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS19_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS18_MASK    (0x00400000u)
#define CSL_INTGEN_IPCGR0_SRCS18_SHIFT   (0x00000016u)
#define CSL_INTGEN_IPCGR0_SRCS18_RESETVAL (0x00000000u)
/*----SRCS18 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS18_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS18_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS17_MASK    (0x00200000u)
#define CSL_INTGEN_IPCGR0_SRCS17_SHIFT   (0x00000015u)
#define CSL_INTGEN_IPCGR0_SRCS17_RESETVAL (0x00000000u)
/*----SRCS17 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS17_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS17_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS16_MASK    (0x00100000u)
#define CSL_INTGEN_IPCGR0_SRCS16_SHIFT   (0x00000014u)
#define CSL_INTGEN_IPCGR0_SRCS16_RESETVAL (0x00000000u)
/*----SRCS16 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS16_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS16_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS15_MASK    (0x00080000u)
#define CSL_INTGEN_IPCGR0_SRCS15_SHIFT   (0x00000013u)
#define CSL_INTGEN_IPCGR0_SRCS15_RESETVAL (0x00000000u)
/*----SRCS15 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS15_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS15_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS14_MASK    (0x00040000u)
#define CSL_INTGEN_IPCGR0_SRCS14_SHIFT   (0x00000012u)
#define CSL_INTGEN_IPCGR0_SRCS14_RESETVAL (0x00000000u)
/*----SRCS14 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS14_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS14_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS13_MASK    (0x00020000u)
#define CSL_INTGEN_IPCGR0_SRCS13_SHIFT   (0x00000011u)
#define CSL_INTGEN_IPCGR0_SRCS13_RESETVAL (0x00000000u)
/*----SRCS13 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS13_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS13_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS12_MASK    (0x00010000u)
#define CSL_INTGEN_IPCGR0_SRCS12_SHIFT   (0x00000010u)
#define CSL_INTGEN_IPCGR0_SRCS12_RESETVAL (0x00000000u)
/*----SRCS12 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS12_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS12_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS11_MASK    (0x00008000u)
#define CSL_INTGEN_IPCGR0_SRCS11_SHIFT   (0x0000000Fu)
#define CSL_INTGEN_IPCGR0_SRCS11_RESETVAL (0x00000000u)
/*----SRCS11 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS11_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS11_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS10_MASK    (0x00004000u)
#define CSL_INTGEN_IPCGR0_SRCS10_SHIFT   (0x0000000Eu)
#define CSL_INTGEN_IPCGR0_SRCS10_RESETVAL (0x00000000u)
/*----SRCS10 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS10_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS10_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS9_MASK     (0x00002000u)
#define CSL_INTGEN_IPCGR0_SRCS9_SHIFT    (0x0000000Du)
#define CSL_INTGEN_IPCGR0_SRCS9_RESETVAL (0x00000000u)
/*----SRCS9 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS9_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS9_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS8_MASK     (0x00001000u)
#define CSL_INTGEN_IPCGR0_SRCS8_SHIFT    (0x0000000Cu)
#define CSL_INTGEN_IPCGR0_SRCS8_RESETVAL (0x00000000u)
/*----SRCS8 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS8_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS8_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS7_MASK     (0x00000800u)
#define CSL_INTGEN_IPCGR0_SRCS7_SHIFT    (0x0000000Bu)
#define CSL_INTGEN_IPCGR0_SRCS7_RESETVAL (0x00000000u)
/*----SRCS7 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS7_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS7_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS6_MASK     (0x00000400u)
#define CSL_INTGEN_IPCGR0_SRCS6_SHIFT    (0x0000000Au)
#define CSL_INTGEN_IPCGR0_SRCS6_RESETVAL (0x00000000u)
/*----SRCS6 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS6_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS6_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS5_MASK     (0x00000200u)
#define CSL_INTGEN_IPCGR0_SRCS5_SHIFT    (0x00000009u)
#define CSL_INTGEN_IPCGR0_SRCS5_RESETVAL (0x00000000u)
/*----SRCS5 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS5_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS5_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS4_MASK     (0x00000100u)
#define CSL_INTGEN_IPCGR0_SRCS4_SHIFT    (0x00000008u)
#define CSL_INTGEN_IPCGR0_SRCS4_RESETVAL (0x00000000u)
/*----SRCS4 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS4_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS4_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS3_MASK     (0x00000080u)
#define CSL_INTGEN_IPCGR0_SRCS3_SHIFT    (0x00000007u)
#define CSL_INTGEN_IPCGR0_SRCS3_RESETVAL (0x00000000u)
/*----SRCS3 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS3_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS3_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS2_MASK     (0x00000040u)
#define CSL_INTGEN_IPCGR0_SRCS2_SHIFT    (0x00000006u)
#define CSL_INTGEN_IPCGR0_SRCS2_RESETVAL (0x00000000u)
/*----SRCS2 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS2_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS2_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS1_MASK     (0x00000020u)
#define CSL_INTGEN_IPCGR0_SRCS1_SHIFT    (0x00000005u)
#define CSL_INTGEN_IPCGR0_SRCS1_RESETVAL (0x00000000u)
/*----SRCS1 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS1_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS1_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR0_SRCS0_MASK     (0x00000010u)
#define CSL_INTGEN_IPCGR0_SRCS0_SHIFT    (0x00000004u)
#define CSL_INTGEN_IPCGR0_SRCS0_RESETVAL (0x00000000u)
/*----SRCS0 Tokens----*/
#define CSL_INTGEN_IPCGR0_SRCS0_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR0_SRCS0_NOTSET   (0x00000000u)


#define CSL_INTGEN_IPCGR0_IPCG_MASK      (0x00000001u)
#define CSL_INTGEN_IPCGR0_IPCG_SHIFT     (0x00000000u)
#define CSL_INTGEN_IPCGR0_IPCG_RESETVAL  (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_INTGEN_IPCGR0_IPCG_INTGEN    (0x00000001u)

#define CSL_INTGEN_IPCGR0_RESETVAL       (0x00000000u)

/* IPCGR1 */

#define CSL_INTGEN_IPCGR1_SRCS27_MASK    (0x80000000u)
#define CSL_INTGEN_IPCGR1_SRCS27_SHIFT   (0x0000001Fu)
#define CSL_INTGEN_IPCGR1_SRCS27_RESETVAL (0x00000000u)
/*----SRCS27 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS27_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS27_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS26_MASK    (0x40000000u)
#define CSL_INTGEN_IPCGR1_SRCS26_SHIFT   (0x0000001Eu)
#define CSL_INTGEN_IPCGR1_SRCS26_RESETVAL (0x00000000u)
/*----SRCS26 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS26_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS26_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS25_MASK    (0x20000000u)
#define CSL_INTGEN_IPCGR1_SRCS25_SHIFT   (0x0000001Du)
#define CSL_INTGEN_IPCGR1_SRCS25_RESETVAL (0x00000000u)
/*----SRCS25 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS25_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS25_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS24_MASK    (0x10000000u)
#define CSL_INTGEN_IPCGR1_SRCS24_SHIFT   (0x0000001Cu)
#define CSL_INTGEN_IPCGR1_SRCS24_RESETVAL (0x00000000u)
/*----SRCS24 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS24_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS24_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS23_MASK    (0x08000000u)
#define CSL_INTGEN_IPCGR1_SRCS23_SHIFT   (0x0000001Bu)
#define CSL_INTGEN_IPCGR1_SRCS23_RESETVAL (0x00000000u)
/*----SRCS23 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS23_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS23_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS22_MASK    (0x04000000u)
#define CSL_INTGEN_IPCGR1_SRCS22_SHIFT   (0x0000001Au)
#define CSL_INTGEN_IPCGR1_SRCS22_RESETVAL (0x00000000u)
/*----SRCS22 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS22_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS22_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS21_MASK    (0x02000000u)
#define CSL_INTGEN_IPCGR1_SRCS21_SHIFT   (0x00000019u)
#define CSL_INTGEN_IPCGR1_SRCS21_RESETVAL (0x00000000u)
/*----SRCS21 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS21_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS21_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS20_MASK    (0x01000000u)
#define CSL_INTGEN_IPCGR1_SRCS20_SHIFT   (0x00000018u)
#define CSL_INTGEN_IPCGR1_SRCS20_RESETVAL (0x00000000u)
/*----SRCS20 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS20_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS20_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS19_MASK    (0x00800000u)
#define CSL_INTGEN_IPCGR1_SRCS19_SHIFT   (0x00000017u)
#define CSL_INTGEN_IPCGR1_SRCS19_RESETVAL (0x00000000u)
/*----SRCS19 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS19_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS19_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS18_MASK    (0x00400000u)
#define CSL_INTGEN_IPCGR1_SRCS18_SHIFT   (0x00000016u)
#define CSL_INTGEN_IPCGR1_SRCS18_RESETVAL (0x00000000u)
/*----SRCS18 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS18_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS18_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS17_MASK    (0x00200000u)
#define CSL_INTGEN_IPCGR1_SRCS17_SHIFT   (0x00000015u)
#define CSL_INTGEN_IPCGR1_SRCS17_RESETVAL (0x00000000u)
/*----SRCS17 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS17_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS17_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS16_MASK    (0x00100000u)
#define CSL_INTGEN_IPCGR1_SRCS16_SHIFT   (0x00000014u)
#define CSL_INTGEN_IPCGR1_SRCS16_RESETVAL (0x00000000u)
/*----SRCS16 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS16_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS16_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS15_MASK    (0x00080000u)
#define CSL_INTGEN_IPCGR1_SRCS15_SHIFT   (0x00000013u)
#define CSL_INTGEN_IPCGR1_SRCS15_RESETVAL (0x00000000u)
/*----SRCS15 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS15_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS15_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS14_MASK    (0x00040000u)
#define CSL_INTGEN_IPCGR1_SRCS14_SHIFT   (0x00000012u)
#define CSL_INTGEN_IPCGR1_SRCS14_RESETVAL (0x00000000u)
/*----SRCS14 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS14_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS14_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS13_MASK    (0x00020000u)
#define CSL_INTGEN_IPCGR1_SRCS13_SHIFT   (0x00000011u)
#define CSL_INTGEN_IPCGR1_SRCS13_RESETVAL (0x00000000u)
/*----SRCS13 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS13_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS13_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS12_MASK    (0x00010000u)
#define CSL_INTGEN_IPCGR1_SRCS12_SHIFT   (0x00000010u)
#define CSL_INTGEN_IPCGR1_SRCS12_RESETVAL (0x00000000u)
/*----SRCS12 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS12_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS12_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS11_MASK    (0x00008000u)
#define CSL_INTGEN_IPCGR1_SRCS11_SHIFT   (0x0000000Fu)
#define CSL_INTGEN_IPCGR1_SRCS11_RESETVAL (0x00000000u)
/*----SRCS11 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS11_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS11_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS10_MASK    (0x00004000u)
#define CSL_INTGEN_IPCGR1_SRCS10_SHIFT   (0x0000000Eu)
#define CSL_INTGEN_IPCGR1_SRCS10_RESETVAL (0x00000000u)
/*----SRCS10 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS10_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS10_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS9_MASK     (0x00002000u)
#define CSL_INTGEN_IPCGR1_SRCS9_SHIFT    (0x0000000Du)
#define CSL_INTGEN_IPCGR1_SRCS9_RESETVAL (0x00000000u)
/*----SRCS9 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS9_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS9_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS8_MASK     (0x00001000u)
#define CSL_INTGEN_IPCGR1_SRCS8_SHIFT    (0x0000000Cu)
#define CSL_INTGEN_IPCGR1_SRCS8_RESETVAL (0x00000000u)
/*----SRCS8 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS8_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS8_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS7_MASK     (0x00000800u)
#define CSL_INTGEN_IPCGR1_SRCS7_SHIFT    (0x0000000Bu)
#define CSL_INTGEN_IPCGR1_SRCS7_RESETVAL (0x00000000u)
/*----SRCS7 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS7_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS7_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS6_MASK     (0x00000400u)
#define CSL_INTGEN_IPCGR1_SRCS6_SHIFT    (0x0000000Au)
#define CSL_INTGEN_IPCGR1_SRCS6_RESETVAL (0x00000000u)
/*----SRCS6 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS6_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS6_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS5_MASK     (0x00000200u)
#define CSL_INTGEN_IPCGR1_SRCS5_SHIFT    (0x00000009u)
#define CSL_INTGEN_IPCGR1_SRCS5_RESETVAL (0x00000000u)
/*----SRCS5 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS5_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS5_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS4_MASK     (0x00000100u)
#define CSL_INTGEN_IPCGR1_SRCS4_SHIFT    (0x00000008u)
#define CSL_INTGEN_IPCGR1_SRCS4_RESETVAL (0x00000000u)
/*----SRCS4 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS4_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS4_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS3_MASK     (0x00000080u)
#define CSL_INTGEN_IPCGR1_SRCS3_SHIFT    (0x00000007u)
#define CSL_INTGEN_IPCGR1_SRCS3_RESETVAL (0x00000000u)
/*----SRCS3 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS3_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS3_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS2_MASK     (0x00000040u)
#define CSL_INTGEN_IPCGR1_SRCS2_SHIFT    (0x00000006u)
#define CSL_INTGEN_IPCGR1_SRCS2_RESETVAL (0x00000000u)
/*----SRCS2 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS2_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS2_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS1_MASK     (0x00000020u)
#define CSL_INTGEN_IPCGR1_SRCS1_SHIFT    (0x00000005u)
#define CSL_INTGEN_IPCGR1_SRCS1_RESETVAL (0x00000000u)
/*----SRCS1 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS1_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS1_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR1_SRCS0_MASK     (0x00000010u)
#define CSL_INTGEN_IPCGR1_SRCS0_SHIFT    (0x00000004u)
#define CSL_INTGEN_IPCGR1_SRCS0_RESETVAL (0x00000000u)
/*----SRCS0 Tokens----*/
#define CSL_INTGEN_IPCGR1_SRCS0_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR1_SRCS0_NOTSET   (0x00000000u)


#define CSL_INTGEN_IPCGR1_IPCG_MASK      (0x00000001u)
#define CSL_INTGEN_IPCGR1_IPCG_SHIFT     (0x00000000u)
#define CSL_INTGEN_IPCGR1_IPCG_RESETVAL  (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_INTGEN_IPCGR1_IPCG_INTGEN    (0x00000001u)

#define CSL_INTGEN_IPCGR1_RESETVAL       (0x00000000u)

/* IPCGR2 */

#define CSL_INTGEN_IPCGR2_SRCS27_MASK    (0x80000000u)
#define CSL_INTGEN_IPCGR2_SRCS27_SHIFT   (0x0000001Fu)
#define CSL_INTGEN_IPCGR2_SRCS27_RESETVAL (0x00000000u)
/*----SRCS27 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS27_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS27_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS26_MASK    (0x40000000u)
#define CSL_INTGEN_IPCGR2_SRCS26_SHIFT   (0x0000001Eu)
#define CSL_INTGEN_IPCGR2_SRCS26_RESETVAL (0x00000000u)
/*----SRCS26 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS26_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS26_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS25_MASK    (0x20000000u)
#define CSL_INTGEN_IPCGR2_SRCS25_SHIFT   (0x0000001Du)
#define CSL_INTGEN_IPCGR2_SRCS25_RESETVAL (0x00000000u)
/*----SRCS25 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS25_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS25_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS24_MASK    (0x10000000u)
#define CSL_INTGEN_IPCGR2_SRCS24_SHIFT   (0x0000001Cu)
#define CSL_INTGEN_IPCGR2_SRCS24_RESETVAL (0x00000000u)
/*----SRCS24 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS24_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS24_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS23_MASK    (0x08000000u)
#define CSL_INTGEN_IPCGR2_SRCS23_SHIFT   (0x0000001Bu)
#define CSL_INTGEN_IPCGR2_SRCS23_RESETVAL (0x00000000u)
/*----SRCS23 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS23_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS23_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS22_MASK    (0x04000000u)
#define CSL_INTGEN_IPCGR2_SRCS22_SHIFT   (0x0000001Au)
#define CSL_INTGEN_IPCGR2_SRCS22_RESETVAL (0x00000000u)
/*----SRCS22 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS22_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS22_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS21_MASK    (0x02000000u)
#define CSL_INTGEN_IPCGR2_SRCS21_SHIFT   (0x00000019u)
#define CSL_INTGEN_IPCGR2_SRCS21_RESETVAL (0x00000000u)
/*----SRCS21 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS21_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS21_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS20_MASK    (0x01000000u)
#define CSL_INTGEN_IPCGR2_SRCS20_SHIFT   (0x00000018u)
#define CSL_INTGEN_IPCGR2_SRCS20_RESETVAL (0x00000000u)
/*----SRCS20 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS20_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS20_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS19_MASK    (0x00800000u)
#define CSL_INTGEN_IPCGR2_SRCS19_SHIFT   (0x00000017u)
#define CSL_INTGEN_IPCGR2_SRCS19_RESETVAL (0x00000000u)
/*----SRCS19 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS19_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS19_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS18_MASK    (0x00400000u)
#define CSL_INTGEN_IPCGR2_SRCS18_SHIFT   (0x00000016u)
#define CSL_INTGEN_IPCGR2_SRCS18_RESETVAL (0x00000000u)
/*----SRCS18 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS18_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS18_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS17_MASK    (0x00200000u)
#define CSL_INTGEN_IPCGR2_SRCS17_SHIFT   (0x00000015u)
#define CSL_INTGEN_IPCGR2_SRCS17_RESETVAL (0x00000000u)
/*----SRCS17 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS17_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS17_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS16_MASK    (0x00100000u)
#define CSL_INTGEN_IPCGR2_SRCS16_SHIFT   (0x00000014u)
#define CSL_INTGEN_IPCGR2_SRCS16_RESETVAL (0x00000000u)
/*----SRCS16 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS16_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS16_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS15_MASK    (0x00080000u)
#define CSL_INTGEN_IPCGR2_SRCS15_SHIFT   (0x00000013u)
#define CSL_INTGEN_IPCGR2_SRCS15_RESETVAL (0x00000000u)
/*----SRCS15 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS15_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS15_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS14_MASK    (0x00040000u)
#define CSL_INTGEN_IPCGR2_SRCS14_SHIFT   (0x00000012u)
#define CSL_INTGEN_IPCGR2_SRCS14_RESETVAL (0x00000000u)
/*----SRCS14 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS14_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS14_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS13_MASK    (0x00020000u)
#define CSL_INTGEN_IPCGR2_SRCS13_SHIFT   (0x00000011u)
#define CSL_INTGEN_IPCGR2_SRCS13_RESETVAL (0x00000000u)
/*----SRCS13 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS13_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS13_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS12_MASK    (0x00010000u)
#define CSL_INTGEN_IPCGR2_SRCS12_SHIFT   (0x00000010u)
#define CSL_INTGEN_IPCGR2_SRCS12_RESETVAL (0x00000000u)
/*----SRCS12 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS12_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS12_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS11_MASK    (0x00008000u)
#define CSL_INTGEN_IPCGR2_SRCS11_SHIFT   (0x0000000Fu)
#define CSL_INTGEN_IPCGR2_SRCS11_RESETVAL (0x00000000u)
/*----SRCS11 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS11_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS11_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS10_MASK    (0x00004000u)
#define CSL_INTGEN_IPCGR2_SRCS10_SHIFT   (0x0000000Eu)
#define CSL_INTGEN_IPCGR2_SRCS10_RESETVAL (0x00000000u)
/*----SRCS10 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS10_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS10_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS9_MASK     (0x00002000u)
#define CSL_INTGEN_IPCGR2_SRCS9_SHIFT    (0x0000000Du)
#define CSL_INTGEN_IPCGR2_SRCS9_RESETVAL (0x00000000u)
/*----SRCS9 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS9_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS9_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS8_MASK     (0x00001000u)
#define CSL_INTGEN_IPCGR2_SRCS8_SHIFT    (0x0000000Cu)
#define CSL_INTGEN_IPCGR2_SRCS8_RESETVAL (0x00000000u)
/*----SRCS8 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS8_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS8_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS7_MASK     (0x00000800u)
#define CSL_INTGEN_IPCGR2_SRCS7_SHIFT    (0x0000000Bu)
#define CSL_INTGEN_IPCGR2_SRCS7_RESETVAL (0x00000000u)
/*----SRCS7 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS7_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS7_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS6_MASK     (0x00000400u)
#define CSL_INTGEN_IPCGR2_SRCS6_SHIFT    (0x0000000Au)
#define CSL_INTGEN_IPCGR2_SRCS6_RESETVAL (0x00000000u)
/*----SRCS6 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS6_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS6_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS5_MASK     (0x00000200u)
#define CSL_INTGEN_IPCGR2_SRCS5_SHIFT    (0x00000009u)
#define CSL_INTGEN_IPCGR2_SRCS5_RESETVAL (0x00000000u)
/*----SRCS5 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS5_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS5_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS4_MASK     (0x00000100u)
#define CSL_INTGEN_IPCGR2_SRCS4_SHIFT    (0x00000008u)
#define CSL_INTGEN_IPCGR2_SRCS4_RESETVAL (0x00000000u)
/*----SRCS4 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS4_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS4_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS3_MASK     (0x00000080u)
#define CSL_INTGEN_IPCGR2_SRCS3_SHIFT    (0x00000007u)
#define CSL_INTGEN_IPCGR2_SRCS3_RESETVAL (0x00000000u)
/*----SRCS3 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS3_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS3_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS2_MASK     (0x00000040u)
#define CSL_INTGEN_IPCGR2_SRCS2_SHIFT    (0x00000006u)
#define CSL_INTGEN_IPCGR2_SRCS2_RESETVAL (0x00000000u)
/*----SRCS2 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS2_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS2_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS1_MASK     (0x00000020u)
#define CSL_INTGEN_IPCGR2_SRCS1_SHIFT    (0x00000005u)
#define CSL_INTGEN_IPCGR2_SRCS1_RESETVAL (0x00000000u)
/*----SRCS1 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS1_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS1_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR2_SRCS0_MASK     (0x00000010u)
#define CSL_INTGEN_IPCGR2_SRCS0_SHIFT    (0x00000004u)
#define CSL_INTGEN_IPCGR2_SRCS0_RESETVAL (0x00000000u)
/*----SRCS0 Tokens----*/
#define CSL_INTGEN_IPCGR2_SRCS0_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR2_SRCS0_NOTSET   (0x00000000u)


#define CSL_INTGEN_IPCGR2_IPCG_MASK      (0x00000001u)
#define CSL_INTGEN_IPCGR2_IPCG_SHIFT     (0x00000000u)
#define CSL_INTGEN_IPCGR2_IPCG_RESETVAL  (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_INTGEN_IPCGR2_IPCG_INTGEN    (0x00000001u)

#define CSL_INTGEN_IPCGR2_RESETVAL       (0x00000000u)

/* IPCGR3 */

#define CSL_INTGEN_IPCGR3_SRCS27_MASK    (0x80000000u)
#define CSL_INTGEN_IPCGR3_SRCS27_SHIFT   (0x0000001Fu)
#define CSL_INTGEN_IPCGR3_SRCS27_RESETVAL (0x00000000u)
/*----SRCS27 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS27_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS27_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS26_MASK    (0x40000000u)
#define CSL_INTGEN_IPCGR3_SRCS26_SHIFT   (0x0000001Eu)
#define CSL_INTGEN_IPCGR3_SRCS26_RESETVAL (0x00000000u)
/*----SRCS26 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS26_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS26_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS25_MASK    (0x20000000u)
#define CSL_INTGEN_IPCGR3_SRCS25_SHIFT   (0x0000001Du)
#define CSL_INTGEN_IPCGR3_SRCS25_RESETVAL (0x00000000u)
/*----SRCS25 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS25_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS25_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS24_MASK    (0x10000000u)
#define CSL_INTGEN_IPCGR3_SRCS24_SHIFT   (0x0000001Cu)
#define CSL_INTGEN_IPCGR3_SRCS24_RESETVAL (0x00000000u)
/*----SRCS24 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS24_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS24_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS23_MASK    (0x08000000u)
#define CSL_INTGEN_IPCGR3_SRCS23_SHIFT   (0x0000001Bu)
#define CSL_INTGEN_IPCGR3_SRCS23_RESETVAL (0x00000000u)
/*----SRCS23 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS23_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS23_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS22_MASK    (0x04000000u)
#define CSL_INTGEN_IPCGR3_SRCS22_SHIFT   (0x0000001Au)
#define CSL_INTGEN_IPCGR3_SRCS22_RESETVAL (0x00000000u)
/*----SRCS22 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS22_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS22_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS21_MASK    (0x02000000u)
#define CSL_INTGEN_IPCGR3_SRCS21_SHIFT   (0x00000019u)
#define CSL_INTGEN_IPCGR3_SRCS21_RESETVAL (0x00000000u)
/*----SRCS21 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS21_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS21_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS20_MASK    (0x01000000u)
#define CSL_INTGEN_IPCGR3_SRCS20_SHIFT   (0x00000018u)
#define CSL_INTGEN_IPCGR3_SRCS20_RESETVAL (0x00000000u)
/*----SRCS20 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS20_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS20_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS19_MASK    (0x00800000u)
#define CSL_INTGEN_IPCGR3_SRCS19_SHIFT   (0x00000017u)
#define CSL_INTGEN_IPCGR3_SRCS19_RESETVAL (0x00000000u)
/*----SRCS19 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS19_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS19_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS18_MASK    (0x00400000u)
#define CSL_INTGEN_IPCGR3_SRCS18_SHIFT   (0x00000016u)
#define CSL_INTGEN_IPCGR3_SRCS18_RESETVAL (0x00000000u)
/*----SRCS18 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS18_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS18_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS17_MASK    (0x00200000u)
#define CSL_INTGEN_IPCGR3_SRCS17_SHIFT   (0x00000015u)
#define CSL_INTGEN_IPCGR3_SRCS17_RESETVAL (0x00000000u)
/*----SRCS17 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS17_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS17_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS16_MASK    (0x00100000u)
#define CSL_INTGEN_IPCGR3_SRCS16_SHIFT   (0x00000014u)
#define CSL_INTGEN_IPCGR3_SRCS16_RESETVAL (0x00000000u)
/*----SRCS16 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS16_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS16_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS15_MASK    (0x00080000u)
#define CSL_INTGEN_IPCGR3_SRCS15_SHIFT   (0x00000013u)
#define CSL_INTGEN_IPCGR3_SRCS15_RESETVAL (0x00000000u)
/*----SRCS15 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS15_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS15_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS14_MASK    (0x00040000u)
#define CSL_INTGEN_IPCGR3_SRCS14_SHIFT   (0x00000012u)
#define CSL_INTGEN_IPCGR3_SRCS14_RESETVAL (0x00000000u)
/*----SRCS14 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS14_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS14_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS13_MASK    (0x00020000u)
#define CSL_INTGEN_IPCGR3_SRCS13_SHIFT   (0x00000011u)
#define CSL_INTGEN_IPCGR3_SRCS13_RESETVAL (0x00000000u)
/*----SRCS13 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS13_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS13_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS12_MASK    (0x00010000u)
#define CSL_INTGEN_IPCGR3_SRCS12_SHIFT   (0x00000010u)
#define CSL_INTGEN_IPCGR3_SRCS12_RESETVAL (0x00000000u)
/*----SRCS12 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS12_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS12_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS11_MASK    (0x00008000u)
#define CSL_INTGEN_IPCGR3_SRCS11_SHIFT   (0x0000000Fu)
#define CSL_INTGEN_IPCGR3_SRCS11_RESETVAL (0x00000000u)
/*----SRCS11 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS11_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS11_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS10_MASK    (0x00004000u)
#define CSL_INTGEN_IPCGR3_SRCS10_SHIFT   (0x0000000Eu)
#define CSL_INTGEN_IPCGR3_SRCS10_RESETVAL (0x00000000u)
/*----SRCS10 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS10_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS10_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS9_MASK     (0x00002000u)
#define CSL_INTGEN_IPCGR3_SRCS9_SHIFT    (0x0000000Du)
#define CSL_INTGEN_IPCGR3_SRCS9_RESETVAL (0x00000000u)
/*----SRCS9 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS9_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS9_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS8_MASK     (0x00001000u)
#define CSL_INTGEN_IPCGR3_SRCS8_SHIFT    (0x0000000Cu)
#define CSL_INTGEN_IPCGR3_SRCS8_RESETVAL (0x00000000u)
/*----SRCS8 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS8_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS8_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS7_MASK     (0x00000800u)
#define CSL_INTGEN_IPCGR3_SRCS7_SHIFT    (0x0000000Bu)
#define CSL_INTGEN_IPCGR3_SRCS7_RESETVAL (0x00000000u)
/*----SRCS7 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS7_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS7_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS6_MASK     (0x00000400u)
#define CSL_INTGEN_IPCGR3_SRCS6_SHIFT    (0x0000000Au)
#define CSL_INTGEN_IPCGR3_SRCS6_RESETVAL (0x00000000u)
/*----SRCS6 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS6_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS6_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS5_MASK     (0x00000200u)
#define CSL_INTGEN_IPCGR3_SRCS5_SHIFT    (0x00000009u)
#define CSL_INTGEN_IPCGR3_SRCS5_RESETVAL (0x00000000u)
/*----SRCS5 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS5_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS5_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS4_MASK     (0x00000100u)
#define CSL_INTGEN_IPCGR3_SRCS4_SHIFT    (0x00000008u)
#define CSL_INTGEN_IPCGR3_SRCS4_RESETVAL (0x00000000u)
/*----SRCS4 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS4_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS4_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS3_MASK     (0x00000080u)
#define CSL_INTGEN_IPCGR3_SRCS3_SHIFT    (0x00000007u)
#define CSL_INTGEN_IPCGR3_SRCS3_RESETVAL (0x00000000u)
/*----SRCS3 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS3_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS3_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS2_MASK     (0x00000040u)
#define CSL_INTGEN_IPCGR3_SRCS2_SHIFT    (0x00000006u)
#define CSL_INTGEN_IPCGR3_SRCS2_RESETVAL (0x00000000u)
/*----SRCS2 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS2_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS2_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS1_MASK     (0x00000020u)
#define CSL_INTGEN_IPCGR3_SRCS1_SHIFT    (0x00000005u)
#define CSL_INTGEN_IPCGR3_SRCS1_RESETVAL (0x00000000u)
/*----SRCS1 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS1_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS1_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR3_SRCS0_MASK     (0x00000010u)
#define CSL_INTGEN_IPCGR3_SRCS0_SHIFT    (0x00000004u)
#define CSL_INTGEN_IPCGR3_SRCS0_RESETVAL (0x00000000u)
/*----SRCS0 Tokens----*/
#define CSL_INTGEN_IPCGR3_SRCS0_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR3_SRCS0_NOTSET   (0x00000000u)


#define CSL_INTGEN_IPCGR3_IPCG_MASK      (0x00000001u)
#define CSL_INTGEN_IPCGR3_IPCG_SHIFT     (0x00000000u)
#define CSL_INTGEN_IPCGR3_IPCG_RESETVAL  (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_INTGEN_IPCGR3_IPCG_INTGEN    (0x00000001u)

#define CSL_INTGEN_IPCGR3_RESETVAL       (0x00000000u)

/* IPCGR4 */

#define CSL_INTGEN_IPCGR4_SRCS27_MASK    (0x80000000u)
#define CSL_INTGEN_IPCGR4_SRCS27_SHIFT   (0x0000001Fu)
#define CSL_INTGEN_IPCGR4_SRCS27_RESETVAL (0x00000000u)
/*----SRCS27 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS27_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS27_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS26_MASK    (0x40000000u)
#define CSL_INTGEN_IPCGR4_SRCS26_SHIFT   (0x0000001Eu)
#define CSL_INTGEN_IPCGR4_SRCS26_RESETVAL (0x00000000u)
/*----SRCS26 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS26_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS26_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS25_MASK    (0x20000000u)
#define CSL_INTGEN_IPCGR4_SRCS25_SHIFT   (0x0000001Du)
#define CSL_INTGEN_IPCGR4_SRCS25_RESETVAL (0x00000000u)
/*----SRCS25 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS25_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS25_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS24_MASK    (0x10000000u)
#define CSL_INTGEN_IPCGR4_SRCS24_SHIFT   (0x0000001Cu)
#define CSL_INTGEN_IPCGR4_SRCS24_RESETVAL (0x00000000u)
/*----SRCS24 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS24_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS24_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS23_MASK    (0x08000000u)
#define CSL_INTGEN_IPCGR4_SRCS23_SHIFT   (0x0000001Bu)
#define CSL_INTGEN_IPCGR4_SRCS23_RESETVAL (0x00000000u)
/*----SRCS23 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS23_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS23_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS22_MASK    (0x04000000u)
#define CSL_INTGEN_IPCGR4_SRCS22_SHIFT   (0x0000001Au)
#define CSL_INTGEN_IPCGR4_SRCS22_RESETVAL (0x00000000u)
/*----SRCS22 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS22_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS22_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS21_MASK    (0x02000000u)
#define CSL_INTGEN_IPCGR4_SRCS21_SHIFT   (0x00000019u)
#define CSL_INTGEN_IPCGR4_SRCS21_RESETVAL (0x00000000u)
/*----SRCS21 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS21_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS21_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS20_MASK    (0x01000000u)
#define CSL_INTGEN_IPCGR4_SRCS20_SHIFT   (0x00000018u)
#define CSL_INTGEN_IPCGR4_SRCS20_RESETVAL (0x00000000u)
/*----SRCS20 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS20_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS20_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS19_MASK    (0x00800000u)
#define CSL_INTGEN_IPCGR4_SRCS19_SHIFT   (0x00000017u)
#define CSL_INTGEN_IPCGR4_SRCS19_RESETVAL (0x00000000u)
/*----SRCS19 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS19_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS19_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS18_MASK    (0x00400000u)
#define CSL_INTGEN_IPCGR4_SRCS18_SHIFT   (0x00000016u)
#define CSL_INTGEN_IPCGR4_SRCS18_RESETVAL (0x00000000u)
/*----SRCS18 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS18_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS18_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS17_MASK    (0x00200000u)
#define CSL_INTGEN_IPCGR4_SRCS17_SHIFT   (0x00000015u)
#define CSL_INTGEN_IPCGR4_SRCS17_RESETVAL (0x00000000u)
/*----SRCS17 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS17_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS17_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS16_MASK    (0x00100000u)
#define CSL_INTGEN_IPCGR4_SRCS16_SHIFT   (0x00000014u)
#define CSL_INTGEN_IPCGR4_SRCS16_RESETVAL (0x00000000u)
/*----SRCS16 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS16_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS16_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS15_MASK    (0x00080000u)
#define CSL_INTGEN_IPCGR4_SRCS15_SHIFT   (0x00000013u)
#define CSL_INTGEN_IPCGR4_SRCS15_RESETVAL (0x00000000u)
/*----SRCS15 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS15_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS15_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS14_MASK    (0x00040000u)
#define CSL_INTGEN_IPCGR4_SRCS14_SHIFT   (0x00000012u)
#define CSL_INTGEN_IPCGR4_SRCS14_RESETVAL (0x00000000u)
/*----SRCS14 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS14_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS14_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS13_MASK    (0x00020000u)
#define CSL_INTGEN_IPCGR4_SRCS13_SHIFT   (0x00000011u)
#define CSL_INTGEN_IPCGR4_SRCS13_RESETVAL (0x00000000u)
/*----SRCS13 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS13_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS13_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS12_MASK    (0x00010000u)
#define CSL_INTGEN_IPCGR4_SRCS12_SHIFT   (0x00000010u)
#define CSL_INTGEN_IPCGR4_SRCS12_RESETVAL (0x00000000u)
/*----SRCS12 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS12_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS12_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS11_MASK    (0x00008000u)
#define CSL_INTGEN_IPCGR4_SRCS11_SHIFT   (0x0000000Fu)
#define CSL_INTGEN_IPCGR4_SRCS11_RESETVAL (0x00000000u)
/*----SRCS11 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS11_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS11_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS10_MASK    (0x00004000u)
#define CSL_INTGEN_IPCGR4_SRCS10_SHIFT   (0x0000000Eu)
#define CSL_INTGEN_IPCGR4_SRCS10_RESETVAL (0x00000000u)
/*----SRCS10 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS10_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS10_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS9_MASK     (0x00002000u)
#define CSL_INTGEN_IPCGR4_SRCS9_SHIFT    (0x0000000Du)
#define CSL_INTGEN_IPCGR4_SRCS9_RESETVAL (0x00000000u)
/*----SRCS9 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS9_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS9_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS8_MASK     (0x00001000u)
#define CSL_INTGEN_IPCGR4_SRCS8_SHIFT    (0x0000000Cu)
#define CSL_INTGEN_IPCGR4_SRCS8_RESETVAL (0x00000000u)
/*----SRCS8 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS8_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS8_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS7_MASK     (0x00000800u)
#define CSL_INTGEN_IPCGR4_SRCS7_SHIFT    (0x0000000Bu)
#define CSL_INTGEN_IPCGR4_SRCS7_RESETVAL (0x00000000u)
/*----SRCS7 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS7_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS7_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS6_MASK     (0x00000400u)
#define CSL_INTGEN_IPCGR4_SRCS6_SHIFT    (0x0000000Au)
#define CSL_INTGEN_IPCGR4_SRCS6_RESETVAL (0x00000000u)
/*----SRCS6 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS6_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS6_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS5_MASK     (0x00000200u)
#define CSL_INTGEN_IPCGR4_SRCS5_SHIFT    (0x00000009u)
#define CSL_INTGEN_IPCGR4_SRCS5_RESETVAL (0x00000000u)
/*----SRCS5 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS5_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS5_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS4_MASK     (0x00000100u)
#define CSL_INTGEN_IPCGR4_SRCS4_SHIFT    (0x00000008u)
#define CSL_INTGEN_IPCGR4_SRCS4_RESETVAL (0x00000000u)
/*----SRCS4 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS4_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS4_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS3_MASK     (0x00000080u)
#define CSL_INTGEN_IPCGR4_SRCS3_SHIFT    (0x00000007u)
#define CSL_INTGEN_IPCGR4_SRCS3_RESETVAL (0x00000000u)
/*----SRCS3 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS3_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS3_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS2_MASK     (0x00000040u)
#define CSL_INTGEN_IPCGR4_SRCS2_SHIFT    (0x00000006u)
#define CSL_INTGEN_IPCGR4_SRCS2_RESETVAL (0x00000000u)
/*----SRCS2 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS2_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS2_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS1_MASK     (0x00000020u)
#define CSL_INTGEN_IPCGR4_SRCS1_SHIFT    (0x00000005u)
#define CSL_INTGEN_IPCGR4_SRCS1_RESETVAL (0x00000000u)
/*----SRCS1 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS1_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS1_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR4_SRCS0_MASK     (0x00000010u)
#define CSL_INTGEN_IPCGR4_SRCS0_SHIFT    (0x00000004u)
#define CSL_INTGEN_IPCGR4_SRCS0_RESETVAL (0x00000000u)
/*----SRCS0 Tokens----*/
#define CSL_INTGEN_IPCGR4_SRCS0_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR4_SRCS0_NOTSET   (0x00000000u)


#define CSL_INTGEN_IPCGR4_IPCG_MASK      (0x00000001u)
#define CSL_INTGEN_IPCGR4_IPCG_SHIFT     (0x00000000u)
#define CSL_INTGEN_IPCGR4_IPCG_RESETVAL  (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_INTGEN_IPCGR4_IPCG_INTGEN    (0x00000001u)

#define CSL_INTGEN_IPCGR4_RESETVAL       (0x00000000u)

/* IPCGR5 */

#define CSL_INTGEN_IPCGR5_SRCS27_MASK    (0x80000000u)
#define CSL_INTGEN_IPCGR5_SRCS27_SHIFT   (0x0000001Fu)
#define CSL_INTGEN_IPCGR5_SRCS27_RESETVAL (0x00000000u)
/*----SRCS27 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS27_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS27_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS26_MASK    (0x40000000u)
#define CSL_INTGEN_IPCGR5_SRCS26_SHIFT   (0x0000001Eu)
#define CSL_INTGEN_IPCGR5_SRCS26_RESETVAL (0x00000000u)
/*----SRCS26 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS26_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS26_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS25_MASK    (0x20000000u)
#define CSL_INTGEN_IPCGR5_SRCS25_SHIFT   (0x0000001Du)
#define CSL_INTGEN_IPCGR5_SRCS25_RESETVAL (0x00000000u)
/*----SRCS25 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS25_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS25_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS24_MASK    (0x10000000u)
#define CSL_INTGEN_IPCGR5_SRCS24_SHIFT   (0x0000001Cu)
#define CSL_INTGEN_IPCGR5_SRCS24_RESETVAL (0x00000000u)
/*----SRCS24 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS24_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS24_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS23_MASK    (0x08000000u)
#define CSL_INTGEN_IPCGR5_SRCS23_SHIFT   (0x0000001Bu)
#define CSL_INTGEN_IPCGR5_SRCS23_RESETVAL (0x00000000u)
/*----SRCS23 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS23_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS23_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS22_MASK    (0x04000000u)
#define CSL_INTGEN_IPCGR5_SRCS22_SHIFT   (0x0000001Au)
#define CSL_INTGEN_IPCGR5_SRCS22_RESETVAL (0x00000000u)
/*----SRCS22 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS22_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS22_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS21_MASK    (0x02000000u)
#define CSL_INTGEN_IPCGR5_SRCS21_SHIFT   (0x00000019u)
#define CSL_INTGEN_IPCGR5_SRCS21_RESETVAL (0x00000000u)
/*----SRCS21 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS21_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS21_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS20_MASK    (0x01000000u)
#define CSL_INTGEN_IPCGR5_SRCS20_SHIFT   (0x00000018u)
#define CSL_INTGEN_IPCGR5_SRCS20_RESETVAL (0x00000000u)
/*----SRCS20 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS20_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS20_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS19_MASK    (0x00800000u)
#define CSL_INTGEN_IPCGR5_SRCS19_SHIFT   (0x00000017u)
#define CSL_INTGEN_IPCGR5_SRCS19_RESETVAL (0x00000000u)
/*----SRCS19 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS19_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS19_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS18_MASK    (0x00400000u)
#define CSL_INTGEN_IPCGR5_SRCS18_SHIFT   (0x00000016u)
#define CSL_INTGEN_IPCGR5_SRCS18_RESETVAL (0x00000000u)
/*----SRCS18 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS18_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS18_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS17_MASK    (0x00200000u)
#define CSL_INTGEN_IPCGR5_SRCS17_SHIFT   (0x00000015u)
#define CSL_INTGEN_IPCGR5_SRCS17_RESETVAL (0x00000000u)
/*----SRCS17 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS17_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS17_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS16_MASK    (0x00100000u)
#define CSL_INTGEN_IPCGR5_SRCS16_SHIFT   (0x00000014u)
#define CSL_INTGEN_IPCGR5_SRCS16_RESETVAL (0x00000000u)
/*----SRCS16 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS16_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS16_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS15_MASK    (0x00080000u)
#define CSL_INTGEN_IPCGR5_SRCS15_SHIFT   (0x00000013u)
#define CSL_INTGEN_IPCGR5_SRCS15_RESETVAL (0x00000000u)
/*----SRCS15 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS15_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS15_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS14_MASK    (0x00040000u)
#define CSL_INTGEN_IPCGR5_SRCS14_SHIFT   (0x00000012u)
#define CSL_INTGEN_IPCGR5_SRCS14_RESETVAL (0x00000000u)
/*----SRCS14 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS14_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS14_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS13_MASK    (0x00020000u)
#define CSL_INTGEN_IPCGR5_SRCS13_SHIFT   (0x00000011u)
#define CSL_INTGEN_IPCGR5_SRCS13_RESETVAL (0x00000000u)
/*----SRCS13 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS13_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS13_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS12_MASK    (0x00010000u)
#define CSL_INTGEN_IPCGR5_SRCS12_SHIFT   (0x00000010u)
#define CSL_INTGEN_IPCGR5_SRCS12_RESETVAL (0x00000000u)
/*----SRCS12 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS12_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS12_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS11_MASK    (0x00008000u)
#define CSL_INTGEN_IPCGR5_SRCS11_SHIFT   (0x0000000Fu)
#define CSL_INTGEN_IPCGR5_SRCS11_RESETVAL (0x00000000u)
/*----SRCS11 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS11_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS11_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS10_MASK    (0x00004000u)
#define CSL_INTGEN_IPCGR5_SRCS10_SHIFT   (0x0000000Eu)
#define CSL_INTGEN_IPCGR5_SRCS10_RESETVAL (0x00000000u)
/*----SRCS10 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS10_SET     (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS10_NOTSET  (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS9_MASK     (0x00002000u)
#define CSL_INTGEN_IPCGR5_SRCS9_SHIFT    (0x0000000Du)
#define CSL_INTGEN_IPCGR5_SRCS9_RESETVAL (0x00000000u)
/*----SRCS9 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS9_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS9_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS8_MASK     (0x00001000u)
#define CSL_INTGEN_IPCGR5_SRCS8_SHIFT    (0x0000000Cu)
#define CSL_INTGEN_IPCGR5_SRCS8_RESETVAL (0x00000000u)
/*----SRCS8 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS8_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS8_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS7_MASK     (0x00000800u)
#define CSL_INTGEN_IPCGR5_SRCS7_SHIFT    (0x0000000Bu)
#define CSL_INTGEN_IPCGR5_SRCS7_RESETVAL (0x00000000u)
/*----SRCS7 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS7_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS7_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS6_MASK     (0x00000400u)
#define CSL_INTGEN_IPCGR5_SRCS6_SHIFT    (0x0000000Au)
#define CSL_INTGEN_IPCGR5_SRCS6_RESETVAL (0x00000000u)
/*----SRCS6 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS6_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS6_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS5_MASK     (0x00000200u)
#define CSL_INTGEN_IPCGR5_SRCS5_SHIFT    (0x00000009u)
#define CSL_INTGEN_IPCGR5_SRCS5_RESETVAL (0x00000000u)
/*----SRCS5 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS5_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS5_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS4_MASK     (0x00000100u)
#define CSL_INTGEN_IPCGR5_SRCS4_SHIFT    (0x00000008u)
#define CSL_INTGEN_IPCGR5_SRCS4_RESETVAL (0x00000000u)
/*----SRCS4 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS4_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS4_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS3_MASK     (0x00000080u)
#define CSL_INTGEN_IPCGR5_SRCS3_SHIFT    (0x00000007u)
#define CSL_INTGEN_IPCGR5_SRCS3_RESETVAL (0x00000000u)
/*----SRCS3 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS3_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS3_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS2_MASK     (0x00000040u)
#define CSL_INTGEN_IPCGR5_SRCS2_SHIFT    (0x00000006u)
#define CSL_INTGEN_IPCGR5_SRCS2_RESETVAL (0x00000000u)
/*----SRCS2 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS2_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS2_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS1_MASK     (0x00000020u)
#define CSL_INTGEN_IPCGR5_SRCS1_SHIFT    (0x00000005u)
#define CSL_INTGEN_IPCGR5_SRCS1_RESETVAL (0x00000000u)
/*----SRCS1 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS1_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS1_NOTSET   (0x00000000u)

#define CSL_INTGEN_IPCGR5_SRCS0_MASK     (0x00000010u)
#define CSL_INTGEN_IPCGR5_SRCS0_SHIFT    (0x00000004u)
#define CSL_INTGEN_IPCGR5_SRCS0_RESETVAL (0x00000000u)
/*----SRCS0 Tokens----*/
#define CSL_INTGEN_IPCGR5_SRCS0_SET      (0x00000001u)
#define CSL_INTGEN_IPCGR5_SRCS0_NOTSET   (0x00000000u)


#define CSL_INTGEN_IPCGR5_IPCG_MASK      (0x00000001u)
#define CSL_INTGEN_IPCGR5_IPCG_SHIFT     (0x00000000u)
#define CSL_INTGEN_IPCGR5_IPCG_RESETVAL  (0x00000000u)
/*----IPCG Tokens----*/
#define CSL_INTGEN_IPCGR5_IPCG_INTGEN    (0x00000001u)

#define CSL_INTGEN_IPCGR5_RESETVAL       (0x00000000u)

/* IPCGR15 */

#define CSL_INTGEN_IPCGR15_SRCS27_MASK   (0x80000000u)
#define CSL_INTGEN_IPCGR15_SRCS27_SHIFT  (0x0000001Fu)
#define CSL_INTGEN_IPCGR15_SRCS27_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS26_MASK   (0x40000000u)
#define CSL_INTGEN_IPCGR15_SRCS26_SHIFT  (0x0000001Eu)
#define CSL_INTGEN_IPCGR15_SRCS26_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS25_MASK   (0x20000000u)
#define CSL_INTGEN_IPCGR15_SRCS25_SHIFT  (0x0000001Du)
#define CSL_INTGEN_IPCGR15_SRCS25_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS24_MASK   (0x10000000u)
#define CSL_INTGEN_IPCGR15_SRCS24_SHIFT  (0x0000001Cu)
#define CSL_INTGEN_IPCGR15_SRCS24_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS23_MASK   (0x08000000u)
#define CSL_INTGEN_IPCGR15_SRCS23_SHIFT  (0x0000001Bu)
#define CSL_INTGEN_IPCGR15_SRCS23_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS22_MASK   (0x04000000u)
#define CSL_INTGEN_IPCGR15_SRCS22_SHIFT  (0x0000001Au)
#define CSL_INTGEN_IPCGR15_SRCS22_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS21_MASK   (0x02000000u)
#define CSL_INTGEN_IPCGR15_SRCS21_SHIFT  (0x00000019u)
#define CSL_INTGEN_IPCGR15_SRCS21_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS20_MASK   (0x01000000u)
#define CSL_INTGEN_IPCGR15_SRCS20_SHIFT  (0x00000018u)
#define CSL_INTGEN_IPCGR15_SRCS20_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS19_MASK   (0x00800000u)
#define CSL_INTGEN_IPCGR15_SRCS19_SHIFT  (0x00000017u)
#define CSL_INTGEN_IPCGR15_SRCS19_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS18_MASK   (0x00400000u)
#define CSL_INTGEN_IPCGR15_SRCS18_SHIFT  (0x00000016u)
#define CSL_INTGEN_IPCGR15_SRCS18_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS17_MASK   (0x00200000u)
#define CSL_INTGEN_IPCGR15_SRCS17_SHIFT  (0x00000015u)
#define CSL_INTGEN_IPCGR15_SRCS17_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS16_MASK   (0x00100000u)
#define CSL_INTGEN_IPCGR15_SRCS16_SHIFT  (0x00000014u)
#define CSL_INTGEN_IPCGR15_SRCS16_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS15_MASK   (0x00080000u)
#define CSL_INTGEN_IPCGR15_SRCS15_SHIFT  (0x00000013u)
#define CSL_INTGEN_IPCGR15_SRCS15_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS14_MASK   (0x00040000u)
#define CSL_INTGEN_IPCGR15_SRCS14_SHIFT  (0x00000012u)
#define CSL_INTGEN_IPCGR15_SRCS14_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS13_MASK   (0x00020000u)
#define CSL_INTGEN_IPCGR15_SRCS13_SHIFT  (0x00000011u)
#define CSL_INTGEN_IPCGR15_SRCS13_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS12_MASK   (0x00010000u)
#define CSL_INTGEN_IPCGR15_SRCS12_SHIFT  (0x00000010u)
#define CSL_INTGEN_IPCGR15_SRCS12_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS11_MASK   (0x00008000u)
#define CSL_INTGEN_IPCGR15_SRCS11_SHIFT  (0x0000000Fu)
#define CSL_INTGEN_IPCGR15_SRCS11_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS10_MASK   (0x00004000u)
#define CSL_INTGEN_IPCGR15_SRCS10_SHIFT  (0x0000000Eu)
#define CSL_INTGEN_IPCGR15_SRCS10_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS9_MASK    (0x00002000u)
#define CSL_INTGEN_IPCGR15_SRCS9_SHIFT   (0x0000000Du)
#define CSL_INTGEN_IPCGR15_SRCS9_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS8_MASK    (0x00001000u)
#define CSL_INTGEN_IPCGR15_SRCS8_SHIFT   (0x0000000Cu)
#define CSL_INTGEN_IPCGR15_SRCS8_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS7_MASK    (0x00000800u)
#define CSL_INTGEN_IPCGR15_SRCS7_SHIFT   (0x0000000Bu)
#define CSL_INTGEN_IPCGR15_SRCS7_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS6_MASK    (0x00000400u)
#define CSL_INTGEN_IPCGR15_SRCS6_SHIFT   (0x0000000Au)
#define CSL_INTGEN_IPCGR15_SRCS6_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS5_MASK    (0x00000200u)
#define CSL_INTGEN_IPCGR15_SRCS5_SHIFT   (0x00000009u)
#define CSL_INTGEN_IPCGR15_SRCS5_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS4_MASK    (0x00000100u)
#define CSL_INTGEN_IPCGR15_SRCS4_SHIFT   (0x00000008u)
#define CSL_INTGEN_IPCGR15_SRCS4_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS3_MASK    (0x00000080u)
#define CSL_INTGEN_IPCGR15_SRCS3_SHIFT   (0x00000007u)
#define CSL_INTGEN_IPCGR15_SRCS3_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS2_MASK    (0x00000040u)
#define CSL_INTGEN_IPCGR15_SRCS2_SHIFT   (0x00000006u)
#define CSL_INTGEN_IPCGR15_SRCS2_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS1_MASK    (0x00000020u)
#define CSL_INTGEN_IPCGR15_SRCS1_SHIFT   (0x00000005u)
#define CSL_INTGEN_IPCGR15_SRCS1_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_SRCS0_MASK    (0x00000010u)
#define CSL_INTGEN_IPCGR15_SRCS0_SHIFT   (0x00000004u)
#define CSL_INTGEN_IPCGR15_SRCS0_RESETVAL (0x00000000u)


#define CSL_INTGEN_IPCGR15_IPCG_MASK     (0x00000001u)
#define CSL_INTGEN_IPCGR15_IPCG_SHIFT    (0x00000000u)
#define CSL_INTGEN_IPCGR15_IPCG_RESETVAL (0x00000000u)

#define CSL_INTGEN_IPCGR15_RESETVAL      (0x00000000u)

/* IPCAR0 */

#define CSL_INTGEN_IPCAR0_SRCC27_MASK    (0x80000000u)
#define CSL_INTGEN_IPCAR0_SRCC27_SHIFT   (0x0000001Fu)
#define CSL_INTGEN_IPCAR0_SRCC27_RESETVAL (0x00000000u)
/*----SRCC27 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC27_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC27_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC26_MASK    (0x40000000u)
#define CSL_INTGEN_IPCAR0_SRCC26_SHIFT   (0x0000001Eu)
#define CSL_INTGEN_IPCAR0_SRCC26_RESETVAL (0x00000000u)
/*----SRCC26 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC26_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC26_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC25_MASK    (0x20000000u)
#define CSL_INTGEN_IPCAR0_SRCC25_SHIFT   (0x0000001Du)
#define CSL_INTGEN_IPCAR0_SRCC25_RESETVAL (0x00000000u)
/*----SRCC25 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC25_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC25_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC24_MASK    (0x10000000u)
#define CSL_INTGEN_IPCAR0_SRCC24_SHIFT   (0x0000001Cu)
#define CSL_INTGEN_IPCAR0_SRCC24_RESETVAL (0x00000000u)
/*----SRCC24 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC24_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC24_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC23_MASK    (0x08000000u)
#define CSL_INTGEN_IPCAR0_SRCC23_SHIFT   (0x0000001Bu)
#define CSL_INTGEN_IPCAR0_SRCC23_RESETVAL (0x00000000u)
/*----SRCC23 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC23_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC23_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC22_MASK    (0x04000000u)
#define CSL_INTGEN_IPCAR0_SRCC22_SHIFT   (0x0000001Au)
#define CSL_INTGEN_IPCAR0_SRCC22_RESETVAL (0x00000000u)
/*----SRCC22 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC22_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC22_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC21_MASK    (0x02000000u)
#define CSL_INTGEN_IPCAR0_SRCC21_SHIFT   (0x00000019u)
#define CSL_INTGEN_IPCAR0_SRCC21_RESETVAL (0x00000000u)
/*----SRCC21 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC21_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC21_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC20_MASK    (0x01000000u)
#define CSL_INTGEN_IPCAR0_SRCC20_SHIFT   (0x00000018u)
#define CSL_INTGEN_IPCAR0_SRCC20_RESETVAL (0x00000000u)
/*----SRCC20 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC20_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC20_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC19_MASK    (0x00800000u)
#define CSL_INTGEN_IPCAR0_SRCC19_SHIFT   (0x00000017u)
#define CSL_INTGEN_IPCAR0_SRCC19_RESETVAL (0x00000000u)
/*----SRCC19 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC19_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC19_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC18_MASK    (0x00400000u)
#define CSL_INTGEN_IPCAR0_SRCC18_SHIFT   (0x00000016u)
#define CSL_INTGEN_IPCAR0_SRCC18_RESETVAL (0x00000000u)
/*----SRCC18 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC18_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC18_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC17_MASK    (0x00200000u)
#define CSL_INTGEN_IPCAR0_SRCC17_SHIFT   (0x00000015u)
#define CSL_INTGEN_IPCAR0_SRCC17_RESETVAL (0x00000000u)
/*----SRCC17 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC17_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC17_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC16_MASK    (0x00100000u)
#define CSL_INTGEN_IPCAR0_SRCC16_SHIFT   (0x00000014u)
#define CSL_INTGEN_IPCAR0_SRCC16_RESETVAL (0x00000000u)
/*----SRCC16 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC16_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC16_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC15_MASK    (0x00080000u)
#define CSL_INTGEN_IPCAR0_SRCC15_SHIFT   (0x00000013u)
#define CSL_INTGEN_IPCAR0_SRCC15_RESETVAL (0x00000000u)
/*----SRCC15 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC15_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC15_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC14_MASK    (0x00040000u)
#define CSL_INTGEN_IPCAR0_SRCC14_SHIFT   (0x00000012u)
#define CSL_INTGEN_IPCAR0_SRCC14_RESETVAL (0x00000000u)
/*----SRCC14 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC14_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC14_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC13_MASK    (0x00020000u)
#define CSL_INTGEN_IPCAR0_SRCC13_SHIFT   (0x00000011u)
#define CSL_INTGEN_IPCAR0_SRCC13_RESETVAL (0x00000000u)
/*----SRCC13 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC13_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC13_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC12_MASK    (0x00010000u)
#define CSL_INTGEN_IPCAR0_SRCC12_SHIFT   (0x00000010u)
#define CSL_INTGEN_IPCAR0_SRCC12_RESETVAL (0x00000000u)
/*----SRCC12 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC12_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC12_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC11_MASK    (0x00008000u)
#define CSL_INTGEN_IPCAR0_SRCC11_SHIFT   (0x0000000Fu)
#define CSL_INTGEN_IPCAR0_SRCC11_RESETVAL (0x00000000u)
/*----SRCC11 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC11_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC11_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC10_MASK    (0x00004000u)
#define CSL_INTGEN_IPCAR0_SRCC10_SHIFT   (0x0000000Eu)
#define CSL_INTGEN_IPCAR0_SRCC10_RESETVAL (0x00000000u)
/*----SRCC10 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC10_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC10_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC9_MASK     (0x00002000u)
#define CSL_INTGEN_IPCAR0_SRCC9_SHIFT    (0x0000000Du)
#define CSL_INTGEN_IPCAR0_SRCC9_RESETVAL (0x00000000u)
/*----SRCC9 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC9_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC9_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC8_MASK     (0x00001000u)
#define CSL_INTGEN_IPCAR0_SRCC8_SHIFT    (0x0000000Cu)
#define CSL_INTGEN_IPCAR0_SRCC8_RESETVAL (0x00000000u)
/*----SRCC8 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC8_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC8_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC7_MASK     (0x00000800u)
#define CSL_INTGEN_IPCAR0_SRCC7_SHIFT    (0x0000000Bu)
#define CSL_INTGEN_IPCAR0_SRCC7_RESETVAL (0x00000000u)
/*----SRCC7 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC7_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC7_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC6_MASK     (0x00000400u)
#define CSL_INTGEN_IPCAR0_SRCC6_SHIFT    (0x0000000Au)
#define CSL_INTGEN_IPCAR0_SRCC6_RESETVAL (0x00000000u)
/*----SRCC6 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC6_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC6_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC5_MASK     (0x00000200u)
#define CSL_INTGEN_IPCAR0_SRCC5_SHIFT    (0x00000009u)
#define CSL_INTGEN_IPCAR0_SRCC5_RESETVAL (0x00000000u)
/*----SRCC5 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC5_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC5_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC4_MASK     (0x00000100u)
#define CSL_INTGEN_IPCAR0_SRCC4_SHIFT    (0x00000008u)
#define CSL_INTGEN_IPCAR0_SRCC4_RESETVAL (0x00000000u)
/*----SRCC4 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC4_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC4_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC3_MASK     (0x00000080u)
#define CSL_INTGEN_IPCAR0_SRCC3_SHIFT    (0x00000007u)
#define CSL_INTGEN_IPCAR0_SRCC3_RESETVAL (0x00000000u)
/*----SRCC3 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC3_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC3_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC2_MASK     (0x00000040u)
#define CSL_INTGEN_IPCAR0_SRCC2_SHIFT    (0x00000006u)
#define CSL_INTGEN_IPCAR0_SRCC2_RESETVAL (0x00000000u)
/*----SRCC2 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC2_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC2_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC1_MASK     (0x00000020u)
#define CSL_INTGEN_IPCAR0_SRCC1_SHIFT    (0x00000005u)
#define CSL_INTGEN_IPCAR0_SRCC1_RESETVAL (0x00000000u)
/*----SRCC1 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC1_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC1_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR0_SRCC0_MASK     (0x00000010u)
#define CSL_INTGEN_IPCAR0_SRCC0_SHIFT    (0x00000004u)
#define CSL_INTGEN_IPCAR0_SRCC0_RESETVAL (0x00000000u)
/*----SRCC0 Tokens----*/
#define CSL_INTGEN_IPCAR0_SRCC0_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR0_SRCC0_CLEARED  (0x00000000u)


#define CSL_INTGEN_IPCAR0_RESETVAL       (0x00000000u)

/* IPCAR1 */

#define CSL_INTGEN_IPCAR1_SRCC27_MASK    (0x80000000u)
#define CSL_INTGEN_IPCAR1_SRCC27_SHIFT   (0x0000001Fu)
#define CSL_INTGEN_IPCAR1_SRCC27_RESETVAL (0x00000000u)
/*----SRCC27 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC27_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC27_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC26_MASK    (0x40000000u)
#define CSL_INTGEN_IPCAR1_SRCC26_SHIFT   (0x0000001Eu)
#define CSL_INTGEN_IPCAR1_SRCC26_RESETVAL (0x00000000u)
/*----SRCC26 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC26_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC26_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC25_MASK    (0x20000000u)
#define CSL_INTGEN_IPCAR1_SRCC25_SHIFT   (0x0000001Du)
#define CSL_INTGEN_IPCAR1_SRCC25_RESETVAL (0x00000000u)
/*----SRCC25 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC25_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC25_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC24_MASK    (0x10000000u)
#define CSL_INTGEN_IPCAR1_SRCC24_SHIFT   (0x0000001Cu)
#define CSL_INTGEN_IPCAR1_SRCC24_RESETVAL (0x00000000u)
/*----SRCC24 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC24_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC24_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC23_MASK    (0x08000000u)
#define CSL_INTGEN_IPCAR1_SRCC23_SHIFT   (0x0000001Bu)
#define CSL_INTGEN_IPCAR1_SRCC23_RESETVAL (0x00000000u)
/*----SRCC23 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC23_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC23_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC22_MASK    (0x04000000u)
#define CSL_INTGEN_IPCAR1_SRCC22_SHIFT   (0x0000001Au)
#define CSL_INTGEN_IPCAR1_SRCC22_RESETVAL (0x00000000u)
/*----SRCC22 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC22_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC22_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC21_MASK    (0x02000000u)
#define CSL_INTGEN_IPCAR1_SRCC21_SHIFT   (0x00000019u)
#define CSL_INTGEN_IPCAR1_SRCC21_RESETVAL (0x00000000u)
/*----SRCC21 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC21_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC21_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC20_MASK    (0x01000000u)
#define CSL_INTGEN_IPCAR1_SRCC20_SHIFT   (0x00000018u)
#define CSL_INTGEN_IPCAR1_SRCC20_RESETVAL (0x00000000u)
/*----SRCC20 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC20_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC20_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC19_MASK    (0x00800000u)
#define CSL_INTGEN_IPCAR1_SRCC19_SHIFT   (0x00000017u)
#define CSL_INTGEN_IPCAR1_SRCC19_RESETVAL (0x00000000u)
/*----SRCC19 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC19_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC19_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC18_MASK    (0x00400000u)
#define CSL_INTGEN_IPCAR1_SRCC18_SHIFT   (0x00000016u)
#define CSL_INTGEN_IPCAR1_SRCC18_RESETVAL (0x00000000u)
/*----SRCC18 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC18_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC18_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC17_MASK    (0x00200000u)
#define CSL_INTGEN_IPCAR1_SRCC17_SHIFT   (0x00000015u)
#define CSL_INTGEN_IPCAR1_SRCC17_RESETVAL (0x00000000u)
/*----SRCC17 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC17_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC17_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC16_MASK    (0x00100000u)
#define CSL_INTGEN_IPCAR1_SRCC16_SHIFT   (0x00000014u)
#define CSL_INTGEN_IPCAR1_SRCC16_RESETVAL (0x00000000u)
/*----SRCC16 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC16_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC16_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC15_MASK    (0x00080000u)
#define CSL_INTGEN_IPCAR1_SRCC15_SHIFT   (0x00000013u)
#define CSL_INTGEN_IPCAR1_SRCC15_RESETVAL (0x00000000u)
/*----SRCC15 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC15_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC15_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC14_MASK    (0x00040000u)
#define CSL_INTGEN_IPCAR1_SRCC14_SHIFT   (0x00000012u)
#define CSL_INTGEN_IPCAR1_SRCC14_RESETVAL (0x00000000u)
/*----SRCC14 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC14_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC14_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC13_MASK    (0x00020000u)
#define CSL_INTGEN_IPCAR1_SRCC13_SHIFT   (0x00000011u)
#define CSL_INTGEN_IPCAR1_SRCC13_RESETVAL (0x00000000u)
/*----SRCC13 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC13_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC13_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC12_MASK    (0x00010000u)
#define CSL_INTGEN_IPCAR1_SRCC12_SHIFT   (0x00000010u)
#define CSL_INTGEN_IPCAR1_SRCC12_RESETVAL (0x00000000u)
/*----SRCC12 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC12_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC12_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC11_MASK    (0x00008000u)
#define CSL_INTGEN_IPCAR1_SRCC11_SHIFT   (0x0000000Fu)
#define CSL_INTGEN_IPCAR1_SRCC11_RESETVAL (0x00000000u)
/*----SRCC11 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC11_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC11_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC10_MASK    (0x00004000u)
#define CSL_INTGEN_IPCAR1_SRCC10_SHIFT   (0x0000000Eu)
#define CSL_INTGEN_IPCAR1_SRCC10_RESETVAL (0x00000000u)
/*----SRCC10 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC10_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC10_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC9_MASK     (0x00002000u)
#define CSL_INTGEN_IPCAR1_SRCC9_SHIFT    (0x0000000Du)
#define CSL_INTGEN_IPCAR1_SRCC9_RESETVAL (0x00000000u)
/*----SRCC9 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC9_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC9_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC8_MASK     (0x00001000u)
#define CSL_INTGEN_IPCAR1_SRCC8_SHIFT    (0x0000000Cu)
#define CSL_INTGEN_IPCAR1_SRCC8_RESETVAL (0x00000000u)
/*----SRCC8 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC8_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC8_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC7_MASK     (0x00000800u)
#define CSL_INTGEN_IPCAR1_SRCC7_SHIFT    (0x0000000Bu)
#define CSL_INTGEN_IPCAR1_SRCC7_RESETVAL (0x00000000u)
/*----SRCC7 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC7_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC7_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC6_MASK     (0x00000400u)
#define CSL_INTGEN_IPCAR1_SRCC6_SHIFT    (0x0000000Au)
#define CSL_INTGEN_IPCAR1_SRCC6_RESETVAL (0x00000000u)
/*----SRCC6 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC6_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC6_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC5_MASK     (0x00000200u)
#define CSL_INTGEN_IPCAR1_SRCC5_SHIFT    (0x00000009u)
#define CSL_INTGEN_IPCAR1_SRCC5_RESETVAL (0x00000000u)
/*----SRCC5 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC5_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC5_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC4_MASK     (0x00000100u)
#define CSL_INTGEN_IPCAR1_SRCC4_SHIFT    (0x00000008u)
#define CSL_INTGEN_IPCAR1_SRCC4_RESETVAL (0x00000000u)
/*----SRCC4 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC4_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC4_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC3_MASK     (0x00000080u)
#define CSL_INTGEN_IPCAR1_SRCC3_SHIFT    (0x00000007u)
#define CSL_INTGEN_IPCAR1_SRCC3_RESETVAL (0x00000000u)
/*----SRCC3 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC3_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC3_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC2_MASK     (0x00000040u)
#define CSL_INTGEN_IPCAR1_SRCC2_SHIFT    (0x00000006u)
#define CSL_INTGEN_IPCAR1_SRCC2_RESETVAL (0x00000000u)
/*----SRCC2 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC2_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC2_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC1_MASK     (0x00000020u)
#define CSL_INTGEN_IPCAR1_SRCC1_SHIFT    (0x00000005u)
#define CSL_INTGEN_IPCAR1_SRCC1_RESETVAL (0x00000000u)
/*----SRCC1 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC1_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC1_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR1_SRCC0_MASK     (0x00000010u)
#define CSL_INTGEN_IPCAR1_SRCC0_SHIFT    (0x00000004u)
#define CSL_INTGEN_IPCAR1_SRCC0_RESETVAL (0x00000000u)
/*----SRCC0 Tokens----*/
#define CSL_INTGEN_IPCAR1_SRCC0_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR1_SRCC0_CLEARED  (0x00000000u)


#define CSL_INTGEN_IPCAR1_RESETVAL       (0x00000000u)

/* IPCAR2 */

#define CSL_INTGEN_IPCAR2_SRCC27_MASK    (0x80000000u)
#define CSL_INTGEN_IPCAR2_SRCC27_SHIFT   (0x0000001Fu)
#define CSL_INTGEN_IPCAR2_SRCC27_RESETVAL (0x00000000u)
/*----SRCC27 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC27_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC27_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC26_MASK    (0x40000000u)
#define CSL_INTGEN_IPCAR2_SRCC26_SHIFT   (0x0000001Eu)
#define CSL_INTGEN_IPCAR2_SRCC26_RESETVAL (0x00000000u)
/*----SRCC26 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC26_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC26_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC25_MASK    (0x20000000u)
#define CSL_INTGEN_IPCAR2_SRCC25_SHIFT   (0x0000001Du)
#define CSL_INTGEN_IPCAR2_SRCC25_RESETVAL (0x00000000u)
/*----SRCC25 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC25_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC25_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC24_MASK    (0x10000000u)
#define CSL_INTGEN_IPCAR2_SRCC24_SHIFT   (0x0000001Cu)
#define CSL_INTGEN_IPCAR2_SRCC24_RESETVAL (0x00000000u)
/*----SRCC24 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC24_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC24_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC23_MASK    (0x08000000u)
#define CSL_INTGEN_IPCAR2_SRCC23_SHIFT   (0x0000001Bu)
#define CSL_INTGEN_IPCAR2_SRCC23_RESETVAL (0x00000000u)
/*----SRCC23 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC23_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC23_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC22_MASK    (0x04000000u)
#define CSL_INTGEN_IPCAR2_SRCC22_SHIFT   (0x0000001Au)
#define CSL_INTGEN_IPCAR2_SRCC22_RESETVAL (0x00000000u)
/*----SRCC22 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC22_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC22_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC21_MASK    (0x02000000u)
#define CSL_INTGEN_IPCAR2_SRCC21_SHIFT   (0x00000019u)
#define CSL_INTGEN_IPCAR2_SRCC21_RESETVAL (0x00000000u)
/*----SRCC21 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC21_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC21_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC20_MASK    (0x01000000u)
#define CSL_INTGEN_IPCAR2_SRCC20_SHIFT   (0x00000018u)
#define CSL_INTGEN_IPCAR2_SRCC20_RESETVAL (0x00000000u)
/*----SRCC20 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC20_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC20_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC19_MASK    (0x00800000u)
#define CSL_INTGEN_IPCAR2_SRCC19_SHIFT   (0x00000017u)
#define CSL_INTGEN_IPCAR2_SRCC19_RESETVAL (0x00000000u)
/*----SRCC19 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC19_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC19_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC18_MASK    (0x00400000u)
#define CSL_INTGEN_IPCAR2_SRCC18_SHIFT   (0x00000016u)
#define CSL_INTGEN_IPCAR2_SRCC18_RESETVAL (0x00000000u)
/*----SRCC18 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC18_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC18_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC17_MASK    (0x00200000u)
#define CSL_INTGEN_IPCAR2_SRCC17_SHIFT   (0x00000015u)
#define CSL_INTGEN_IPCAR2_SRCC17_RESETVAL (0x00000000u)
/*----SRCC17 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC17_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC17_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC16_MASK    (0x00100000u)
#define CSL_INTGEN_IPCAR2_SRCC16_SHIFT   (0x00000014u)
#define CSL_INTGEN_IPCAR2_SRCC16_RESETVAL (0x00000000u)
/*----SRCC16 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC16_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC16_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC15_MASK    (0x00080000u)
#define CSL_INTGEN_IPCAR2_SRCC15_SHIFT   (0x00000013u)
#define CSL_INTGEN_IPCAR2_SRCC15_RESETVAL (0x00000000u)
/*----SRCC15 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC15_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC15_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC14_MASK    (0x00040000u)
#define CSL_INTGEN_IPCAR2_SRCC14_SHIFT   (0x00000012u)
#define CSL_INTGEN_IPCAR2_SRCC14_RESETVAL (0x00000000u)
/*----SRCC14 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC14_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC14_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC13_MASK    (0x00020000u)
#define CSL_INTGEN_IPCAR2_SRCC13_SHIFT   (0x00000011u)
#define CSL_INTGEN_IPCAR2_SRCC13_RESETVAL (0x00000000u)
/*----SRCC13 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC13_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC13_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC12_MASK    (0x00010000u)
#define CSL_INTGEN_IPCAR2_SRCC12_SHIFT   (0x00000010u)
#define CSL_INTGEN_IPCAR2_SRCC12_RESETVAL (0x00000000u)
/*----SRCC12 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC12_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC12_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC11_MASK    (0x00008000u)
#define CSL_INTGEN_IPCAR2_SRCC11_SHIFT   (0x0000000Fu)
#define CSL_INTGEN_IPCAR2_SRCC11_RESETVAL (0x00000000u)
/*----SRCC11 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC11_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC11_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC10_MASK    (0x00004000u)
#define CSL_INTGEN_IPCAR2_SRCC10_SHIFT   (0x0000000Eu)
#define CSL_INTGEN_IPCAR2_SRCC10_RESETVAL (0x00000000u)
/*----SRCC10 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC10_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC10_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC9_MASK     (0x00002000u)
#define CSL_INTGEN_IPCAR2_SRCC9_SHIFT    (0x0000000Du)
#define CSL_INTGEN_IPCAR2_SRCC9_RESETVAL (0x00000000u)
/*----SRCC9 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC9_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC9_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC8_MASK     (0x00001000u)
#define CSL_INTGEN_IPCAR2_SRCC8_SHIFT    (0x0000000Cu)
#define CSL_INTGEN_IPCAR2_SRCC8_RESETVAL (0x00000000u)
/*----SRCC8 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC8_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC8_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC7_MASK     (0x00000800u)
#define CSL_INTGEN_IPCAR2_SRCC7_SHIFT    (0x0000000Bu)
#define CSL_INTGEN_IPCAR2_SRCC7_RESETVAL (0x00000000u)
/*----SRCC7 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC7_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC7_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC6_MASK     (0x00000400u)
#define CSL_INTGEN_IPCAR2_SRCC6_SHIFT    (0x0000000Au)
#define CSL_INTGEN_IPCAR2_SRCC6_RESETVAL (0x00000000u)
/*----SRCC6 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC6_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC6_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC5_MASK     (0x00000200u)
#define CSL_INTGEN_IPCAR2_SRCC5_SHIFT    (0x00000009u)
#define CSL_INTGEN_IPCAR2_SRCC5_RESETVAL (0x00000000u)
/*----SRCC5 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC5_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC5_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC4_MASK     (0x00000100u)
#define CSL_INTGEN_IPCAR2_SRCC4_SHIFT    (0x00000008u)
#define CSL_INTGEN_IPCAR2_SRCC4_RESETVAL (0x00000000u)
/*----SRCC4 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC4_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC4_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC3_MASK     (0x00000080u)
#define CSL_INTGEN_IPCAR2_SRCC3_SHIFT    (0x00000007u)
#define CSL_INTGEN_IPCAR2_SRCC3_RESETVAL (0x00000000u)
/*----SRCC3 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC3_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC3_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC2_MASK     (0x00000040u)
#define CSL_INTGEN_IPCAR2_SRCC2_SHIFT    (0x00000006u)
#define CSL_INTGEN_IPCAR2_SRCC2_RESETVAL (0x00000000u)
/*----SRCC2 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC2_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC2_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC1_MASK     (0x00000020u)
#define CSL_INTGEN_IPCAR2_SRCC1_SHIFT    (0x00000005u)
#define CSL_INTGEN_IPCAR2_SRCC1_RESETVAL (0x00000000u)
/*----SRCC1 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC1_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC1_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR2_SRCC0_MASK     (0x00000010u)
#define CSL_INTGEN_IPCAR2_SRCC0_SHIFT    (0x00000004u)
#define CSL_INTGEN_IPCAR2_SRCC0_RESETVAL (0x00000000u)
/*----SRCC0 Tokens----*/
#define CSL_INTGEN_IPCAR2_SRCC0_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR2_SRCC0_CLEARED  (0x00000000u)


#define CSL_INTGEN_IPCAR2_RESETVAL       (0x00000000u)

/* IPCAR3 */

#define CSL_INTGEN_IPCAR3_SRCC27_MASK    (0x80000000u)
#define CSL_INTGEN_IPCAR3_SRCC27_SHIFT   (0x0000001Fu)
#define CSL_INTGEN_IPCAR3_SRCC27_RESETVAL (0x00000000u)
/*----SRCC27 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC27_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC27_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC26_MASK    (0x40000000u)
#define CSL_INTGEN_IPCAR3_SRCC26_SHIFT   (0x0000001Eu)
#define CSL_INTGEN_IPCAR3_SRCC26_RESETVAL (0x00000000u)
/*----SRCC26 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC26_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC26_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC25_MASK    (0x20000000u)
#define CSL_INTGEN_IPCAR3_SRCC25_SHIFT   (0x0000001Du)
#define CSL_INTGEN_IPCAR3_SRCC25_RESETVAL (0x00000000u)
/*----SRCC25 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC25_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC25_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC24_MASK    (0x10000000u)
#define CSL_INTGEN_IPCAR3_SRCC24_SHIFT   (0x0000001Cu)
#define CSL_INTGEN_IPCAR3_SRCC24_RESETVAL (0x00000000u)
/*----SRCC24 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC24_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC24_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC23_MASK    (0x08000000u)
#define CSL_INTGEN_IPCAR3_SRCC23_SHIFT   (0x0000001Bu)
#define CSL_INTGEN_IPCAR3_SRCC23_RESETVAL (0x00000000u)
/*----SRCC23 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC23_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC23_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC22_MASK    (0x04000000u)
#define CSL_INTGEN_IPCAR3_SRCC22_SHIFT   (0x0000001Au)
#define CSL_INTGEN_IPCAR3_SRCC22_RESETVAL (0x00000000u)
/*----SRCC22 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC22_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC22_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC21_MASK    (0x02000000u)
#define CSL_INTGEN_IPCAR3_SRCC21_SHIFT   (0x00000019u)
#define CSL_INTGEN_IPCAR3_SRCC21_RESETVAL (0x00000000u)
/*----SRCC21 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC21_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC21_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC20_MASK    (0x01000000u)
#define CSL_INTGEN_IPCAR3_SRCC20_SHIFT   (0x00000018u)
#define CSL_INTGEN_IPCAR3_SRCC20_RESETVAL (0x00000000u)
/*----SRCC20 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC20_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC20_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC19_MASK    (0x00800000u)
#define CSL_INTGEN_IPCAR3_SRCC19_SHIFT   (0x00000017u)
#define CSL_INTGEN_IPCAR3_SRCC19_RESETVAL (0x00000000u)
/*----SRCC19 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC19_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC19_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC18_MASK    (0x00400000u)
#define CSL_INTGEN_IPCAR3_SRCC18_SHIFT   (0x00000016u)
#define CSL_INTGEN_IPCAR3_SRCC18_RESETVAL (0x00000000u)
/*----SRCC18 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC18_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC18_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC17_MASK    (0x00200000u)
#define CSL_INTGEN_IPCAR3_SRCC17_SHIFT   (0x00000015u)
#define CSL_INTGEN_IPCAR3_SRCC17_RESETVAL (0x00000000u)
/*----SRCC17 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC17_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC17_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC16_MASK    (0x00100000u)
#define CSL_INTGEN_IPCAR3_SRCC16_SHIFT   (0x00000014u)
#define CSL_INTGEN_IPCAR3_SRCC16_RESETVAL (0x00000000u)
/*----SRCC16 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC16_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC16_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC15_MASK    (0x00080000u)
#define CSL_INTGEN_IPCAR3_SRCC15_SHIFT   (0x00000013u)
#define CSL_INTGEN_IPCAR3_SRCC15_RESETVAL (0x00000000u)
/*----SRCC15 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC15_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC15_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC14_MASK    (0x00040000u)
#define CSL_INTGEN_IPCAR3_SRCC14_SHIFT   (0x00000012u)
#define CSL_INTGEN_IPCAR3_SRCC14_RESETVAL (0x00000000u)
/*----SRCC14 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC14_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC14_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC13_MASK    (0x00020000u)
#define CSL_INTGEN_IPCAR3_SRCC13_SHIFT   (0x00000011u)
#define CSL_INTGEN_IPCAR3_SRCC13_RESETVAL (0x00000000u)
/*----SRCC13 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC13_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC13_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC12_MASK    (0x00010000u)
#define CSL_INTGEN_IPCAR3_SRCC12_SHIFT   (0x00000010u)
#define CSL_INTGEN_IPCAR3_SRCC12_RESETVAL (0x00000000u)
/*----SRCC12 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC12_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC12_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC11_MASK    (0x00008000u)
#define CSL_INTGEN_IPCAR3_SRCC11_SHIFT   (0x0000000Fu)
#define CSL_INTGEN_IPCAR3_SRCC11_RESETVAL (0x00000000u)
/*----SRCC11 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC11_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC11_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC10_MASK    (0x00004000u)
#define CSL_INTGEN_IPCAR3_SRCC10_SHIFT   (0x0000000Eu)
#define CSL_INTGEN_IPCAR3_SRCC10_RESETVAL (0x00000000u)
/*----SRCC10 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC10_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC10_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC9_MASK     (0x00002000u)
#define CSL_INTGEN_IPCAR3_SRCC9_SHIFT    (0x0000000Du)
#define CSL_INTGEN_IPCAR3_SRCC9_RESETVAL (0x00000000u)
/*----SRCC9 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC9_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC9_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC8_MASK     (0x00001000u)
#define CSL_INTGEN_IPCAR3_SRCC8_SHIFT    (0x0000000Cu)
#define CSL_INTGEN_IPCAR3_SRCC8_RESETVAL (0x00000000u)
/*----SRCC8 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC8_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC8_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC7_MASK     (0x00000800u)
#define CSL_INTGEN_IPCAR3_SRCC7_SHIFT    (0x0000000Bu)
#define CSL_INTGEN_IPCAR3_SRCC7_RESETVAL (0x00000000u)
/*----SRCC7 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC7_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC7_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC6_MASK     (0x00000400u)
#define CSL_INTGEN_IPCAR3_SRCC6_SHIFT    (0x0000000Au)
#define CSL_INTGEN_IPCAR3_SRCC6_RESETVAL (0x00000000u)
/*----SRCC6 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC6_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC6_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC5_MASK     (0x00000200u)
#define CSL_INTGEN_IPCAR3_SRCC5_SHIFT    (0x00000009u)
#define CSL_INTGEN_IPCAR3_SRCC5_RESETVAL (0x00000000u)
/*----SRCC5 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC5_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC5_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC4_MASK     (0x00000100u)
#define CSL_INTGEN_IPCAR3_SRCC4_SHIFT    (0x00000008u)
#define CSL_INTGEN_IPCAR3_SRCC4_RESETVAL (0x00000000u)
/*----SRCC4 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC4_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC4_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC3_MASK     (0x00000080u)
#define CSL_INTGEN_IPCAR3_SRCC3_SHIFT    (0x00000007u)
#define CSL_INTGEN_IPCAR3_SRCC3_RESETVAL (0x00000000u)
/*----SRCC3 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC3_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC3_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC2_MASK     (0x00000040u)
#define CSL_INTGEN_IPCAR3_SRCC2_SHIFT    (0x00000006u)
#define CSL_INTGEN_IPCAR3_SRCC2_RESETVAL (0x00000000u)
/*----SRCC2 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC2_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC2_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC1_MASK     (0x00000020u)
#define CSL_INTGEN_IPCAR3_SRCC1_SHIFT    (0x00000005u)
#define CSL_INTGEN_IPCAR3_SRCC1_RESETVAL (0x00000000u)
/*----SRCC1 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC1_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC1_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR3_SRCC0_MASK     (0x00000010u)
#define CSL_INTGEN_IPCAR3_SRCC0_SHIFT    (0x00000004u)
#define CSL_INTGEN_IPCAR3_SRCC0_RESETVAL (0x00000000u)
/*----SRCC0 Tokens----*/
#define CSL_INTGEN_IPCAR3_SRCC0_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR3_SRCC0_CLEARED  (0x00000000u)


#define CSL_INTGEN_IPCAR3_RESETVAL       (0x00000000u)

/* IPCAR4 */

#define CSL_INTGEN_IPCAR4_SRCC27_MASK    (0x80000000u)
#define CSL_INTGEN_IPCAR4_SRCC27_SHIFT   (0x0000001Fu)
#define CSL_INTGEN_IPCAR4_SRCC27_RESETVAL (0x00000000u)
/*----SRCC27 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC27_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC27_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC26_MASK    (0x40000000u)
#define CSL_INTGEN_IPCAR4_SRCC26_SHIFT   (0x0000001Eu)
#define CSL_INTGEN_IPCAR4_SRCC26_RESETVAL (0x00000000u)
/*----SRCC26 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC26_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC26_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC25_MASK    (0x20000000u)
#define CSL_INTGEN_IPCAR4_SRCC25_SHIFT   (0x0000001Du)
#define CSL_INTGEN_IPCAR4_SRCC25_RESETVAL (0x00000000u)
/*----SRCC25 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC25_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC25_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC24_MASK    (0x10000000u)
#define CSL_INTGEN_IPCAR4_SRCC24_SHIFT   (0x0000001Cu)
#define CSL_INTGEN_IPCAR4_SRCC24_RESETVAL (0x00000000u)
/*----SRCC24 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC24_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC24_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC23_MASK    (0x08000000u)
#define CSL_INTGEN_IPCAR4_SRCC23_SHIFT   (0x0000001Bu)
#define CSL_INTGEN_IPCAR4_SRCC23_RESETVAL (0x00000000u)
/*----SRCC23 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC23_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC23_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC22_MASK    (0x04000000u)
#define CSL_INTGEN_IPCAR4_SRCC22_SHIFT   (0x0000001Au)
#define CSL_INTGEN_IPCAR4_SRCC22_RESETVAL (0x00000000u)
/*----SRCC22 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC22_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC22_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC21_MASK    (0x02000000u)
#define CSL_INTGEN_IPCAR4_SRCC21_SHIFT   (0x00000019u)
#define CSL_INTGEN_IPCAR4_SRCC21_RESETVAL (0x00000000u)
/*----SRCC21 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC21_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC21_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC20_MASK    (0x01000000u)
#define CSL_INTGEN_IPCAR4_SRCC20_SHIFT   (0x00000018u)
#define CSL_INTGEN_IPCAR4_SRCC20_RESETVAL (0x00000000u)
/*----SRCC20 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC20_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC20_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC19_MASK    (0x00800000u)
#define CSL_INTGEN_IPCAR4_SRCC19_SHIFT   (0x00000017u)
#define CSL_INTGEN_IPCAR4_SRCC19_RESETVAL (0x00000000u)
/*----SRCC19 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC19_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC19_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC18_MASK    (0x00400000u)
#define CSL_INTGEN_IPCAR4_SRCC18_SHIFT   (0x00000016u)
#define CSL_INTGEN_IPCAR4_SRCC18_RESETVAL (0x00000000u)
/*----SRCC18 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC18_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC18_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC17_MASK    (0x00200000u)
#define CSL_INTGEN_IPCAR4_SRCC17_SHIFT   (0x00000015u)
#define CSL_INTGEN_IPCAR4_SRCC17_RESETVAL (0x00000000u)
/*----SRCC17 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC17_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC17_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC16_MASK    (0x00100000u)
#define CSL_INTGEN_IPCAR4_SRCC16_SHIFT   (0x00000014u)
#define CSL_INTGEN_IPCAR4_SRCC16_RESETVAL (0x00000000u)
/*----SRCC16 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC16_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC16_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC15_MASK    (0x00080000u)
#define CSL_INTGEN_IPCAR4_SRCC15_SHIFT   (0x00000013u)
#define CSL_INTGEN_IPCAR4_SRCC15_RESETVAL (0x00000000u)
/*----SRCC15 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC15_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC15_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC14_MASK    (0x00040000u)
#define CSL_INTGEN_IPCAR4_SRCC14_SHIFT   (0x00000012u)
#define CSL_INTGEN_IPCAR4_SRCC14_RESETVAL (0x00000000u)
/*----SRCC14 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC14_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC14_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC13_MASK    (0x00020000u)
#define CSL_INTGEN_IPCAR4_SRCC13_SHIFT   (0x00000011u)
#define CSL_INTGEN_IPCAR4_SRCC13_RESETVAL (0x00000000u)
/*----SRCC13 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC13_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC13_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC12_MASK    (0x00010000u)
#define CSL_INTGEN_IPCAR4_SRCC12_SHIFT   (0x00000010u)
#define CSL_INTGEN_IPCAR4_SRCC12_RESETVAL (0x00000000u)
/*----SRCC12 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC12_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC12_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC11_MASK    (0x00008000u)
#define CSL_INTGEN_IPCAR4_SRCC11_SHIFT   (0x0000000Fu)
#define CSL_INTGEN_IPCAR4_SRCC11_RESETVAL (0x00000000u)
/*----SRCC11 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC11_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC11_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC10_MASK    (0x00004000u)
#define CSL_INTGEN_IPCAR4_SRCC10_SHIFT   (0x0000000Eu)
#define CSL_INTGEN_IPCAR4_SRCC10_RESETVAL (0x00000000u)
/*----SRCC10 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC10_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC10_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC9_MASK     (0x00002000u)
#define CSL_INTGEN_IPCAR4_SRCC9_SHIFT    (0x0000000Du)
#define CSL_INTGEN_IPCAR4_SRCC9_RESETVAL (0x00000000u)
/*----SRCC9 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC9_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC9_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC8_MASK     (0x00001000u)
#define CSL_INTGEN_IPCAR4_SRCC8_SHIFT    (0x0000000Cu)
#define CSL_INTGEN_IPCAR4_SRCC8_RESETVAL (0x00000000u)
/*----SRCC8 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC8_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC8_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC7_MASK     (0x00000800u)
#define CSL_INTGEN_IPCAR4_SRCC7_SHIFT    (0x0000000Bu)
#define CSL_INTGEN_IPCAR4_SRCC7_RESETVAL (0x00000000u)
/*----SRCC7 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC7_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC7_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC6_MASK     (0x00000400u)
#define CSL_INTGEN_IPCAR4_SRCC6_SHIFT    (0x0000000Au)
#define CSL_INTGEN_IPCAR4_SRCC6_RESETVAL (0x00000000u)
/*----SRCC6 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC6_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC6_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC5_MASK     (0x00000200u)
#define CSL_INTGEN_IPCAR4_SRCC5_SHIFT    (0x00000009u)
#define CSL_INTGEN_IPCAR4_SRCC5_RESETVAL (0x00000000u)
/*----SRCC5 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC5_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC5_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC4_MASK     (0x00000100u)
#define CSL_INTGEN_IPCAR4_SRCC4_SHIFT    (0x00000008u)
#define CSL_INTGEN_IPCAR4_SRCC4_RESETVAL (0x00000000u)
/*----SRCC4 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC4_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC4_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC3_MASK     (0x00000080u)
#define CSL_INTGEN_IPCAR4_SRCC3_SHIFT    (0x00000007u)
#define CSL_INTGEN_IPCAR4_SRCC3_RESETVAL (0x00000000u)
/*----SRCC3 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC3_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC3_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC2_MASK     (0x00000040u)
#define CSL_INTGEN_IPCAR4_SRCC2_SHIFT    (0x00000006u)
#define CSL_INTGEN_IPCAR4_SRCC2_RESETVAL (0x00000000u)
/*----SRCC2 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC2_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC2_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC1_MASK     (0x00000020u)
#define CSL_INTGEN_IPCAR4_SRCC1_SHIFT    (0x00000005u)
#define CSL_INTGEN_IPCAR4_SRCC1_RESETVAL (0x00000000u)
/*----SRCC1 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC1_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC1_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR4_SRCC0_MASK     (0x00000010u)
#define CSL_INTGEN_IPCAR4_SRCC0_SHIFT    (0x00000004u)
#define CSL_INTGEN_IPCAR4_SRCC0_RESETVAL (0x00000000u)
/*----SRCC0 Tokens----*/
#define CSL_INTGEN_IPCAR4_SRCC0_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR4_SRCC0_CLEARED  (0x00000000u)


#define CSL_INTGEN_IPCAR4_RESETVAL       (0x00000000u)

/* IPCAR5 */

#define CSL_INTGEN_IPCAR5_SRCC27_MASK    (0x80000000u)
#define CSL_INTGEN_IPCAR5_SRCC27_SHIFT   (0x0000001Fu)
#define CSL_INTGEN_IPCAR5_SRCC27_RESETVAL (0x00000000u)
/*----SRCC27 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC27_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC27_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC26_MASK    (0x40000000u)
#define CSL_INTGEN_IPCAR5_SRCC26_SHIFT   (0x0000001Eu)
#define CSL_INTGEN_IPCAR5_SRCC26_RESETVAL (0x00000000u)
/*----SRCC26 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC26_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC26_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC25_MASK    (0x20000000u)
#define CSL_INTGEN_IPCAR5_SRCC25_SHIFT   (0x0000001Du)
#define CSL_INTGEN_IPCAR5_SRCC25_RESETVAL (0x00000000u)
/*----SRCC25 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC25_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC25_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC24_MASK    (0x10000000u)
#define CSL_INTGEN_IPCAR5_SRCC24_SHIFT   (0x0000001Cu)
#define CSL_INTGEN_IPCAR5_SRCC24_RESETVAL (0x00000000u)
/*----SRCC24 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC24_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC24_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC23_MASK    (0x08000000u)
#define CSL_INTGEN_IPCAR5_SRCC23_SHIFT   (0x0000001Bu)
#define CSL_INTGEN_IPCAR5_SRCC23_RESETVAL (0x00000000u)
/*----SRCC23 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC23_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC23_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC22_MASK    (0x04000000u)
#define CSL_INTGEN_IPCAR5_SRCC22_SHIFT   (0x0000001Au)
#define CSL_INTGEN_IPCAR5_SRCC22_RESETVAL (0x00000000u)
/*----SRCC22 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC22_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC22_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC21_MASK    (0x02000000u)
#define CSL_INTGEN_IPCAR5_SRCC21_SHIFT   (0x00000019u)
#define CSL_INTGEN_IPCAR5_SRCC21_RESETVAL (0x00000000u)
/*----SRCC21 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC21_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC21_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC20_MASK    (0x01000000u)
#define CSL_INTGEN_IPCAR5_SRCC20_SHIFT   (0x00000018u)
#define CSL_INTGEN_IPCAR5_SRCC20_RESETVAL (0x00000000u)
/*----SRCC20 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC20_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC20_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC19_MASK    (0x00800000u)
#define CSL_INTGEN_IPCAR5_SRCC19_SHIFT   (0x00000017u)
#define CSL_INTGEN_IPCAR5_SRCC19_RESETVAL (0x00000000u)
/*----SRCC19 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC19_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC19_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC18_MASK    (0x00400000u)
#define CSL_INTGEN_IPCAR5_SRCC18_SHIFT   (0x00000016u)
#define CSL_INTGEN_IPCAR5_SRCC18_RESETVAL (0x00000000u)
/*----SRCC18 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC18_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC18_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC17_MASK    (0x00200000u)
#define CSL_INTGEN_IPCAR5_SRCC17_SHIFT   (0x00000015u)
#define CSL_INTGEN_IPCAR5_SRCC17_RESETVAL (0x00000000u)
/*----SRCC17 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC17_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC17_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC16_MASK    (0x00100000u)
#define CSL_INTGEN_IPCAR5_SRCC16_SHIFT   (0x00000014u)
#define CSL_INTGEN_IPCAR5_SRCC16_RESETVAL (0x00000000u)
/*----SRCC16 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC16_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC16_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC15_MASK    (0x00080000u)
#define CSL_INTGEN_IPCAR5_SRCC15_SHIFT   (0x00000013u)
#define CSL_INTGEN_IPCAR5_SRCC15_RESETVAL (0x00000000u)
/*----SRCC15 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC15_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC15_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC14_MASK    (0x00040000u)
#define CSL_INTGEN_IPCAR5_SRCC14_SHIFT   (0x00000012u)
#define CSL_INTGEN_IPCAR5_SRCC14_RESETVAL (0x00000000u)
/*----SRCC14 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC14_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC14_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC13_MASK    (0x00020000u)
#define CSL_INTGEN_IPCAR5_SRCC13_SHIFT   (0x00000011u)
#define CSL_INTGEN_IPCAR5_SRCC13_RESETVAL (0x00000000u)
/*----SRCC13 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC13_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC13_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC12_MASK    (0x00010000u)
#define CSL_INTGEN_IPCAR5_SRCC12_SHIFT   (0x00000010u)
#define CSL_INTGEN_IPCAR5_SRCC12_RESETVAL (0x00000000u)
/*----SRCC12 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC12_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC12_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC11_MASK    (0x00008000u)
#define CSL_INTGEN_IPCAR5_SRCC11_SHIFT   (0x0000000Fu)
#define CSL_INTGEN_IPCAR5_SRCC11_RESETVAL (0x00000000u)
/*----SRCC11 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC11_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC11_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC10_MASK    (0x00004000u)
#define CSL_INTGEN_IPCAR5_SRCC10_SHIFT   (0x0000000Eu)
#define CSL_INTGEN_IPCAR5_SRCC10_RESETVAL (0x00000000u)
/*----SRCC10 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC10_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC10_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC9_MASK     (0x00002000u)
#define CSL_INTGEN_IPCAR5_SRCC9_SHIFT    (0x0000000Du)
#define CSL_INTGEN_IPCAR5_SRCC9_RESETVAL (0x00000000u)
/*----SRCC9 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC9_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC9_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC8_MASK     (0x00001000u)
#define CSL_INTGEN_IPCAR5_SRCC8_SHIFT    (0x0000000Cu)
#define CSL_INTGEN_IPCAR5_SRCC8_RESETVAL (0x00000000u)
/*----SRCC8 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC8_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC8_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC7_MASK     (0x00000800u)
#define CSL_INTGEN_IPCAR5_SRCC7_SHIFT    (0x0000000Bu)
#define CSL_INTGEN_IPCAR5_SRCC7_RESETVAL (0x00000000u)
/*----SRCC7 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC7_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC7_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC6_MASK     (0x00000400u)
#define CSL_INTGEN_IPCAR5_SRCC6_SHIFT    (0x0000000Au)
#define CSL_INTGEN_IPCAR5_SRCC6_RESETVAL (0x00000000u)
/*----SRCC6 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC6_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC6_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC5_MASK     (0x00000200u)
#define CSL_INTGEN_IPCAR5_SRCC5_SHIFT    (0x00000009u)
#define CSL_INTGEN_IPCAR5_SRCC5_RESETVAL (0x00000000u)
/*----SRCC5 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC5_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC5_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC4_MASK     (0x00000100u)
#define CSL_INTGEN_IPCAR5_SRCC4_SHIFT    (0x00000008u)
#define CSL_INTGEN_IPCAR5_SRCC4_RESETVAL (0x00000000u)
/*----SRCC4 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC4_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC4_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC3_MASK     (0x00000080u)
#define CSL_INTGEN_IPCAR5_SRCC3_SHIFT    (0x00000007u)
#define CSL_INTGEN_IPCAR5_SRCC3_RESETVAL (0x00000000u)
/*----SRCC3 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC3_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC3_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC2_MASK     (0x00000040u)
#define CSL_INTGEN_IPCAR5_SRCC2_SHIFT    (0x00000006u)
#define CSL_INTGEN_IPCAR5_SRCC2_RESETVAL (0x00000000u)
/*----SRCC2 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC2_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC2_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC1_MASK     (0x00000020u)
#define CSL_INTGEN_IPCAR5_SRCC1_SHIFT    (0x00000005u)
#define CSL_INTGEN_IPCAR5_SRCC1_RESETVAL (0x00000000u)
/*----SRCC1 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC1_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC1_CLEARED  (0x00000000u)

#define CSL_INTGEN_IPCAR5_SRCC0_MASK     (0x00000010u)
#define CSL_INTGEN_IPCAR5_SRCC0_SHIFT    (0x00000004u)
#define CSL_INTGEN_IPCAR5_SRCC0_RESETVAL (0x00000000u)
/*----SRCC0 Tokens----*/
#define CSL_INTGEN_IPCAR5_SRCC0_CLEAR    (0x00000001u)
#define CSL_INTGEN_IPCAR5_SRCC0_CLEARED  (0x00000000u)


#define CSL_INTGEN_IPCAR5_RESETVAL       (0x00000000u)

/* IPCAR15 */

#define CSL_INTGEN_IPCAR15_SRCC27_MASK   (0x80000000u)
#define CSL_INTGEN_IPCAR15_SRCC27_SHIFT  (0x0000001Fu)
#define CSL_INTGEN_IPCAR15_SRCC27_RESETVAL (0x00000000u)
/*----SRCC27 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC27_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC27_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC26_MASK   (0x40000000u)
#define CSL_INTGEN_IPCAR15_SRCC26_SHIFT  (0x0000001Eu)
#define CSL_INTGEN_IPCAR15_SRCC26_RESETVAL (0x00000000u)
/*----SRCC26 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC26_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC26_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC25_MASK   (0x20000000u)
#define CSL_INTGEN_IPCAR15_SRCC25_SHIFT  (0x0000001Du)
#define CSL_INTGEN_IPCAR15_SRCC25_RESETVAL (0x00000000u)
/*----SRCC25 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC25_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC25_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC24_MASK   (0x10000000u)
#define CSL_INTGEN_IPCAR15_SRCC24_SHIFT  (0x0000001Cu)
#define CSL_INTGEN_IPCAR15_SRCC24_RESETVAL (0x00000000u)
/*----SRCC24 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC24_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC24_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC23_MASK   (0x08000000u)
#define CSL_INTGEN_IPCAR15_SRCC23_SHIFT  (0x0000001Bu)
#define CSL_INTGEN_IPCAR15_SRCC23_RESETVAL (0x00000000u)
/*----SRCC23 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC23_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC23_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC22_MASK   (0x04000000u)
#define CSL_INTGEN_IPCAR15_SRCC22_SHIFT  (0x0000001Au)
#define CSL_INTGEN_IPCAR15_SRCC22_RESETVAL (0x00000000u)
/*----SRCC22 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC22_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC22_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC21_MASK   (0x02000000u)
#define CSL_INTGEN_IPCAR15_SRCC21_SHIFT  (0x00000019u)
#define CSL_INTGEN_IPCAR15_SRCC21_RESETVAL (0x00000000u)
/*----SRCC21 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC21_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC21_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC20_MASK   (0x01000000u)
#define CSL_INTGEN_IPCAR15_SRCC20_SHIFT  (0x00000018u)
#define CSL_INTGEN_IPCAR15_SRCC20_RESETVAL (0x00000000u)
/*----SRCC20 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC20_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC20_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC19_MASK   (0x00800000u)
#define CSL_INTGEN_IPCAR15_SRCC19_SHIFT  (0x00000017u)
#define CSL_INTGEN_IPCAR15_SRCC19_RESETVAL (0x00000000u)
/*----SRCC19 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC19_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC19_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC18_MASK   (0x00400000u)
#define CSL_INTGEN_IPCAR15_SRCC18_SHIFT  (0x00000016u)
#define CSL_INTGEN_IPCAR15_SRCC18_RESETVAL (0x00000000u)
/*----SRCC18 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC18_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC18_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC17_MASK   (0x00200000u)
#define CSL_INTGEN_IPCAR15_SRCC17_SHIFT  (0x00000015u)
#define CSL_INTGEN_IPCAR15_SRCC17_RESETVAL (0x00000000u)
/*----SRCC17 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC17_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC17_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC16_MASK   (0x00100000u)
#define CSL_INTGEN_IPCAR15_SRCC16_SHIFT  (0x00000014u)
#define CSL_INTGEN_IPCAR15_SRCC16_RESETVAL (0x00000000u)
/*----SRCC16 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC16_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC16_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC15_MASK   (0x00080000u)
#define CSL_INTGEN_IPCAR15_SRCC15_SHIFT  (0x00000013u)
#define CSL_INTGEN_IPCAR15_SRCC15_RESETVAL (0x00000000u)
/*----SRCC15 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC15_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC15_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC14_MASK   (0x00040000u)
#define CSL_INTGEN_IPCAR15_SRCC14_SHIFT  (0x00000012u)
#define CSL_INTGEN_IPCAR15_SRCC14_RESETVAL (0x00000000u)
/*----SRCC14 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC14_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC14_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC13_MASK   (0x00020000u)
#define CSL_INTGEN_IPCAR15_SRCC13_SHIFT  (0x00000011u)
#define CSL_INTGEN_IPCAR15_SRCC13_RESETVAL (0x00000000u)
/*----SRCC13 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC13_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC13_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC12_MASK   (0x00010000u)
#define CSL_INTGEN_IPCAR15_SRCC12_SHIFT  (0x00000010u)
#define CSL_INTGEN_IPCAR15_SRCC12_RESETVAL (0x00000000u)
/*----SRCC12 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC12_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC12_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC11_MASK   (0x00008000u)
#define CSL_INTGEN_IPCAR15_SRCC11_SHIFT  (0x0000000Fu)
#define CSL_INTGEN_IPCAR15_SRCC11_RESETVAL (0x00000000u)
/*----SRCC11 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC11_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC11_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC10_MASK   (0x00004000u)
#define CSL_INTGEN_IPCAR15_SRCC10_SHIFT  (0x0000000Eu)
#define CSL_INTGEN_IPCAR15_SRCC10_RESETVAL (0x00000000u)
/*----SRCC10 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC10_CLEAR  (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC10_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC9_MASK    (0x00002000u)
#define CSL_INTGEN_IPCAR15_SRCC9_SHIFT   (0x0000000Du)
#define CSL_INTGEN_IPCAR15_SRCC9_RESETVAL (0x00000000u)
/*----SRCC9 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC9_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC9_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC8_MASK    (0x00001000u)
#define CSL_INTGEN_IPCAR15_SRCC8_SHIFT   (0x0000000Cu)
#define CSL_INTGEN_IPCAR15_SRCC8_RESETVAL (0x00000000u)
/*----SRCC8 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC8_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC8_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC7_MASK    (0x00000800u)
#define CSL_INTGEN_IPCAR15_SRCC7_SHIFT   (0x0000000Bu)
#define CSL_INTGEN_IPCAR15_SRCC7_RESETVAL (0x00000000u)
/*----SRCC7 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC7_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC7_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC6_MASK    (0x00000400u)
#define CSL_INTGEN_IPCAR15_SRCC6_SHIFT   (0x0000000Au)
#define CSL_INTGEN_IPCAR15_SRCC6_RESETVAL (0x00000000u)
/*----SRCC6 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC6_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC6_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC5_MASK    (0x00000200u)
#define CSL_INTGEN_IPCAR15_SRCC5_SHIFT   (0x00000009u)
#define CSL_INTGEN_IPCAR15_SRCC5_RESETVAL (0x00000000u)
/*----SRCC5 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC5_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC5_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC4_MASK    (0x00000100u)
#define CSL_INTGEN_IPCAR15_SRCC4_SHIFT   (0x00000008u)
#define CSL_INTGEN_IPCAR15_SRCC4_RESETVAL (0x00000000u)
/*----SRCC4 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC4_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC4_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC3_MASK    (0x00000080u)
#define CSL_INTGEN_IPCAR15_SRCC3_SHIFT   (0x00000007u)
#define CSL_INTGEN_IPCAR15_SRCC3_RESETVAL (0x00000000u)
/*----SRCC3 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC3_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC3_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC2_MASK    (0x00000040u)
#define CSL_INTGEN_IPCAR15_SRCC2_SHIFT   (0x00000006u)
#define CSL_INTGEN_IPCAR15_SRCC2_RESETVAL (0x00000000u)
/*----SRCC2 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC2_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC2_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC1_MASK    (0x00000020u)
#define CSL_INTGEN_IPCAR15_SRCC1_SHIFT   (0x00000005u)
#define CSL_INTGEN_IPCAR15_SRCC1_RESETVAL (0x00000000u)
/*----SRCC1 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC1_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC1_CLEARED (0x00000000u)

#define CSL_INTGEN_IPCAR15_SRCC0_MASK    (0x00000010u)
#define CSL_INTGEN_IPCAR15_SRCC0_SHIFT   (0x00000004u)
#define CSL_INTGEN_IPCAR15_SRCC0_RESETVAL (0x00000000u)
/*----SRCC0 Tokens----*/
#define CSL_INTGEN_IPCAR15_SRCC0_CLEAR   (0x00000001u)
#define CSL_INTGEN_IPCAR15_SRCC0_CLEARED (0x00000000u)


#define CSL_INTGEN_IPCAR15_RESETVAL      (0x00000000u)

#endif


